package com.unis.base.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;
import com.unis.common.utils.ResponseWrapper;
import com.unis.base.common.vo.CompanyQueryVO;
import com.unis.base.common.vo.CompanyVO;
import com.unis.base.common.vo.EnterpriseQualificationInformationHisqueryVO;
import com.unis.base.common.vo.QyzgQyzgxxVO;
import com.unis.base.common.vo.RandomCompanyQuery;
import com.unis.base.common.vo.TzQyjgVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;


@FeignClient(name = "base-server")
@Component
@Api(value = "企业历史信息 ", tags = "企业历史信息 维护")
public interface EnterpriseQualificationInformationHisFeign {

	/**
	 * 企业历史信息列表
	 * @param companyQueryVO
	 * @return
	 */
	@ApiOperation(value = "企业历史信息列表", notes = "参数：企业历史")
	@PostMapping(value = "/getPageList/{pageNum}/{pageSize}")
    public ResponseWrapper getPageList(@RequestBody EnterpriseQualificationInformationHisqueryVO qyzgQyzgxxHisqueryVO,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize")Integer pageSize);

		

	/**
	 * 新增企业历史信息
	 * @param qyzgQyzgxxVO
	 * @return
	 */
	@ApiOperation(value = "新增企业历史信息", notes = "参数：企业历史")
	@PostMapping(value = "/QyzgQyzgxxHis")
    public ResponseWrapper insertQyzgQyzgxxHis(@RequestBody QyzgQyzgxxVO qyzgQyzgxxVO );
	
	
	/**
	 * 查看企业资格历史
	 * @param id
	 * @return
	 */
	@ApiOperation(value = "查看企业资格历史", notes = "参数：企业历史id")
	@PostMapping(value = "/QyzgQyzgxxHis/{id}")
    public ResponseWrapper getEnterpriseQualificationInformationHisVO(@PathVariable("id") String id );
}
