package com.unis.base.client;

import com.unis.base.common.vo.DSbxxsjyClassifyVO;
import com.unis.base.common.vo.DSbxxsjyQueryVO;
import com.unis.base.common.vo.EquipmentRecordsVO;
import com.unis.base.common.vo.EquipmentTypeVO;
import com.unis.base.common.vo.EquipmentTypequeryVO;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

import com.unis.common.utils.ResponseWrapper;
import com.unis.base.common.vo.DSbxxsjyVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;


@FeignClient(name = "base-server")
@Component
@Api(value = "设备类型信息", tags = "设备类型信息维护")
public interface EquipmentTypeFegin {

	@ApiOperation(value = "设备类型信息-查询列表", notes = "参数：设备类型，设备名称")
	@PostMapping(value = "/equipmentTypeList")
	public ResponseWrapper getEquipmentTypeList(@RequestBody EquipmentTypequeryVO equipmentTypequeryVO);

	@ApiOperation(value = "设备类型信息-分页查询列表", notes = "参数：设备类型，设备名称")
	@PostMapping(value = "/equipmentTypePage/{pageNum}/{pageSize}")
	public ResponseWrapper getEquipmentTypePage(@RequestBody EquipmentTypequeryVO equipmentTypequeryVO,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize);

	
	/**
	 * 新增设备类型
	 * @param equipmentTypeVO
	 * @return
	 */
	@PostMapping(value = "/equipmentType")
	@ApiOperation(value = "新增设备类型", notes = "参数：设备类型")
    public ResponseWrapper insert(@RequestBody EquipmentTypeVO equipmentTypeVO);
	
	
	
	/**
	 * 更新设备类型
	 * @param tyHtxxVO
	 * @return
	 */
	@PutMapping(value = "/equipmentType")
	@ApiOperation(value = "更新设备类型", notes = "参数：设备类型id")
    public ResponseWrapper update(@RequestBody EquipmentTypeVO equipmentTypeVO);
	
	/**
	 * 删除设备类型
	 */
	@DeleteMapping(value="/equipmentType/{sblxbh}")
	@ApiOperation(value = "根据合同信息id删除设备类型", notes = "参数：设备类型id")
	public ResponseWrapper delete(@PathVariable("sblxbh") String sblxbh);
	
	/**
	 * 获取设备类型
	 * @param sblxbh
	 * @return
	 */
	@GetMapping(value="/equipmentType/{sblxbh}")
	@ApiOperation(value = "根据设备类型编号获取设备类型信息", notes = "参数：")
	public ResponseWrapper getHtxxByHtxxid(@PathVariable("sblxbh") String sblxbh);
}
