package com.unis.base.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.unis.base.common.vo.TySltpxxVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DAjxxsjyController
 * @ProjectName 涉粮图片信息 Controller
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "base-server")
@Component
@Api(value = "涉粮图片信息 ", tags = "涉粮图片信息 维护")
public interface FoodPicturesController {

	/**
	 * @author zhengbodang
	 * @Description 获取涉粮图片信息列表
	 * @param
	 * @return
	 */
	@ApiOperation(value = "涉粮图片信息列表", notes = "参数：")
	@PostMapping(value = "/foodPicturesList")
    public ResponseWrapper getTySltpxxList(@RequestBody TySltpxxVO tySltpxxVO);

	/**
	 * @author zhengbodang
	 * @Description 分页获取涉粮图片信息列表
	 * @param
	 * @return
	 */
	@ApiOperation(value = "分页获取涉粮图片信息列表", notes = "参数：")
	@PostMapping(value = "/foodPicturesPage/{pageNum}/{pageSize}")
    public ResponseWrapper getTySltpxxPage(@RequestBody TySltpxxVO tySltpxxVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize);

	/**
	 * @author zhengbodang
	 * @Description 新增涉粮图片信息
	 * @return 新增状态
	 */
	@PostMapping(value = "/foodPictures")
	@ApiOperation(value = "新增涉粮图片信息", notes = "参数：")
    public ResponseWrapper insert(@RequestBody TySltpxxVO tySltpxxVO) ;

	/**
	 * @author zhengbodang
	 * @Description 更新涉粮图片信息
	 * @param
	 */
	@PutMapping(value = "/foodPictures")
	@ApiOperation(value = "更新涉粮图片信息", notes = "参数：")
    public ResponseWrapper update(@RequestBody TySltpxxVO tySltpxxVO) ;

	/**
	 * @author zhengbodang
	 * @Description 删除出入库结算信息
	 * @param
	 * @return 状态
	 */
	@DeleteMapping(value="/foodPictures/{tpid}")
	@ApiOperation(value = "删除涉粮图片信息", notes = "参数：")
	public ResponseWrapper delete(@PathVariable("tpid") String tpid) ;

	/**
	 * @author zhengbodang
	 * @param
	 * @return 状态
	 */
	@GetMapping(value="/foodPictures/{tpid}")
	@ApiOperation(value = "号获取涉粮图片信息", notes = "参数：")
	public ResponseWrapper getDAjxxsjyByajbh(@PathVariable("tpid") String tpid) ;
}
