package com.unis.base.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.base.common.vo.TyXzzyxxHisVO;
import com.unis.base.common.vo.TyXzzyxxVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DAjxxsjyController
 * @ProjectName 熏蒸作业信息 Controller
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "base-server")
@Component
@Api(value = "熏蒸作业信息 ", tags = "熏蒸作业信息 维护")
public interface FumigationOperationController {

	/**
	 * @author zhengbodang
	 * @Description 获取熏蒸作业列表
	 * @param
	 * @return 熏蒸作业列表
	 */
	@ApiOperation(value = "熏蒸作业列表", notes = "参数：")
	@PostMapping(value = "/fumigationOperationList")
    public ResponseWrapper getTyXzzyxxList(@RequestBody TyXzzyxxVO tyXzzyxxVO);

	/**
	 * @author zhengbodang
	 * @Description 分页获取熏蒸作业信息列表
	 * @param
	 * @return
	 */
	@ApiOperation(value = "分页获取熏蒸作业信息列表", notes = "参数：")
	@PostMapping(value = "/fumigationOperationPage/{pageNum}/{pageSize}")
    public ResponseWrapper getTyXzzyxxPage(@RequestBody TyXzzyxxVO tyXzzyxxVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize);

	/**
	 * @author zhengbodang
	 * @Description 新增熏蒸作业信息
	 * @param 廒间信息实体 models
	 * @return 新增状态
	 */
	@PostMapping(value = "/fumigationOperation")
	@ApiOperation(value = "新增熏蒸作业信息", notes = "参数：")
    public ResponseWrapper insert(@RequestBody TyXzzyxxVO tyXzzyxxVO);

	/**
	 * @author zhengbodang
	 * @Description 更新熏蒸作业信息
	 * @param
	 * @return 新增状态
	 */
	@PutMapping(value = "/fumigationOperation")
	@ApiOperation(value = "更新熏蒸作业信息", notes = "参数：")
    public ResponseWrapper update(@RequestBody TyXzzyxxVO tyXzzyxxVO);

	/**
	 * @author zhengbodang
	 * @Description 删除熏蒸作业信息
	 * @param
	 * @return 状态
	 */
	@DeleteMapping(value="/fumigationOperation/{xzzyid}")
	@ApiOperation(value = "根据熏蒸作业信息编号删除熏蒸作业信息", notes = "参数：")
	public ResponseWrapper delete(@PathVariable("xzzyid") String xzzyid);

	/**
	 * @author zhengbodang
	 * @Description 删除熏蒸作业信息
	 * @param
	 * @return 状态
	 */
	@GetMapping(value="/fumigationOperation/{xzzyid}")
	@ApiOperation(value = "获取熏蒸作业信息", notes = "参数：")
	public ResponseWrapper getTyXzzyxxByTfzyid(@PathVariable("xzzyid") String xzzyid);

	/**
	 * 熏蒸作业信息-更改备案状态
	 * @param tyXzzyxxHisVO
	 * @return
	 */
	@PostMapping(value = "/fumigationOperationStatus")
	@ApiOperation(value = "熏蒸作业信息-更改备案状态", notes = "参数：备案信息")
	public ResponseWrapper updateFumigationOperationStatus(@RequestBody TyXzzyxxHisVO tyXzzyxxHisVO);

}
