package com.unis.base.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;
import com.unis.common.utils.ResponseWrapper;
import com.unis.base.common.vo.CompanyQueryVO;
import com.unis.base.common.vo.CompanyVO;
import com.unis.base.common.vo.PersonnelRecordsHisVO;
import com.unis.base.common.vo.PersonnelRecordsHisqueryVO;
import com.unis.base.common.vo.DRyxxsjyVO;
import com.unis.base.common.vo.RandomCompanyQuery;
import com.unis.base.common.vo.TzQyjgVO;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;


@FeignClient(name = "base-server")
@Component
@Api(value = "人员历史信息", tags = "人员历史信息维护")
public interface PersonnelRecordsHisFeign {

	/**
	 * 获取人员历史信息列表
	 * @param companyQueryVO
	 * @return
	 */
	@ApiOperation(value = "获取人员历史信息列表")
	@PostMapping(value = "/getPageOnList/{pageNum}/{pageSize}")
    public ResponseWrapper getPageOnList(@RequestBody PersonnelRecordsHisqueryVO dRyxxsjyHisqueryVO,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize);

	/**
	 * 新增历史人员信息
	 * @param companyVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@ApiOperation(value = "新增历史人员信息", notes = "参数：历史人员")
	@PostMapping(value = "/DRyxxsjyHis")
    public ResponseWrapper insert(@RequestBody PersonnelRecordsHisVO dRyxxsjyHisVO);
	
	/**
	 * 查看人员历史
	 * @param rybajlId
	 * @return
	 */
	@ApiOperation(value = "查看人员历史信息", notes = "参数：历史人员主键")
	@PostMapping(value = "/getDRyxxsjyHis/{rybajlId}")
    public ResponseWrapper getPersonnelRecordsHisVO(@PathVariable("rybajlId") String rybajlId);
	
}
