package com.unis.base.client;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.unis.base.common.vo.TyJhxxzbVO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DAjxxsjyController
 * @ProjectName 计划信息主表 Controller
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "base-server")
@Component
@Api(value = "计划主表信息 ", tags = "计划主表信息维护")
public interface PlanMainController {

	/**
	 * @author zhengbodang
	 * @Description 获取计划信息主表信息列表
	 * @param
	 * @return 计划信息主表信息列表
	 */
	@ApiOperation(value = "计划信息主表信息列表", notes = "参数：")
	@PostMapping(value = "/planMainList")
    public ResponseWrapper getTyCrkjsxxList(@RequestBody TyJhxxzbVO tyJhxxzbVO);

	/**
	 * @author zhengbodang
	 * @Description 分页获取计划信息主表信息列表
	 * @param
	 * @return
	 */
	@ApiOperation(value = "分页获取计划信息主表信息列表", notes = "参数：")
	@PostMapping(value = "/planMainPage/{pageNum}/{pageSize}")
    public ResponseWrapper getTyJhxxzbPage(@RequestBody TyJhxxzbVO tyJhxxzbVO ,@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize);

	/**
	 * @author zhengbodang
	 * @Description 新增出入库结算信息
	 * @param 廒间信息实体 models
	 * @return 新增状态
	 */
	@PostMapping(value = "/planMain")
	@ApiOperation(value = "新增计划信息主表信息", notes = "参数：")
    public ResponseWrapper insert(@RequestBody TyJhxxzbVO tyJhxxzbVO);

	/**
	 * @author zhengbodang
	 * @Description 更新出入库结算信息
	 * @param
	 * @return 新增状态
	 */
	@PutMapping(value = "/planMain")
	@ApiOperation(value = "更新计划信息主表信息", notes = "参数：")
    public ResponseWrapper update(@RequestBody TyJhxxzbVO tyJhxxzbVO);

	/**
	 * @author zhengbodang
	 * @Description 删除出入库结算信息
	 * @param
	 * @return 状态
	 */
	@DeleteMapping(value="/planMain/{jhxxid}")
	@ApiOperation(value = "根据出入库结算信息编号删除出入库结算信息", notes = "参数：")
	public ResponseWrapper delete(@PathVariable("jhxxid") String jhxxid);

	/**
	 * @author zhengbodang
	 * @Description 删除出入库结算信息
	 * @param
	 * @return 状态
	 */
	@GetMapping(value="/planMain/{jsid}")
	@ApiOperation(value = "根据结算信息编号获取出入库结算信息", notes = "参数：")
	public ResponseWrapper getDAjxxsjyByajbh(@PathVariable("jhxxid") String jhxxid);

}
