package com.unis.base.client;

import com.unis.base.common.vo.SinkpointRecordsQueryVO;
import com.unis.base.common.vo.SinkpointRecordsVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.*;

/**
 * @author WangZL
 * @version 1.0
 * @Title SinkpointRecordsFeign
 * @ProjectName 库点记录 Controller
 * @Description
 * @date 2019/07/22 17点26分
 */
@FeignClient(name = "base-server")
@Component
@Api(value = "库点记录", tags = "库点记录")
public interface SinkpointRecordsFeign {

	@ApiOperation(value = "库点记录-查询列表", notes = "参数：涉粮库点备案记录ID，统一社会信用代码，备案时间（年度），是否备案")
	@PostMapping(value = "/sinkpointRecordsList")
    public ResponseWrapper getSinkpointRecordsList(@RequestBody SinkpointRecordsQueryVO sinkpointRecordsQueryVO);

	@ApiOperation(value = "库点记录-分页查询列表", notes = "参数：涉粮库点备案记录ID，统一社会信用代码，备案时间（年度），是否备案")
	@PostMapping(value = "/sinkpointRecordsPage/{pageNum}/{pageSize}")
	public ResponseWrapper getSinkpointRecordsPage(@RequestBody SinkpointRecordsQueryVO sinkpointRecordsQueryVO,
			@PathVariable("pageNum")Integer pageNum,@PathVariable("pageSize") Integer pageSize) ;

	@ApiOperation(value = "库点记录-查询详情", notes = "参数：库点记录ID")
	@GetMapping(value = "/sinkpointRecords/{kdbabh}")
	public ResponseWrapper getSinkpointRecordsInfoById(@PathVariable("kdbabh")String kdbabh) ;

	@PostMapping(value = "/sinkpointRecords")
	@ApiOperation(value = "库点记录-根据备案状态新增", notes = "参数：设备信息，备案状态, 审批意见")
    public ResponseWrapper insert(@RequestBody SinkpointRecordsVO SinkpointRecordsVO) ;

	@PutMapping(value = "/sinkpointRecords")
	@ApiOperation(value = "库点记录-更新", notes = "参数：库点记录信息")
	public ResponseWrapper update(@RequestBody SinkpointRecordsVO sinkpointRecordsVO) ;

}
