package com.unis.base.client;

import com.unis.base.common.vo.TyTfzyxxVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author by PIG
 * 2022/6/23 10
 */
@FeignClient(name = "base-server")
@Component
@Api(tags = "获取用户印章信息")
public interface UserSealRoleFeign {

    @GetMapping(value="/seal/list_seal_info/{account_name}")
    @ApiOperation(value = "根据用户账号获取印章信息", notes = "参数：")
    ResponseWrapper listSealInfoByAccountName(@PathVariable("account_name") String accountName);

    @GetMapping(value="/seal/list_all_seal")
    @ApiOperation(value = "获取印章信息", notes = "参数：")
    ResponseWrapper listAllSealInfo();

}
