package com.unis.base.common.vo;

import com.alibaba.fastjson.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Classname CcsbtzjsmxVO
 * @Description 仓储设备投资建设明细
 * @Date 2023/12/28 17:15
 * @Created by rising123sun
 */
@Data
@ApiModel(value = "仓储设备投资建设明细")
public class CcsbtzjsmxVO {

    // id
    @ApiModelProperty(value = "id")
    private String id;

    // 所属区域名称
    @ApiModelProperty(value = "所属区域名称")
    private String ssqymc;

    // 所属区域代码
    @ApiModelProperty(value = "所属区域代码")
    private String ssqydm;

    // 所属购销公司名称
    @ApiModelProperty(value = "所属购销公司名称")
    private String ssgxcgsmc;

    // 所属购销公司代码
    @ApiModelProperty(value = "所属购销公司代码")
    private String ssgxcgsdm;

    // 所属库点名称
    @ApiModelProperty(value = "所属库点代码")
    private String sskddm;

    // 所属库点代码
    @ApiModelProperty(value = "所属库点名称")
    private String sskdmc;

    // 设备类型
    @ApiModelProperty(value = "设备类型")
    private String sblx;

    // 设备一级类别
    @ApiModelProperty(value = "设备一级类别")
    private String sbyjlb;

    // 设备二级类别
    @ApiModelProperty(value = "设备二级类别")
    private String sbejlb;

    // 设备名称
    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    // 购入数量
    @ApiModelProperty(value = "购入数量")
    private Integer grsl;

    // 金融合计
    @ApiModelProperty(value = "金融合计")
    private BigDecimal jrje = BigDecimal.ZERO;

    // 上报状态
    @ApiModelProperty(value = "上报状态，0未上报，1已上报")
    private String sbzt;

    // 上报年份
    @ApiModelProperty(value = "上报年份")
    private String sbnf;

    // 上报时间
    @ApiModelProperty(value = "上报时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date sbsj;

    // 组织机构代码
    @ApiModelProperty(value = "组织机构代码")
    private String orgCode;

    // 上级组织机构代码
    @ApiModelProperty(value = "上级组织机构代码")
    @Column(name = "parent_org_code")
    private String parentOrgCode;

    // 所属库点名称集合
    @ApiModelProperty(value = "所属库点名称集合")
    private List<String> sskdmcList;

}
