package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Classname CcsstzjsmxVO
 * @Description 仓储设施投资建设明细
 * @Date 2023/12/28 17:15
 * @Created by rising123sun
 */
@Data
@ApiModel(value = "仓储设备投资建设明细")
@Table(name = "ccsstzjsmx")
public class CcsstzjsmxVO {

    // id
    @ApiModelProperty(value = "id")
    private String id;

    // 所属区域名称
    @ApiModelProperty(value = "所属区域名称")
    private String ssqymc;

    // 所属区域代码
    @ApiModelProperty(value = "所属区域代码")
    private String ssqydm;

    // 所属购销公司名称
    @ApiModelProperty(value = "所属购销公司名称")
    private String ssgxcgsmc;

    // 所属购销公司代码
    @ApiModelProperty(value = "所属购销公司代码")
    private String ssgxcgsdm;

    // 所属库点名称
    @ApiModelProperty(value = "所属库点代码")
    private String sskddm;

    // 所属库点代码
    @ApiModelProperty(value = "所属库点名称")
    private String sskdmc;

    // 上报年份
    @ApiModelProperty(value = "上报年份")
    private String sbnf;

    // 项目状态-本年度新开工项目
    @ApiModelProperty(value = "项目状态-本年度新开工项目")
    private Integer xmztBddxkgxm;

    // 项目状态-本年度竣工项目
    @ApiModelProperty(value = "项目状态-本年度竣工项目")
    private Integer xmztBndjgxm;

    // 项目状态-年度末在建项目
    @ApiModelProperty(value = "项目状态-年度末在建项目")
    private Integer xmztNdmzjxm;

    // 年度完成投资-按项目类型分
    @ApiModelProperty(value = "年度完成投资-按项目类型分")
    private BigDecimal ndwctzAxmlx;

    // 年度完成投资-新建高标准粮仓
    @ApiModelProperty(value = "年度完成投资-新建高标准粮仓")
    private BigDecimal ndwctzXjgbzlc;

    // 年度完成投资-旧仓升级改造
    @ApiModelProperty(value = "年度完成投资-旧仓升级改造")
    private BigDecimal ndwctzJcsjgz;

    // 年度完成投资-隔热性能
    @ApiModelProperty(value = "年度完成投资-隔热性能")
    private BigDecimal ndwctzGrxn;

    // 年度完成投资-气密性能
    @ApiModelProperty(value = "年度完成投资-气密性能")
    private BigDecimal ndwctzQmxn;

    // 年度完成投资-通风技术
    @ApiModelProperty(value = "年度完成投资-通风技术")
    private BigDecimal ndwctzTfjs;

    // 年度完成投资-控温技术
    @ApiModelProperty(value = "年度完成投资-控温技术")
    private BigDecimal ndwctzKwjs;

    // 年度完成投资-粮情测控
    @ApiModelProperty(value = "年度完成投资-粮情测控")
    private BigDecimal ndwctzLqck;

    // 年度完成投资-杀虫措施
    @ApiModelProperty(value = "年度完成投资-杀虫措施")
    private BigDecimal ndwctzSccs;

    // 年度完成投资-修缮维护
    @ApiModelProperty(value = "年度完成投资-修缮维护")
    private BigDecimal ndwctzXswx;

    // 年度完成投资-其他
    @ApiModelProperty(value = "年度完成投资-其他")
    private BigDecimal ndwctzQt;

    // 年度完成投资-按投资来源分
    @ApiModelProperty(value = "年度完成投资-按投资来源分")
    private BigDecimal ndwctzAtzly;

    // 年度完成投资-中央财政投资
    @ApiModelProperty(value = "年度完成投资-中央财政投资")
    private BigDecimal ndwctzZycz;

    // 年度完成投资-市级财政投资
    @ApiModelProperty(value = "年度完成投资-市级财政投资")
    private BigDecimal ndwctzSjcz;

    // 年度完成投资-区级财政投资
    @ApiModelProperty(value = "年度完成投资-区级财政投资")
    private BigDecimal ndwctzQjcz;

    // 年度完成投资-企业自筹投资
    @ApiModelProperty(value = "年度完成投资-企业自筹投资")
    private BigDecimal ndwctzQyzc;

    // 年度完成投资-其他
    @ApiModelProperty(value = "年度完成投资-其他")
    private BigDecimal ndwctzQt2;

    // 年度完成投资额
    @ApiModelProperty(value = "年度完成投资额")
    private BigDecimal ndwctze;

    // 涉及仓房数（个）
    @ApiModelProperty(value = "涉及仓房数（个）")
    private Integer sjcfs;

    // 涉及仓容数（万吨）
    @ApiModelProperty(value = "涉及仓容数（万吨）")
    private BigDecimal sjcrs;

    // 涉及廒间数（个）
    @ApiModelProperty(value = "涉及廒间数（个）")
    private Integer sjajs;

    // 备注
    @ApiModelProperty(value = "备注")
    private String bz;


    // 上报状态
    @ApiModelProperty(value = "上报状态，0未上报，1已上报")
    private String sbzt;

    // 上报时间
    @ApiModelProperty(value = "上报时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date sbsj;

    // 组织机构代码
    @ApiModelProperty(value = "组织机构代码")
    private String orgCode;

    // 所属库点名称集合
    @ApiModelProperty(value = "所属库点名称集合")
    private List<String> sskdmcList;

}
