package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="企业库点对象")
public class CompanyKdVO extends BaseEntity {

	@ApiModelProperty(value="主键id")
	private Integer id;

	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码",required = true)
	private String tyshxydm;

	/**
	 * 组织机构代码
	 */
	@ApiModelProperty(value="组织机构代码")
	private String zzjgdm;

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",required = true)
	private String qymc;

	/**
	 * 单位代码
	 */
	@ApiModelProperty(value="单位代码")
	private String dwdm;


	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value="法定代表人")
	private String fddbr;

	/**
	 * 办公电话
	 */
	@ApiModelProperty(value="办公电话")
	private String bgdh;

	/**
	 * 法人手机号
	 */
	@ApiModelProperty(value="法人手机号")
	private String frsjh;

	/**
	 * 注册资本
	 */
	@ApiModelProperty(value="注册资本")
	private Integer zczb;

	/**
	 * 企业通讯地址
	 */
	@ApiModelProperty(value="企业通讯地址")
	private String qytxdz;

	/**
	 * 企业注册时间
	 */
	@ApiModelProperty(value="企业注册时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date qyzcsj;

	/**
	 * 企业隶属关系
	 */
	@ApiModelProperty(value="企业隶属关系")
	private String qylsgx;

	/**
	 * 企业所属区域
	 */
	@ApiModelProperty(value="企业所属区域")
	private String qyszqy;

	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	private String qyjgdm;


	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "企业所属区域编号")
	private String qyszqybh;

	/**
	 * 是否独立法人资格 0否.1、是
	 */
	@ApiModelProperty(value="是否独立法人资格 0否.1、是")
	@Column(name = "sfdlfrzg")
	private Integer sfdlfrzg;


	/**
	 *注册日期
	 */
	@ApiModelProperty(value="注册日期")
	@Column(name = "zcrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date zcrq;

	/**
	 * 是否具有收购资格0、否。1、有
	 */
	@ApiModelProperty(value="是否具有收购资格0、否。1、有")
	@Column(name = "sfjysgzg")
	private Integer sfjysgzg;

	/**
	 *粮食收购许可证发证机关
	 */
	@ApiModelProperty(value="粮食收购许可证发证机关")
	@Column(name = "lssgxkzfzjg")
	private String lssgxkzfzjg;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="粮食收购资格证编号")
	@Column(name = "sgzgzbh")
	private String sgzgzbh;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="所属粮食行政管理部门")
	@Column(name = "sslsxzglbm")
	private String sslsxzglbm;

	/**
	 * 企业工商登记机关
	 */
	@ApiModelProperty(value="企业工商登记机关")
	@Column(name = "qygsdjjg")
	private String qygsdjjg;

	/**
	 * 企业联系人
	 */
	@ApiModelProperty(value="企业联系人")
	@Column(name = "qylxr")
	private String qylxr;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String  bz;

	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="库点代码")
	@Column(name = "kddm")
	private String kddm;

	@ApiModelProperty(value = "企业工商注册地", notes ="企业工商注册地", required = false)
	@Column(name = "qygszcd")
	private String qygszcd;


	@ApiModelProperty(value = "所属地区市code", notes ="所属地区市code", required = false)
	@Column(name = "shi")
	private String shi;

	@ApiModelProperty(value = "所属地区市名称", notes ="所属地区市名称", required = false)
	@Column(name = "shiName")
	private String shiName;

	@ApiModelProperty(value = "所属地区县code", notes ="所属地区县code", required = false)
	@Column(name = "xian")
	private String xian;

	@ApiModelProperty(value = "所属地区县名称", notes ="所属地区县名称", required = false)
	@Column(name = "xianName")
	private String xianName;


	@ApiModelProperty(value = "单位类型", notes ="单位类型", required = false)
	@Column(name = "dwlx")
	private String dwlx;

	@ApiModelProperty(value = "填报人", notes ="填报人", required = false)
	private String tbr;

	@ApiModelProperty(value = "联系电话", notes ="联系电话", required = false)
	private String lxdh;

	@ApiModelProperty(value = "手机号", notes ="手机号", required = false)
	private String sjh;

	@ApiModelProperty(value = "企业负责人", notes ="企业负责人", required = false)
	private String qyfzr;

	@ApiModelProperty(value = "发证日期", notes ="发证日期", required = false)
	private Date fzrq;

	@ApiModelProperty(value = "收购状态", notes ="收购状态", required = false)
	private String sgzt;

	@ApiModelProperty(value = "是否最高最低企业", notes ="是否最高最低企业", required = false)
	private String sfzdzgqy;

	@ApiModelProperty(value = "有效日期", notes ="有效日期", required = false)
	private Date yxqz;

	@ApiModelProperty(value = "区分层级", notes ="区分层级", required = false)
	private String qfcj;

	@ApiModelProperty(value = "是否上报", notes ="是否上报", required = false)
	private BigDecimal sfsb;

	@ApiModelProperty(value="企业编码")
	private String qybm;

	public CompanyKdVO() {
	}

    @ApiModelProperty(value="设备/设施/仪器列表")
    private List<DSbxxsjyVO> dSbxxsjyVOList;

	@ApiModelProperty(value="库点信息列表")
	private List<DKdxxsjyVO> dKdxxsjyVOList;

	@ApiModelProperty(value="企业类型列表")
	private List<TzQylxVO> tzQylxVOList;

	@ApiModelProperty(value="应急企业")
	private TzYjqyVO tzYjqyVO;

}
