package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="企业信息对象")
public class CompanyNewVO extends BaseEntity {

	@ApiModelProperty(value="主键id")
	private Integer id;

	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码",required = true)
	private String tyshxydm;

	/**
	 * 组织机构代码
	 */
	@ApiModelProperty(value="组织机构代码")
	private String zzjgdm;

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",required = true)
	private String qymc;

	/**
	 * 企业类型
	 */
	@ApiModelProperty(value="企业类型")
	@Column(name = "qylx")
	private String qylx;

	/**
	 * 单位代码
	 */
	@ApiModelProperty(value="单位代码")
	private String dwdm;


	/**
	 * 企业经济类型
	 */
	@ApiModelProperty(value="企业经济类型")
	private String qyjjlx;

	/**
	 * 企业性质
	 */
	@ApiModelProperty(value="企业性质")
	private String qyxz;

	/**
	 * 登记注册类型
	 */
	@ApiModelProperty(value="登记注册类型")
	private String djzclx;

	/**
	 * 工商登记注册号
	 */
	@ApiModelProperty(value="工商登记注册号")
	private String gsdjzch;

	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value="法定代表人")
	private String fddbr;

	/**
	 * 办公电话
	 */
	@ApiModelProperty(value="办公电话")
	private String bgdh;

	/**
	 * 法人手机号
	 */
	@ApiModelProperty(value="法人手机号")
	private String frsjh;

	/**
	 * 企业电子邮箱
	 */
	@ApiModelProperty(value="企业电子邮箱")
	private String qydzyx;

	/**
	 * 注册资本
	 */
	@ApiModelProperty(value="注册资本")
	private BigDecimal zczb;

	/**
	 * 从业人员数
	 */
	@ApiModelProperty(value="从业人员数")
	private Integer qycyrys;

	/**
	 * 中级以上职称人数
	 */
	@ApiModelProperty(value="中级以上职称人数")
	private Integer zjyszcrs;

	/**
	 * 保管员人数
	 */
	@ApiModelProperty(value="保管员人数")
	private Integer bgyrs;

	/**
	 * 检化验员人数
	 */
	@ApiModelProperty(value="检化验员人数")
	private Integer jhyyrs;

	/**
	 * 有职业资格证书人数
	 */
	@ApiModelProperty(value="有职业资格证书人数")
	private Integer yzyzgzsrs;

	/**
	 * 企业传真
	 */
	@ApiModelProperty(value="企业传真")
	private String qyczhm;

	/**
	 * 企业通讯地址
	 */
	@ApiModelProperty(value="企业通讯地址")
	private String qytxdz;

	/**
	 * 企业邮编
	 */
	@ApiModelProperty(value="企业邮编")
	private String qyyb;

	/**
	 * 企业主营业务
	 */
	@ApiModelProperty(value="企业主营业务")
	private String qyzyyw;

	/**
	 * 企业注册时间
	 */
	@ApiModelProperty(value="企业注册时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date qyzcsj;

	/**
	 * 中专学历以上人员
	 */
	@ApiModelProperty(value="中专学历以上人员")
	private Integer zzxlysry;

	/**
	 * 企业收储粮食主要品种
	 */
	@ApiModelProperty(value="企业收储粮食主要品种")
	private String qysclszypz;

	/**
	 * 企业隶属关系
	 */
	@ApiModelProperty(value="企业隶属关系")
	private String qylsgx;

	/**
	 * 企业应急级别
	 */
	@ApiModelProperty(value="企业应急级别")
	private String qyyjjb;

	/**
	 * 企业经度
	 */
	@ApiModelProperty(value="企业经度")
	private String qyjd;

	/**
	 * 企业纬度
	 */
	@ApiModelProperty(value="企业纬度")
	private String qywd;

	/**
	 * 企业所属区域
	 */
	@ApiModelProperty(value="企业所属区域")
	private String qyszqy;

	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	private String qyjgdm;

	/**
	 * 企业仓储能力
	 */
	@ApiModelProperty(value = "企业仓储能力")
	private Integer qyccnl;

	/**
	 * 企业状态
	 */
	@ApiModelProperty(value = "企业状态(1、正常。0，注销)")
	private Integer qyzt;

	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "企业所属区域编号")
	private String qyszqybh;

	/**
	 * 企业应急类型编号
	 */
	@ApiModelProperty(value="企业应急类型编号")
	@Column(name = "qyyjlxbh")
	private String qyyjlxbh;

	/**
	 * 企业应急类型名称
	 */
	@ApiModelProperty(value="企业应急类型名称")
	@Column(name = "qyyjlxmc")
	private String qyyjlxmc;

	/**
	 * 是否独立法人资格 0否.1、是
	 */
	@ApiModelProperty(value="是否独立法人资格 0否.1、是")
	@Column(name = "sfdlfrzg")
	private Integer sfdlfrzg;

	/**
	 * 下属企业个数
	 */
	@ApiModelProperty(value="下属企业个数")
	@Column(name = "xsqygs")
	private Integer xsqygs;

	/**
	 *注册日期
	 */
	@ApiModelProperty(value="注册日期")
	@Column(name = "zcrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date zcrq;

	/**
	 * 是否具有收购资格0、否。1、有
	 */
	@ApiModelProperty(value="是否具有收购资格0、否。1、有")
	@Column(name = "sfjysgzg")
	private Integer sfjysgzg;

	/**
	 *粮食收购许可证发证机关
	 */
	@ApiModelProperty(value="粮食收购许可证发证机关")
	@Column(name = "lssgxkzfzjg")
	private String lssgxkzfzjg;

	/**
	 *粮食收购许可证发证机关所属区粮办编码
	 */
	@Column(name = "lssgcode")
	private String lssgcode;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="粮食收购资格证编号")
	@Column(name = "sgzgzbh")
	private String sgzgzbh;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="所属粮食行政管理部门")
	@Column(name = "sslsxzglbm")
	private String sslsxzglbm;

	/**
	 * 占地面积
	 */
	@ApiModelProperty(value="占地面积")
	@Column(name = "zdmj")
	private BigDecimal zdmj;

	/**
	 * 设施占地面积
	 */
	@ApiModelProperty(value="设施占地面积")
	@Column(name = "sszdmj")
	private BigDecimal sszdmj;

	/**
	 * 申请竣工时间
	 */
	@ApiModelProperty(value="申请竣工时间")
	@Column(name = "sqjgzdmj")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date sqjgzdmj;

	/**
	 * 企业工商登记机关
	 */
	@ApiModelProperty(value="企业工商登记机关")
	@Column(name = "qygsdjjg")
	private String qygsdjjg;

	/**
	 * 企业联系人
	 */
	@ApiModelProperty(value="企业联系人")
	@Column(name = "qylxr")
	private String qylxr;

	/**
	 * 营业收入
	 */
	@ApiModelProperty(value = "营业收入")
	private Integer yysr;

	/**
	 * 利税总额
	 */
	@ApiModelProperty(value = "利税总额")
	private Integer lsze;

	/**
	 * 当年研究开发投入
	 */
	@ApiModelProperty(value = "当年研究开发投入")
	private Integer dnyjkftr;

	/**
	 * 发明专利
	 */
	@ApiModelProperty(value = "发明专利")
	private String fmzl;

	/**
	 * 工业总产值
	 */
	@ApiModelProperty(value = "工业总产值")
	private Integer gyzcz;

	/**
	 * 利润总额
	 */
	@ApiModelProperty(value = "利润总额")
	private Integer lrze;

	/**
	 * 政府支持投入
	 */
	@ApiModelProperty(value = "政府支持投入")
	private Integer zfzctr;

	/**
	 * 产品销售收入
	 */
	@ApiModelProperty(value = "产品销售收入")
	private Integer cpxssr;

	/**
	 * 资产总额
	 */
	@ApiModelProperty(value = "资产总额")
	private BigDecimal zcze;

	/**
	 * 当年专利获得数
	 */
	@ApiModelProperty(value = "当年专利获得数")
	private Integer dnzlhds;

	/**
	 * 年产粮油机械制造
	 */
	@ApiModelProperty(value = "年产粮油机械制造")
	private Integer nclyjxzz;

	/**
	 * 油脂加工主机
	 */
	@ApiModelProperty(value = "油脂加工主机")
	private String yzjgzj;

	/**
	 * 通用设备
	 */
	@ApiModelProperty(value = "通用设备")
	private String tysb;

	/**
	 * 能源消耗标准煤
	 */
	@ApiModelProperty(value = "能源消耗标准煤")
	private Integer nhxhbzm;

	/**
	 * 罐容
	 */
	@ApiModelProperty(value = "罐容")
	private BigDecimal gr;

	/**
	 * 大米加工主机
	 */
	@ApiModelProperty(value = "大米加工主机")
	private String dmjgzj;

	/**
	 * 饲料加工主机
	 */
	@ApiModelProperty(value = "饲料加工主机")
	private String sljgzj;

	/**
	 * 能源耗电
	 */
	@ApiModelProperty(value = "能源耗电")
	private Integer nyhd;

	/**
	 * 能源消耗溶剂
	 */
	@ApiModelProperty(value = "能源消耗溶剂")
	private String nyxhrj;

	/**
	 * 小麦粉加工主机
	 */
	@ApiModelProperty(value = "小麦粉加工主机")
	private String xmfjgzj;

	/**
	 * 仓储设备
	 */
	@ApiModelProperty(value = "仓储设备")
	private String ccsb;

	/**
	 * 能源消耗水
	 */
	@ApiModelProperty(value = "能源消耗水")
	private String nyxhs;

	/**
	 * 总仓容（以三等小麦计）
	 */
	@ApiModelProperty(value = "仓容（以三等小麦计）")
	private BigDecimal zcr;

	/**
	 * 仓房栋
	 */
	@ApiModelProperty(value = "仓房栋")
	private Integer cfd;

	/**
	 * 仓房间
	 */
	@ApiModelProperty(value = "仓房间")
	private Integer cfj;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String  bz;


	@ApiModelProperty(value="审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date shsj;

	@ApiModelProperty(value="审核意见")
	private String shyj;


	@ApiModelProperty(value="审核人")
	private String shrmc ;


	/**
	 * 是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
	 */
	@ApiModelProperty(value = "是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）")
	private Integer  sfba;

	@ApiModelProperty(value = "经营范围", notes ="经营范围", required = false)
	@Column(name = "jyfw")
	private String jyfw;

	@ApiModelProperty(value = "周边有无污染源及易燃易爆场所，1：有，0：无", notes ="周边有无污染源及易燃易爆场所，1：有，0：无", required = false)
	@Column(name = "wryjyrybcs")
	private Integer wryjyrybcs;

	@ApiModelProperty(value = "企业层级", notes ="企业层级", required = false)
	@Column(name = "qycj")
	private String qycj;

	@ApiModelProperty(value = "企业工商注册地", notes ="企业工商注册地", required = false)
	@Column(name = "qygszcd")
	private String qygszcd;

	@ApiModelProperty(value = "入统状态0：停用。1：启用", notes ="入统状态0：停用。1：启用", required = false)
	@Column(name = "rtzt")
	private Integer rtzt;

	@ApiModelProperty(value = "市级承储企业", notes ="市级承储企业", required = false)
	@Column(name = "sjccqy")
	private String sjccqy;

	@ApiModelProperty(value = "区级承储企业", notes ="区级承储企业", required = false)
	@Column(name = "qjccqy")
	private String qjccqy;

	@ApiModelProperty(value = "上级集团名称", notes ="上级集团名称", required = false)
	@Column(name = "sjjtmc")
	private String sjjtmc;

	@ApiModelProperty(value = "上级集团机构代码", notes ="上级集团机构代码", required = false)
	@Column(name = "sjjtjgdm")
	private String sjjtjgdm;

	@ApiModelProperty(value = "上级集团统一社会信用代码", notes ="上级集团统一社会信用代码", required = false)
	@Column(name = "sjjttyshxydm")
	private String sjjttyshxydm;

	@ApiModelProperty(value = "仓房数量（座）", notes ="仓房数量（座）", required = false)
	@Column(name = "cfsl")
	private Integer cfsl;

	@ApiModelProperty(value = "油罐数量（个）", notes ="油罐数量（个）", required = false)
	@Column(name = "ygsl")
	private Integer ygsl;

	@ApiModelProperty(value = "所属地区市code", notes ="所属地区市code", required = false)
	@Column(name = "shi")
	private String shi;

	@ApiModelProperty(value = "所属地区市名称", notes ="所属地区市名称", required = false)
	@Column(name = "shiName")
	private String shiName;

	@ApiModelProperty(value = "所属地区县code", notes ="所属地区县code", required = false)
	@Column(name = "xian")
	private String xian;

	@ApiModelProperty(value = "所属地区县名称", notes ="所属地区县名称", required = false)
	@Column(name = "xianName")
	private String xianName;

	@ApiModelProperty(value = "距离", notes ="距离", required = false)
	@Column(name = "distance")
	private BigDecimal distance;

	@ApiModelProperty(value = "单位类型", notes ="单位类型", required = false)
	@Column(name = "dwlx")
	private String dwlx;

	@ApiModelProperty(value = "粮食收购许可证发证时间", notes ="粮食收购许可证发证时间", required = false)
	private Date lssgxkzfzsj;

	@ApiModelProperty(value = "填报人", notes ="填报人", required = false)
	private String tbr;

	@ApiModelProperty(value = "联系电话", notes ="联系电话", required = false)
	private String lxdh;

	@ApiModelProperty(value = "手机号", notes ="手机号", required = false)
	private String sjh;

	@ApiModelProperty(value = "企业负责人", notes ="企业负责人", required = false)
	private String qyfzr;

	@ApiModelProperty(value = "发证日期", notes ="发证日期", required = false)
	private Date fzrq;

	@ApiModelProperty(value = "收购状态", notes ="收购状态", required = false)
	private String sgzt;

	@ApiModelProperty(value = "是否最高最低企业", notes ="是否最高最低企业", required = false)
	private String sfzdzgqy;

	@ApiModelProperty(value = "有效日期", notes ="有效日期", required = false)
	private Date yxqz;

	@ApiModelProperty(value = "区分层级", notes ="区分层级", required = false)
	private String qfcj;

	@ApiModelProperty(value = "是否上报", notes ="是否上报", required = false)
	private BigDecimal sfsb;

	@ApiModelProperty(value="企业编码")
	private String qybm;

	public CompanyNewVO() {
	}

    @ApiModelProperty(value="设备/设施/仪器列表")
    private List<DSbxxsjyVO> dSbxxsjyVOList;

	@ApiModelProperty(value="库点信息列表")
	private List<DKdxxsjyVO> dKdxxsjyVOList;

	@ApiModelProperty(value="企业类型列表")
	private List<TzQylxVO> tzQylxVOList;

	@ApiModelProperty(value="应急企业")
	private TzYjqyVO tzYjqyVO;


	/*lgd add */
	@ApiModelProperty(value="所在地省")
	private String txprovince;

	@ApiModelProperty(value="所在地市")
	private String txcity;

	@ApiModelProperty(value="注册地省")
	private String zcprovince;

	@ApiModelProperty(value="注册地市")
	private String zccity;

	/**
	 * 企业注册审核状态 0待审核 1是通过 2 是未通过
	 */
	@Column(name = "shzt")
	private Integer  shzt;
	/*lgd end */

	/**
	 * 企业类型
	 */
	@ApiModelProperty(value="企业类型")
	private String[] qylxList;

	//变更记录
	private QybgsqVO qybgsqVO;

}
