package com.unis.base.common.vo;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel("应急企业查询对象")
public class CompanyQueryVO {

	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码")
	private String tyshxydm;

	/**
	 * 企业性质
	 */
	@ApiModelProperty(value="企业性质")
	private String qyxz;

	/**
	 * 企业类型
	 */
	@ApiModelProperty("企业类型")
	private String[] qylxbh;

	private String sfzdzgqy;

	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value="法定代表人")
	private String fddbr;


	/**
	 * 所属区域
	 */
	@ApiModelProperty("所属区域,多个逗号隔开")
	private String[] qyszqybhs;


	/**
	 * 应急级别(目前根据这个字段区分)
	 */
	@ApiModelProperty("应急级别")
	private String qyyjjb;

	/**
	 * 企业名称
	 */
	@ApiModelProperty("企业名称")
	private String qymc;

	/**
	 * 企业状态0：注销。1：正常 2待审核 3已注销
	 */
	@ApiModelProperty("企业状态")
	private Integer qyzt;

	/**
	 * 组织机构代码
	 */
	@ApiModelProperty(value="组织机构代码")
	private String zzjgdm;

	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	private String qyjgdm;

	@ApiModelProperty(value = "是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）", notes ="是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）", required = false)
	private Integer sfba;

	@ApiModelProperty(value="是否具有收购资格0、否。1、有")
	private Integer sfjysgzg;

	/**
	 * 企业经度
	 */
	@ApiModelProperty(value="企业经度")
	private String qyjd;

	/**
	 * 企业纬度
	 */
	@ApiModelProperty(value="企业纬度")
	private String qywd;


    @ApiModelProperty(value="所属粮食行政管理部门")
    private  String sslsxzglbm;

    @ApiModelProperty(value="上级集团")
    private  String sjjtjgdm;

    @ApiModelProperty(value="企业状态集合")
    private  List<Integer> qyzts;

	@ApiModelProperty("应急 入参 用户orgCode")
	private String yjOrgCode;
	@ApiModelProperty("应急 入参 用户区划编码")
	private String yjAreaCode;
	@ApiModelProperty(value = "上报状态  （1，待上报，2，旗县上报，3盟市上报）", notes ="是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）", required = false)
	private Integer yjsbzt;

	@ApiModelProperty(value = "企业主要业务")
	private String qyzyyw;

	@ApiModelProperty(value = "企业主要业务的and  or")
	private String qyzyywOperator="and";

	@ApiModelProperty(value="企业编码")
	private String qybm;

	private String shzt;

	@ApiModelProperty(value="企业备案集合")
	private  List<Integer> sfbas;


	@ApiModelProperty(value="区域编码,对应zccity,txcity 注册地/所在地的区编码")
	private String areaCode;

    private Integer querySub;

}
