package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title CompanyRecordsQueryVO
 * @ProjectName 企业备案记录查询业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@Getter
@Setter
@Table(name = "TZ_SLQY_HIS")
@ApiModel(value="企业备案记录查询业务对象")
public class CompanyRecordsQueryVO {

    @ApiModelProperty(value = "涉粮企业备案记录ID", notes ="涉粮企业备案记录ID", required = false,example = "eg:6，最大长度:18")
    @Id
    @Column(name = "qybabh")
    private String qybabh;

    @ApiModelProperty(value = "统一社会信用代码", notes ="统一社会信用代码", required = false,example = "eg:911202236794497949，最大长度:18")
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "备案时间（年度）", notes ="备案时间（年度）", required = false)
    @Column(name = "year")
    private String year;

    @ApiModelProperty(value = "是否备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交",
            notes ="是否备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交", required = false,example = "eg:1")
    @Column(name = "sfba")
    private Integer sfba;

    public CompanyRecordsQueryVO(String qybabh, String tyshxydm, String year, Integer sfba) {
        super();
        this.qybabh = qybabh;
        this.tyshxydm = tyshxydm;
        this.year = year;
        this.sfba = sfba;
    }

    public CompanyRecordsQueryVO() {
    }
}
