package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.Range;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.validation.constraints.*;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 企业信息实体
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel(value="企业信息对象")
public class CompanyVO extends BaseEntity {

	@ApiModelProperty(value="主键id")
	private Integer id;

	/**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value="统一社会信用代码",required = true)
	@Column(name="tyshxydm")
	//@NotBlank(message = "请填写正确18位社会信用代码")
	//@Pattern(regexp = "^[A-Z0-9]{2}[0-9]{6}[A-Z0-9]{10}$",message = "请填写正确18位社会信用代码")
	private String tyshxydm;

	/**
	 * 组织机构代码
	 */
	@ApiModelProperty(value="组织机构代码")
	@Column(name="zzjgdm")
	private String zzjgdm;

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",required = true)
	@Column(name="qymc")
	//@NotBlank(message = "请填写正确企业名称")
	//@Pattern(regexp = "[^暂无,测试,无,空]+",message = "请填写正确企业名称")
	private String qymc;

	/**
	 * 企业类型
	 */
	@ApiModelProperty(value="企业类型")
	@Column(name = "qylx")
	private String[] qylx;

	/**
	 * 单位代码
	 */
	@ApiModelProperty(value="单位代码")
	@Column(name="dwdm")
	private String dwdm;


	/**
	 * 企业经济类型
	 */
	@ApiModelProperty(value="企业经济类型")
	@Column(name="qyjjlx")
	private String qyjjlx;

	/**
	 * 企业性质
	 */
	@ApiModelProperty(value="企业性质")
	@Column(name="qyxz")
	private String qyxz;

	/**
	 * 登记注册类型
	 */
	@ApiModelProperty(value="登记注册类型")
	@Column(name="djzclx")
	private String djzclx;

	/**
	 * 工商登记注册号
	 */
	@ApiModelProperty(value="工商登记注册号")
	@Column(name="gsdjzch")
	private String gsdjzch;

	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value="法定代表人")
	@Column(name="fddbr")
	//@NotBlank(message = "请填写正确法定代表人")
	//@Pattern(regexp = "^[a-zA-Z \\u4e00-\\u9fa5][^暂无,测试,无,空]+$",message = "请填写正确法定代表人")
	private String fddbr;

	/**
	 * 办公电话
	 */
	@ApiModelProperty(value="办公电话")
	@Column(name="bgdh")
	//@NotBlank(message = "请填写正确办公电话")
	//@Pattern(regexp = "^$|^\\d{3}-\\d{8}$|^\\d{4}-\\d{7,8}$|^\\d{11}$",message = "请填写正确办公电话")
	private String bgdh;

	/**
	 * 法人手机号
	 */
	@ApiModelProperty(value="法人手机号")
	@Column(name="frsjh")
	//@Pattern(regexp = "^$|^\\d{3}-\\d{8}|\\d{4}-\\d{7,8}|\\d{11}$",message = "请填写正确联系方式")
	private String frsjh;

	/**
	 * 企业电子邮箱
	 */
	@ApiModelProperty(value="企业电子邮箱")
	@Column(name="qydzyx")
	private String qydzyx;

	/**
	 * 注册资本
	 */
	@ApiModelProperty(value="注册资本")
	@Column(name="zczb")
	private BigDecimal zczb;

	/**
	 * 从业人员数
	 */
	@ApiModelProperty(value="从业人员数")
	@Column(name="qycyrys")
	private Integer qycyrys;

	/**
	 * 中级以上职称人数
	 */
	@ApiModelProperty(value="中级以上职称人数")
	@Column(name="zjyszcrs")
	private Integer zjyszcrs;

	/**
	 * 保管员人数
	 */
	@ApiModelProperty(value="保管员人数")
	@Column(name="bgyrs")
	private Integer bgyrs;

	/**
	 * 检化验员人数
	 */
	@ApiModelProperty(value="检化验员人数")
	@Column(name="jhyyrs")
	private Integer jhyyrs;

	/**
	 * 有职业资格证书人数
	 */
	@ApiModelProperty(value="有职业资格证书人数")
	@Column(name="yzyzgzsrs")
	private Integer yzyzgzsrs;

	/**
	 * 企业传真
	 */
	@ApiModelProperty(value="企业传真")
	@Column(name="qyczhm")
	//@NotBlank(message = "请填写正确企业传真")
	//@Pattern(regexp = "^$|^\\d{3}-\\d{8}$|^\\d{4}-\\d{7,8}$",message = "请填写正确企业传真")
	private String qyczhm;

	/**
	 * 企业通讯地址
	 */
	@ApiModelProperty(value="企业通讯地址")
	@Column(name="qytxdz")
	private String qytxdz;

	/**
	 * 企业邮编
	 */
	@ApiModelProperty(value="企业邮编")
	@Column(name="qyyb")
	@Pattern(regexp = "^$|^[0-9]\\d{5}(?!\\d)$",message = "请填写正确企业邮编")
	private String qyyb;

	/**
	 * 企业主营业务
	 */
	@ApiModelProperty(value="企业主营业务")
	@Column(name="qyzyyw")
	private String qyzyyw;

	/**
	 * 企业注册时间
	 */
	@ApiModelProperty(value="企业注册时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	@Column(name="qyzcsj")
	private Date qyzcsj;

	/**
	 * 中专学历以上人员
	 */
	@ApiModelProperty(value="中专学历以上人员")
	@Column(name="zzxlysry")
	private Integer zzxlysry;

	/**
	 * 企业收储粮食主要品种
	 */
	@ApiModelProperty(value="企业收储粮食主要品种")
	@Column(name="qysclszypz")
	private String qysclszypz;

	/**
	 * 企业隶属关系
	 */
	@ApiModelProperty(value="企业隶属关系")
	@Column(name="qylsgx")
	private String qylsgx;

	/**
	 * 企业应急级别
	 */
	@ApiModelProperty(value="企业应急级别")
	@Column(name="qyyjjb")
	private String qyyjjb;

	/**
	 * 企业经度
	 */
	@ApiModelProperty(value="企业经度")
	@Column(name="qyjd")
	@NotBlank(message = "请填写正确企业经度")
	private String qyjd;

	/**
	 * 企业纬度
	 */
	@ApiModelProperty(value="企业纬度")
	@Column(name="qywd")
	@NotBlank(message = "请填写正确企业纬度")
	private String qywd;

	/**
	 * 企业所属区域
	 */
	@ApiModelProperty(value="企业所属区域")
	@Column(name="qyszqy")
	private String qyszqy;

	/**
	 * 企业机构代码
	 */
	@ApiModelProperty(value="企业机构代码")
	@Column(name="qyjgdm")
	private String qyjgdm;

	/**
	 * 企业仓储能力
	 */
	@ApiModelProperty(value = "企业仓储能力")
	@Column(name="qyccnl")
	private Integer qyccnl;

	/**
	 * 企业状态
	 */
	@ApiModelProperty(value = "企业状态(1、正常。0，注销)")
	@Column(name="qyzt")
	private Integer qyzt;

	/**
	 * 企业所属区域编号
	 */
	@ApiModelProperty(value = "企业所属区域编号")
	@Column(name="qyszqybh")
	private String qyszqybh;

	/**
	 * 企业应急类型编号
	 */
	@ApiModelProperty(value="企业应急类型编号")
	@Column(name = "qyyjlxbh")
	private String qyyjlxbh;

	/**
	 * 企业应急类型名称
	 */
	@ApiModelProperty(value="企业应急类型名称")
	@Column(name = "qyyjlxmc")
	private String qyyjlxmc;

	/**
	 * 是否独立法人资格 0否.1、是
	 */
	@ApiModelProperty(value="是否独立法人资格 0否.1、是")
	@Column(name = "sfdlfrzg")
	private Integer sfdlfrzg;

	/**
	 * 下属企业个数
	 */
	@ApiModelProperty(value="下属企业个数")
	@Column(name = "xsqygs")
	private Integer xsqygs;

	/**
	 *注册日期
	 */
	@ApiModelProperty(value="注册日期")
	@Column(name = "zcrq")
	@JSONField(format="yyyy-MM-dd")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date zcrq;

	/**
	 * 是否具有收购资格0、否。1、有
	 */
	@ApiModelProperty(value="是否具有收购资格0、否。1、有")
	@Column(name = "sfjysgzg")
	private Integer sfjysgzg;

	/**
	 *粮食收购许可证发证机关
	 */
	@ApiModelProperty(value="粮食收购许可证发证机关")
	@Column(name = "lssgxkzfzjg")
	private String lssgxkzfzjg;

	/**
	 *粮食收购许可证发证机关所属区粮办编码
	 */
	@ApiModelProperty(value="粮食收购许可证发证机关所属区粮办编码")
	@Column(name = "lssgcode")
	private String lssgcode;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="粮食收购资格证编号")
	@Column(name = "sgzgzbh")
	private String sgzgzbh;

	/**
	 * 粮食收购资格证编号
	 */
	@ApiModelProperty(value="所属粮食行政管理部门")
	@Column(name = "sslsxzglbm")
	private String sslsxzglbm;

	/**
	 * 占地面积
	 */
	@ApiModelProperty(value="占地面积")
	@Column(name = "zdmj")
	private BigDecimal zdmj;

	/**
	 * 设施占地面积
	 */
	@ApiModelProperty(value="设施占地面积")
	@Column(name = "sszdmj")
	private BigDecimal sszdmj;

	/**
	 * 申请竣工时间
	 */
	@ApiModelProperty(value="申请竣工时间")
	@Column(name = "sqjgzdmj")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date sqjgzdmj;

	/**
	 * 企业工商登记机关
	 */
	@ApiModelProperty(value="企业工商登记机关")
	@Column(name = "qygsdjjg")
	private String qygsdjjg;

	/**
	 * 企业联系人
	 */
	@ApiModelProperty(value="企业联系人")
	@Column(name = "qylxr")
	//@NotBlank(message = "请填写正确企业联系人")
	//@Pattern(regexp = "^[a-zA-Z \\u4e00-\\u9fa5][^暂无,测试,无,空]+$",message = "请填写正确企业联系人")
	private String qylxr;

	/**
	 * 营业收入
	 */
	@ApiModelProperty(value = "营业收入")
	@Column(name = "yysr")
	private Integer yysr;

	/**
	 * 利税总额
	 */
	@ApiModelProperty(value = "利税总额")
	@Column(name = "lsze")
	private Integer lsze;

	/**
	 * 当年研究开发投入
	 */
	@ApiModelProperty(value = "当年研究开发投入")
	@Column(name = "dnyjkftr")
	private Integer dnyjkftr;

	/**
	 * 发明专利
	 */
	@ApiModelProperty(value = "发明专利")
	@Column(name = "fmzl")
	private String fmzl;

	/**
	 * 工业总产值
	 */
	@ApiModelProperty(value = "工业总产值")
	@Column(name = "gyzcz")
	private Integer gyzcz;

	/**
	 * 利润总额
	 */
	@ApiModelProperty(value = "利润总额")
	@Column(name = "lrze")
	private Integer lrze;

	/**
	 * 政府支持投入
	 */
	@ApiModelProperty(value = "政府支持投入")
	@Column(name = "zfzctr")
	private Integer zfzctr;

	/**
	 * 产品销售收入
	 */
	@ApiModelProperty(value = "产品销售收入")
	@Column(name = "cpxssr")
	private Integer cpxssr;

	/**
	 * 资产总额
	 */
	@ApiModelProperty(value = "资产总额")
	@Column(name = "zcze")
	private BigDecimal zcze;

	/**
	 * 当年专利获得数
	 */
	@ApiModelProperty(value = "当年专利获得数")
	@Column(name = "dnzlhds")
	private Integer dnzlhds;

	/**
	 * 年产粮油机械制造
	 */
	@ApiModelProperty(value = "年产粮油机械制造")
	@Column(name = "nclyjxzz")
	private Integer nclyjxzz;

	/**
	 * 油脂加工主机
	 */
	@ApiModelProperty(value = "油脂加工主机")
	@Column(name = "yzjgzj")
	private String yzjgzj;

	/**
	 * 通用设备
	 */
	@ApiModelProperty(value = "通用设备")
	@Column(name = "tysb")
	private String tysb;

	/**
	 * 能源消耗标准煤
	 */
	@ApiModelProperty(value = "能源消耗标准煤")
	@Column(name = "nhxhbzm")
	private Integer nhxhbzm;

	/**
	 * 罐容
	 */
	@ApiModelProperty(value = "罐容")
	@Column(name = "gr")
	private BigDecimal gr;

	/**
	 * 大米加工主机
	 */
	@ApiModelProperty(value = "大米加工主机")
	@Column(name = "dmjgzj")
	private String dmjgzj;

	/**
	 * 饲料加工主机
	 */
	@ApiModelProperty(value = "饲料加工主机")
	@Column(name = "sljgzj")
	private String sljgzj;

	/**
	 * 能源耗电
	 */
	@ApiModelProperty(value = "能源耗电")
	@Column(name = "nyhd")
	private Integer nyhd;

	/**
	 * 能源消耗溶剂
	 */
	@ApiModelProperty(value = "能源消耗溶剂")
	@Column(name = "nyxhrj")
	private String nyxhrj;

	/**
	 * 小麦粉加工主机
	 */
	@ApiModelProperty(value = "小麦粉加工主机")
	@Column(name = "xmfjgzj")
	private String xmfjgzj;

	/**
	 * 仓储设备
	 */
	@ApiModelProperty(value = "仓储设备")
	@Column(name = "ccsb")
	private String ccsb;

	/**
	 * 能源消耗水
	 */
	@ApiModelProperty(value = "能源消耗水")
	@Column(name = "nyxhs")
	private String nyxhs;

	/**
	 * 总仓容（以三等小麦计）
	 */
	@ApiModelProperty(value = "仓容（以三等小麦计）")
	@Column(name = "zcr")
	private BigDecimal zcr;

	/**
	 * 仓房栋
	 */
	@ApiModelProperty(value = "仓房栋")
	@Column(name = "cfd")
	private Integer cfd;

	/**
	 * 仓房间
	 */
	@ApiModelProperty(value = "仓房间")
	@Column(name = "cfj")
	private Integer cfj;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	@Column(name = "bz")
	private String  bz;


	@ApiModelProperty(value="审核时间")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	@Column(name = "shsj")
	private Date shsj;

	@ApiModelProperty(value="审核意见")
	@Column(name = "shyj")
	private String shyj;


	@ApiModelProperty(value="审核人")
	@Column(name = "shrmc")
	private String shrmc ;


	/**
	 * 是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）
	 */
	@ApiModelProperty(value = "是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）")
	@Column(name = "sfba")
	private Integer  sfba;

	@ApiModelProperty(value = "经营范围", notes ="经营范围", required = false)
	@Column(name = "jyfw")
	private String jyfw;

	@ApiModelProperty(value = "周边有无污染源及易燃易爆场所，1：有，0：无", notes ="周边有无污染源及易燃易爆场所，1：有，0：无", required = false)
	@Column(name = "wryjyrybcs")
	private Integer wryjyrybcs;

	@ApiModelProperty(value = "企业层级", notes ="企业层级", required = false)
	@Column(name = "qycj")
	private String qycj;

	@ApiModelProperty(value = "企业工商注册地", notes ="企业工商注册地", required = false)
	@Column(name = "qygszcd")
	@NotBlank(message = "请填写法企业工商注册地")
	@Pattern(regexp = "^[a-zA-Z0-9 \\u4e00-\\u9fa5][^暂无,测试,无,空]+$",message = "请填写正确法企业工商注册地")
	private String qygszcd;

	@ApiModelProperty(value = "入统状态0：停用。1：启用", notes ="入统状态0：停用。1：启用", required = false)
	@Column(name = "rtzt")
	private Integer rtzt;

	@ApiModelProperty(value = "市级承储企业", notes ="市级承储企业", required = false)
	@Column(name = "sjccqy")
	private String sjccqy;

	@ApiModelProperty(value = "区级承储企业", notes ="区级承储企业", required = false)
	@Column(name = "qjccqy")
	private String qjccqy;

	@ApiModelProperty(value = "上级集团名称", notes ="上级集团名称", required = false)
	@Column(name = "sjjtmc")
	private String sjjtmc;

	@ApiModelProperty(value = "上级集团机构代码", notes ="上级集团机构代码", required = false)
	@Column(name = "sjjtjgdm")
	private String sjjtjgdm;

	@ApiModelProperty(value = "上级集团统一社会信用代码", notes ="上级集团统一社会信用代码", required = false)
	@Column(name = "sjjttyshxydm")
	private String sjjttyshxydm;

	@ApiModelProperty(value = "仓房数量（座）", notes ="仓房数量（座）", required = false)
	@Column(name = "cfsl")
	private Integer cfsl;

	@ApiModelProperty(value = "油罐数量（个）", notes ="油罐数量（个）", required = false)
	@Column(name = "ygsl")
	private Integer ygsl;

	@ApiModelProperty(value = "所属地区市code", notes ="所属地区市code", required = false)
	@Column(name = "shi")
	private String shi;

	@ApiModelProperty(value = "所属地区市名称", notes ="所属地区市名称", required = false)
	@Column(name = "shiName")
	private String shiName;

	@ApiModelProperty(value = "所属地区县code", notes ="所属地区县code", required = false)
	@Column(name = "xian")
	private String xian;

	@ApiModelProperty(value = "所属地区县名称", notes ="所属地区县名称", required = false)
	@Column(name = "xianName")
	private String xianName;

	@ApiModelProperty(value = "距离", notes ="距离", required = false)
	@Column(name = "distance")
	private BigDecimal distance;

	@ApiModelProperty(value = "单位类型", notes ="单位类型", required = false)
	@Column(name = "dwlx")
	private String dwlx;

	@ApiModelProperty(value = "粮食收购许可证发证时间", notes ="粮食收购许可证发证时间", required = false)
	@Column(name = "lssgxkzfzsj")
	private Date lssgxkzfzsj;

	@ApiModelProperty(value = "填报人", notes ="填报人", required = false)
	@Column(name = "tbr")
	private String tbr;

	@ApiModelProperty(value = "联系电话", notes ="联系电话", required = false)
	@Column(name = "lxdh")
	private String lxdh;

	@ApiModelProperty(value = "手机号", notes ="手机号", required = false)
	@Column(name = "sjh")
	private String sjh;

	@ApiModelProperty(value = "企业负责人", notes ="企业负责人", required = false)
	@Column(name = "qyfzr")
	private String qyfzr;

	@ApiModelProperty(value = "发证日期", notes ="发证日期", required = false)
	@Column(name = "fzrq")
	private Date fzrq;

	@ApiModelProperty(value = "收购状态", notes ="收购状态", required = false)
	@Column(name = "sgzt")
	private String sgzt;

	@ApiModelProperty(value = "是否最高最低企业", notes ="是否最高最低企业", required = false)
	@Column(name = "sfzdzgqy")
	private String sfzdzgqy;

	@ApiModelProperty(value = "有效日期", notes ="有效日期", required = false)
	@Column(name = "yxqz")
	private Date yxqz;

	@ApiModelProperty(value = "区分层级", notes ="区分层级", required = false)
	@Column(name = "qfcj")
	private String qfcj;

	@ApiModelProperty(value = "是否上报", notes ="是否上报", required = false)
	@Column(name = "sfsb")
	private BigDecimal sfsb;

	@ApiModelProperty(value="企业编码")
	@Column(name = "qybm")
	private String qybm;

	public CompanyVO() {
	}

    @ApiModelProperty(value="设备/设施/仪器列表")
    private List<DSbxxsjyVO> dSbxxsjyVOList;

	@ApiModelProperty(value="库点信息列表")
	private List<DKdxxsjyVO> dKdxxsjyVOList;

	@ApiModelProperty(value="企业类型列表")
	private List<TzQylxVO> tzQylxVOList;

	@ApiModelProperty(value="应急企业")
	private TzYjqyVO tzYjqyVO;


	/*lgd add */
	@ApiModelProperty(value="所在地省")
	private String txprovince;

	@ApiModelProperty(value="所在地市")
	private String txcity;

	@ApiModelProperty(value="注册地省")
	private String zcprovince;

	@ApiModelProperty(value="注册地市")
	private String zccity;

	/**
	 * 企业注册审核状态 0待审核 1是通过 2 是未通过
	 */
	@Column(name = "shzt")
	private Integer  shzt;
	/*lgd end */

	@ApiModelProperty(value = "文件信息", notes ="")
	private String fileId;

	/**
	 * 企业类型
	 */
	@ApiModelProperty(value="企业类型")
	@Column(name = "qyType")
	private String qyType;

	@ApiModelProperty(value="更新时间")
	@Column(name = "refresh_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date refreshTime = new Date();

	@ApiModelProperty(value="法人身份证号")
	//@NotBlank(message = "请填写正确法人身份证号")
	//@Pattern(regexp = "^$|^(\\d{6})(\\d{4})(\\d{2})(\\d{2})(\\d{3})([0-9]|X)$",message = "请填写正确法人身份证号")
	private String frsfzh;

	@ApiModelProperty(value="所在地所属地区县code")
	private String txcounty;

	@ApiModelProperty(value="注册所属地区县code")
	//@NotBlank(message = "请填写正确注册所属地")
	//@Pattern(regexp = "^\\d{6}$",message = "请填写正确注册所属地")
	private String zccounty;

	@ApiModelProperty(value="设计仓容(T)")
	private BigDecimal sjcr;

	@ApiModelProperty(value="库区产权")
	//@NotBlank(message = "请填写正确库区产权")
	//@Pattern(regexp = "^1$|^2$|^3$|^4$|^9$",message = "请填写正确库区产权")
	private String kqcq;

	@ApiModelProperty(value="首页库区图")
	private String sykqt;

	@ApiModelProperty(value="企业性质")
	private String qyxzfl;

	@ApiModelProperty(value="库区类别（标准单位类型）")
	//@NotBlank(message = "请填写正确单位类型")
	//@Pattern(regexp = "^2$|^3$|^4$|^9$|^11$|^12$|^13$|^14$|^15$|^19$",message = "请填写正确单位类型")
	private String kqlb;

	@ApiModelProperty(value="单位类型（库级使用）")
	private String lx;

	@ApiModelProperty(value = "标准库区代码")
	private String kqdm;

	@ApiModelProperty(value = "库级推送返回信息")
	private String sendResult;

	@ApiModelProperty(value="是否上传（1：是；0：否）")
	@Column(name = "sfsc")
	private String sfsc;

	@ApiModelProperty(value = "库区数量", notes ="库区数量", required = false)
	private Integer kqsl;

	@ApiModelProperty(value = "评价结果（等级）")
	private String pjjg;

	@ApiModelProperty(value = "更新记录", notes ="")
    private List<TzSlqyUpdateLogVO> updateLogList;
	
	
	/**
	 * 是否为备案企业
	 */
	@ApiModelProperty(value="是否为备案企业")
	@Column(name="sfbaqy")
	private String sfbaqy;
	
	
	/**
	 * 是否为流通统计企业
	 */
	@ApiModelProperty(value="是否为流通统计企业")
	@Column(name="sflttjqy")
	private String sflttjqy;
	
	
	/**
	 * 企业类型  qiyeleix
	 */
	@ApiModelProperty(value="企业类型")
	@Column(name="qiyeleix")
	private String qiyeleix;
}
