package com.unis.base.common.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfztsjyVO
 * @ProjectName 仓房状态实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("仓房状态信息实体")
public class DCfztsjyVO extends BaseEntity {

	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value = "仓房编号",example = "eg:111222  长度30")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty(value="仓房名称",required = true,example = "eg:aaa  长度20")
	private String cfmc;
	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",required = true,example = "eg:AAA  长度30")
	private String kddm;
	/**
	 * 现存升级储备粮
	 */
	@ApiModelProperty(value = "现存升级储备粮",example = "eg:222  长度8")
	private String xcsjcbl;

	/**
	 * 是否改造
	 */
	@ApiModelProperty(value = "是否改造",example = "eg:0  长度1")
	private String sfgz;

	/**
	 * 改造时间
	 */
	@ApiModelProperty(value = "改造时间",example = "eg:2019-09-21 20:36:53.175839 长度Date_Time")
	private String gzsj;

	/**
	 * 是否粮库智能化升级项目
	 */
	@ApiModelProperty(value = "是否粮库智能化升级项目",example = "eg:1  长度1")
	private Double sflkznhsjxm;

	/**
	 * 仓顶能否防漏
	 */
	@ApiModelProperty(value = "仓顶能否防漏",example = "eg:1  长度1")
	private Double cdnffl;

	/**
	 * 仓墙能否防湿
	 */
	@ApiModelProperty(value = "仓墙能否防湿",example = "eg:1  长度1")
	private Double cqnffs;

	/**
	 * 仓底能否防潮
	 */
	@ApiModelProperty(value = "仓底能否防潮",example = "eg:1  长度1")
	private Integer cdnffc;

	/**
	 * 门窗是否严密
	 */
	@ApiModelProperty(value = "门窗是否严密",example = "eg:1  长度1")
	private Integer mcsfym;

	/**
	 * 仓房能否隔热保冷
	 */
	@ApiModelProperty(value = "仓房能否隔热保冷",example = "eg:1  长度1")
	private String cfnfgrbl;

	/**
	 * 仓房能否散装储存
	 */
	@ApiModelProperty(value = "仓房能否散装储存",example = "eg:1  长度1")
	private Double cfnfszcc;

	/**
	 * 有无防鼠防雀装置
	 */
	@ApiModelProperty(value = "有无防鼠防雀装置",example = "eg:1  长度1")
	private Double ywfsfqzz;

	/**
	 * 有无防火防盗措施
	 */
	@ApiModelProperty(value = "有无防火防盗措施",example = "eg:1  长度1")
	private Date ywfhfdcs;

	/**
	 * 有无机械通风设施
	 */
	@ApiModelProperty(value = "有无机械通风设施",example = "eg:1  长度1")
	private String ywjxtfss;

	/**
	 * 能否密闭熏蒸杀虫
	 */
	@ApiModelProperty(value = "能否密闭熏蒸杀虫",example = "eg:1  长度1")
	private String nfmbxzsc;

	/**
	 * 有无粮情检测设备
	 */
	@ApiModelProperty(value = "有无粮情检测设备",example = "eg:1  长度1")
	private Integer ywlqjcsb;

	/**
	 * 有无粮食智能出入库系统
	 */
	@ApiModelProperty(value = "有无粮食智能出入库系统",example = "eg:1  长度1")
	private Integer ywlszncrkxt;

	/**
	 * 有无智能粮情测控系统
	 */
	@ApiModelProperty(value = "有无智能粮情测控系统",example = "eg:1  长度1")
	private Integer ywznlqckxt;

	/**
	 * 有无智能安防监控系统
	 */
	@ApiModelProperty(value = "有无智能安防监控系统",example = "eg:1  长度1")
	private Integer ywznafjkxt;

	/**
	 * 有无粮库综合业务管理系统
	 */
	@ApiModelProperty(value = "有无粮库综合业务管理系统",example = "eg:1  长度1")
	private Integer ywlkzhywglxt;

	public DCfztsjyVO() {
	}

	public DCfztsjyVO(String cfbh, String cfmc) {
		super();
		this.cfbh = cfbh;
		this.cfmc = cfmc;
	}

	public DCfztsjyVO(String cfbh, String cfmc, String kddm, String xcsjcbl, String sfgz, String gzsj,
			Double sflkznhsjxm, Double cdnffl, Double cqnffs, Integer cdnffc, Integer mcsfym, String cfnfgrbl,
			Double cfnfszcc, Double ywfsfqzz, Date ywfhfdcs, String ywjxtfss, String nfmbxzsc, Integer ywlqjcsb,
			Integer ywlszncrkxt, Integer ywznlqckxt, Integer ywznafjkxt, Integer ywlkzhywglxt) {
		super();
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.kddm = kddm;
		this.xcsjcbl = xcsjcbl;
		this.sfgz = sfgz;
		this.gzsj = gzsj;
		this.sflkznhsjxm = sflkznhsjxm;
		this.cdnffl = cdnffl;
		this.cqnffs = cqnffs;
		this.cdnffc = cdnffc;
		this.mcsfym = mcsfym;
		this.cfnfgrbl = cfnfgrbl;
		this.cfnfszcc = cfnfszcc;
		this.ywfsfqzz = ywfsfqzz;
		this.ywfhfdcs = ywfhfdcs;
		this.ywjxtfss = ywjxtfss;
		this.nfmbxzsc = nfmbxzsc;
		this.ywlqjcsb = ywlqjcsb;
		this.ywlszncrkxt = ywlszncrkxt;
		this.ywznlqckxt = ywznlqckxt;
		this.ywznafjkxt = ywznafjkxt;
		this.ywlkzhywglxt = ywlkzhywglxt;
	}

}
