package com.unis.base.common.vo;

import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 或为信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@SuppressWarnings("serial")
@ApiModel("货位信息实体")
public class DHwxxsjyVO extends BaseEntity  {

	@ApiModelProperty(value = "货位序号", notes = "货位序号")
	@Column(name = "hwxh")
	private String hwxh;

	/**
	 * 货位编号
	 */
	@ApiModelProperty(value = "货位编号",example = "eg:string001001001001  长度30")
	private String hwbh;

	/**
	 * 货位名称
	 */
	@ApiModelProperty(value="货位名称",required = true,example = "eg:string  长度30")
	private String hwmc;

	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value="仓房编号",example = "eg:string001001001  长度30")
	private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
	private String cfmc;

	/**
	 * 启用日期
	 */
	@ApiModelProperty(value = "启用日期",example = "eg:2019-08-30 15:03:32  长度Date_Time")
	@JSONField(format="yyyy-MM-dd HH:mm:ss")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date qyrq;
	/**
	 * 货位状态
	 */
	@ApiModelProperty(value = "货位状态",example = "eg:1 长度1")
	private String hwzt;
	/**
	 * 货位仓容
	 */
	@ApiModelProperty(value = "货位容量")
	private Double hwrl;

	@ApiModelProperty(value = "标准货位代码")
	private String hwdm;

	@ApiModelProperty(value = "仓房编码，与库级关联字段")
	private String cfbm;

	@ApiModelProperty(value = "使用状态", example = "1:在用; 2:弃用")
	private String syzt;

	@ApiModelProperty(value="数据状态")
	private Integer status;

	@ApiModelProperty(value = "下发库级返回信息", notes = "下发库级返回信息")
	private String sendResult;
}
