package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 库点信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("库点信息实体")
public class DKdxxsjyVO extends BaseEntity {


	/**
	 * 库点代码
	 */
	@ApiModelProperty(value="库点代码",example = "eg:911202236794497949086  长度30")
	private String kddm;

	/**
	 * 库点名称
	 */
	@ApiModelProperty(value="库点名称",required = true,example = "eg:呼市西郊储备库  长度50")
	private String kdmc;


	/**
	 * 库点介绍
	 */
	@ApiModelProperty(value="库点介绍",example = "eg:string  长度20")
	private String kdjc;

	/**
	 * 库点性质
	 */
	@ApiModelProperty(value="库点性质",example = "eg:1  长度1")
	private String kdqyxz;

	/**
	 * 所属企业代码
	 */
	@ApiModelProperty(value="所属企业代码",required = true,example = "eg:911202236794497949  长度30")
	private String tyshxydm;
	/**
	 * 企业名称
	 */
	@ApiModelProperty(value="企业名称",example = "eg:内蒙古自治区粮食和物资储备局  长度50")
	private String qymc;

	/**
	 * 粮库类别
	 */
	@ApiModelProperty(value="粮库类别",example = "eg:string  长度20")
	private String lklb;

	/**
	 * 建成日期
	 */
	@ApiModelProperty(value="建成日期",example = "eg:2019-08-29 16:25:38  长度Date_Time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jcrq;

	/**
	 * 库点设计仓容
	 */
	@ApiModelProperty(value="库点设计仓容",example = "eg:123   18")
	private Double sjcr;

	/**
	 * 有效仓容
	 */
	@ApiModelProperty(value="有效仓容",example = "eg:4321.123   18,3")
	private Double kdyxcr;

	/**
	 * 库区产权
	 */
	@ApiModelProperty(value="库区产权",example = "1:自有2:租赁3:共有4:混合9:其他")
	private String kqcq;


	/**
	 * 仓房数量
	 */
	@ApiModelProperty(value="仓房数量",example = "eg:4321")
	private Integer cfs;

	/**
	 * 油脂库区数
	 */
	@ApiModelProperty(value="油脂库区数",example = "eg:1")
	private Integer yzkqs;

	/**
	 * 油罐数量
	 */
	@ApiModelProperty(value="油罐数量",example = "eg:123")
	private Integer ygsl;

	/**
	 * 有效罐容
	 */
	@ApiModelProperty(value="有效罐容",example = "eg:123.12   10,2")
	private Double yxgr;

	/**
	 * 库点面积
	 */
	@ApiModelProperty(value="库点面积",example = "eg:123.23   10.2")
	private Double kdmj;

	/**
	 * 库点电话
	 */
	@ApiModelProperty(value="库点电话",example = "eg:14223456323   30")
	private String kddh;

	/**
	 * 库点地址
	 */
	@ApiModelProperty(value="库点地址",example = "eg:库点地址   128")
	private String kddz;

	/**
	 * 库点传真
	 */
	@ApiModelProperty(value="库点传真",example = "eg:库点传真   30")
	private String kdcz;

	/**
	 * 库点邮编
	 */
	@ApiModelProperty(value=" 库点邮编",example = "eg:123   6")
	private String kdyb;

	/**
	 * 库点经度
	 */
	@ApiModelProperty(value="库点经度",example = "eg:123   20")
	private String kdjd;

	/**
	 * 库点维度
	 */
	@ApiModelProperty(value="库点维度",example = "eg:123   20")
	private String kdwd;

	/**
	 * 行政区划名称
	 */
	@ApiModelProperty(value="行政区划名称",example = "eg:行政区划名称   50")
	private String xzqhmc;

	/**
	 * 行政区划代码
	 */
	@ApiModelProperty(value="行政区划代码",example = "eg:xzqhdm   6")
	private String xzqhdm;

	/**
	 * 紧邻公路类别（T/F）
	 */
	@ApiModelProperty(value=" 紧邻公路类别（T/F）",example = "eg:1   1")
	private String jlgllb;

	/**
	 * 紧邻公路距离
	 */
	@ApiModelProperty(value="紧邻公路距离",example = "eg:123   15")
	private Integer jlgljl;

	/**
	 * 是否符合污染源
	 */
	@ApiModelProperty(value="是否符合污染源",example = "eg:1   1")
	private String sffhwry;

	/**
	 * 有无消防水源
	 */
	@ApiModelProperty(value="有无消防水源",example = "eg:1   1")
	private String ywxfsy;

	/**
	 * 有无消防设施
	 */
	@ApiModelProperty(value="有无消防设施",example = "eg:1   1")
	private String ywxfss;

	/**
	 * 有无检化验室
	 */
	@ApiModelProperty(value="有无检化验室",example = "eg:1   1")
	private String ywjhys;

	/**
	 * 汽车衡
	 */
	@ApiModelProperty(value="汽车衡",example = "eg:12   8")
	private Integer jccsbQch;

	/**
	 * 防洪标准年限
	 */
	@ApiModelProperty(value="防洪标准年限",example = "eg:13   15")
	private Integer fhbznx;

	/**
	 * 是否智能化升级改造，0未接入、1粮情库、2示范库    库点
	 */
	@ApiModelProperty(value = "是否智能化升级改造，0未接入、1粮情库、2示范库    库点",example = "eg:1   2")
	private String sfznhsjgz;

	@ApiModelProperty(value = "包含仓（罐）状态：1：仓号，2：罐号", notes ="包含仓（罐）状态：1：仓号，2：罐号", required = false)
	@Column(name = "bhcgzt")
	private Integer bhcgzt;

	@ApiModelProperty(value = "仓（罐）编号", notes ="仓（罐）编号", required = false,example = "eg:123   36")
	@Column(name = "cgbh")
	private String cgbh;

	@ApiModelProperty(value = "仓（罐）容量（T）", notes ="仓（罐）容量（T）", required = false,example = "eg:123.233   18,3")
	@Column(name = "cgrl")
	private BigDecimal cgrl;

	@ApiModelProperty(value = "铁路专用线（m）", notes ="铁路专用线（m）", required = false,example = "eg:123   18")
	@Column(name = "tlzyx")
	private Integer tlzyx;

	@ApiModelProperty(value = "有效长度（m）", notes ="有效长度（m）", required = false,example = "eg:123   18")
	@Column(name = "yxcd")
	private Integer yxcd;

	@ApiModelProperty(value = "码头泊位（个）", notes ="码头泊位（个）", required = false,example = "eg:123   18")
	@Column(name = "mtbw")
	private Integer mtbw;

	@ApiModelProperty(value = "总吨位（T）", notes ="总吨位（T）", required = false,example = "eg:123.234   18,3")
	@Column(name = "zdw")
	private BigDecimal zdw;

	@ApiModelProperty(value = "配套附属设施情况", notes ="配套附属设施情况", required = false,example = "eg:配套附属设施情况   255")
	@Column(name = "ptfsssqk")
	private String ptfsssqk;

	@ApiModelProperty(value = "资产原值（万元）", notes ="资产原值（万元）", required = false,example = "eg:123,234   18,3")
	@Column(name = "zcyz")
	private BigDecimal zcyz;

	@ApiModelProperty(value = "资产评估现值（万元）", notes ="资产评估现值（万元）", required = false,example = "eg:123,123   18,3")
	@Column(name = "zcpgxz")
	private BigDecimal zcpgxz;

	@ApiModelProperty(value = "变更处理类别，1:报废，2:拆除，3:迁建，4:改扩建，5:原址重建，6:改变用途，7:其他",
			notes ="变更处理类别，1:报废，2:拆除，3:迁建，4:改扩建，5:原址重建，6:改变用途，7:其他", required = false)
	@Column(name = "bgcllb")
	private Integer bgcllb;

	@ApiModelProperty(value = "是否备案，0，未备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交，6，已受理",
			notes ="是否备案，0，未备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交，6，已受理", required = false,example = "eg:1")
	@Column(name = "sfba")
	private Integer sfba;

	@ApiModelProperty(value = "仓（罐）名称", notes ="仓（罐）名称", required = false)
	@Column(name = "cgmc")
	private String cgmc;

	@ApiModelProperty(value = "标准库区代码")
	@Column(name = "kqdm")
	private String kqdm;

	@ApiModelProperty(value = "使用状态")
	@Column(name = "syzt")
	private String syzt;

	public DKdxxsjyVO() {

	}

	List<DKdxxsjyVO> childList;

	@ApiModelProperty(value = "tz_qyjg企业机构代码")
	private String qyjgdm;

	public DKdxxsjyVO(String kdmc, String kdqyxz, String tyshxydm, String qymc, String lklb) {
		super();
		this.kdmc = kdmc;
		this.kdqyxz = kdqyxz;
		this.tyshxydm = tyshxydm;
		this.qymc = qymc;
		this.lklb = lklb;

	}

	public DKdxxsjyVO(String kddm, String kdmc, String kdjc, String kdqyxz, String tyshxydm, String qymc, String lklb,
					  Date jcrq, Double sjcr, Double kdyxcr, Integer cfs, Integer yzkqs, Integer ygsl, Double yxgr, Double kdmj,
					  String kddh, String kddz, String kdcz, String kdyb, String kdjd, String kdwd, String xzqhmc, String xzqhdm,
					  String jlgllb, Integer jlgljl, String sffhwry, String ywxfsy, String ywxfss, String ywjhys,
					  Integer jccsbQch, Integer fhbznx, Integer bhcgzt, String cgbh, BigDecimal cgrl, Integer tlzyx, Integer yxcd,
					  Integer mtbw, BigDecimal zdw, String ptfsssqk, BigDecimal zcyz, BigDecimal zcpgxz, Integer bgcllb,
					  Integer sfba, String cgmc) {
		super();
		this.kddm = kddm;
		this.kdmc = kdmc;
		this.kdjc = kdjc;
		this.kdqyxz = kdqyxz;
		this.tyshxydm = tyshxydm;
		this.qymc = qymc;
		this.lklb = lklb;
		this.jcrq = jcrq;
		this.sjcr = sjcr;
		this.kdyxcr = kdyxcr;
		this.cfs = cfs;
		this.yzkqs = yzkqs;
		this.ygsl = ygsl;
		this.yxgr = yxgr;
		this.kdmj = kdmj;
		this.kddh = kddh;
		this.kddz = kddz;
		this.kdcz = kdcz;
		this.kdyb = kdyb;
		this.kdjd = kdjd;
		this.kdwd = kdwd;
		this.xzqhmc = xzqhmc;
		this.xzqhdm = xzqhdm;
		this.jlgllb = jlgllb;
		this.jlgljl = jlgljl;
		this.sffhwry = sffhwry;
		this.ywxfsy = ywxfsy;
		this.ywxfss = ywxfss;
		this.ywjhys = ywjhys;
		this.jccsbQch = jccsbQch;
		this.fhbznx = fhbznx;
		this.bhcgzt = bhcgzt;
		this.cgbh = cgbh;
		this.cgrl = cgrl;
		this.tlzyx = tlzyx;
		this.yxcd = yxcd;
		this.mtbw = mtbw;
		this.zdw = zdw;
		this.ptfsssqk = ptfsssqk;
		this.zcyz = zcyz;
		this.zcpgxz = zcpgxz;
		this.bgcllb = bgcllb;
		this.sfba = sfba;
		this.cgmc = cgmc;
	}


}
