package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/23 20:25
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("消防器材申购实体类")
public class DSbsgxxVO extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号",example = "eg:111  30")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @ApiModelProperty(value = "设备仪器名称",required = true,example = "eg:设备仪器名称  60")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @ApiModelProperty(value="所属库点编号",required = true,example = "eg:kddm  30")
    private String kddm;

    /**
     * 设备分类
     */
    @ApiModelProperty(value="设备分类",example = "eg:设备分类  30")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @ApiModelProperty(value="设备分类编码",example = "eg:sbflbh  30")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @ApiModelProperty(value="设施分类，1：设备，2：设施，3：仪器",example = "eg:1  5")
    private String ssfl;

    /**
     * 设备型号
     */
    @ApiModelProperty(value="设备型号",example = "eg:1sbxh11  30")
    private String sbxh;

    /**
     * 设备申请人
     */
    @ApiModelProperty(value="设备申请人",example = "eg:张三  30")
    private String sbsqr;


    /**
     *  设备申请时间
     */
    @ApiModelProperty(value="设备申请时间",example = "eg:2019-09-29 13:40:41:484  Date_Time")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sbsqsj;

    /**
     * 设备申请部门
     */
    @ApiModelProperty(value="设备申请部门",example = "eg:设备申请部门  60")
    private String sbsqbm;

    /**
     * 申请单位代码
     */
    @ApiModelProperty(value="申请单位代码",example = "eg:sqdwbhsqdwbh  60")
    private String sqdwbh;

    /**
     * 申请单位名称
     */
    @ApiModelProperty(value="申请单位名称",example = "eg:申请单位名称  60")
    private String sqdwmc;

    /**
     *  设备申请数量
     */
    @ApiModelProperty(value="设备数量",example = "eg:111  10")
    private Integer sbsl;


    /**
     *  设备单价
     */
    @ApiModelProperty(value="设备单价",example = "eg:111  10")
    private Integer sbdj;



    /**
     * 设备总价
     */
    @ApiModelProperty(value="设备总价",example = "eg:111  15")
    private String sbzj;

    /**
     * 企业名称
     */

    private String qymc;

    /**
     * 法定代表人
     */

    private String fddbr;

    /**
     * 办公电话
     */

    private String bgdh;

    /**
     * 库点名称
     */

    private String kdmc;

    /**
     * 库点地址
     */

    private String kddz;


}
