package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("维修信息实体类")
public class DSbwxxxVO extends BaseEntity{

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 设备编号
     */
    @ApiModelProperty("设备编号")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @ApiModelProperty("设备仪器名称")
    private String sbyqmc;

    /**
     * 库点代码
     */
    @ApiModelProperty("库点代码")
    private String kddm;

    /**
     * 设备分类
     */
    @ApiModelProperty("设备分类")
    private String sbfl;

    /**
     * 设备分类编号
     */
    @ApiModelProperty("设备分类编号")
    private String sbflbh;

    /**
     * 设施分类，1：设备，2：设施，3：仪器
     */
    @ApiModelProperty("设施分类")
    private String ssfl;

    /**
     * 设备故障
     */
    @ApiModelProperty("设备故障")
    private String sbgz;

    /**
     * 送修人
     */
    @ApiModelProperty("送修人")
    private String sxr;

    /**
     * 维修单位
     */
    @ApiModelProperty("维修单位")
    private String wxdw;

    /**
     * 维修费用
     */
    @ApiModelProperty("维修费用")
    private String wxfy;

    /**
     * 维修说明
     */
    @ApiModelProperty("维修说明")
    private String wxsm;

    /**
     * 维修人联系方式
     */
    @ApiModelProperty("维修人联系方式")
    private String whrlxfs;

    /**
     * 区域
     */
    @ApiModelProperty("区域")
    private String qy;

    /**
     * 是否保修
     */
    @ApiModelProperty("是否保修")
    private String sfbx;

    /**
     * 维修时间
     */
    @ApiModelProperty("维修时间")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date wxsj;

    /**
     * 设备类型
     */
    @ApiModelProperty("设备类型")
    private String sblx;

    /**
     * 维修方式
     */
    @ApiModelProperty("维修方式")
    private String wxfs;

    /**
     * 负责人
     */
    @ApiModelProperty("负责人")
    private String fzr;

    /**
     * 企业名称
     */

    private String qymc;

    /**
     * 法定代表人
     */

    private String fddbr;

    /**
     * 办公电话
     */

    private String bgdh;

    /**
     * 库点名称
     */

    private String kdmc;

    /**
     * 库点地址
     */

    private String kddz;

    /**
     *  设备数量
     */
    private Integer sbsl;

}
