package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title DSbxxsjyQueryVO
 * @ProjectName 设备信息查询业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("设备信息查询业务对象")
public class DSbxxsjyQueryVO {

	/**
	 * 设备编号
	 */
	@ApiModelProperty("设备编号")
	private String sbbh;

	/**
	 * 设备仪器名称
	 */
	@ApiModelProperty(value = "设备仪器名称",required = true)
	private String sbyqmc;
	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",required = true)
	private String kddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
	private String kdmc;

	/**
	 * 设备状态
	 */
	@ApiModelProperty(value = "设备状态，1：正常，2：维护中，3：保养中，4：已借出，5：故障，0：报废", notes ="设备状态，1：正常，2：维护中，3：保养中，4：已借出，5：故障，0：报废", required = false)
	private String sbzt;

	/**
	 * 设备分类
	 */
	@ApiModelProperty("设备分类")
	private String sbfl;

	/**
	 * 企业名称
	 */
	@ApiModelProperty("企业名称")
	private String qymc;

	/**
	 * 企业性质
	 */
	@ApiModelProperty("企业性质")
	private String qyxz;


	@ApiModelProperty(value = "机构ID", notes ="机构ID", required = false)
	private String jgId;

	@ApiModelProperty(value = "设施分类，1：设备，2：设施，3：仪器", notes ="设施分类，1：设备，2：设施，3：仪器", required = false)
	private Integer ssfl;

	@ApiModelProperty(value = "是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）", notes ="是否备案  （0，未备案，1，待提交，2待审核，3已驳回，4，已备案）", required = false)
	@Column(name = "sfba")
	private Integer sfba;

	@ApiModelProperty(value = "设备类型编号", notes ="设备类型编号", required = false)
	@Column(name = "sblxbh")
	private String sblxbh;

	@ApiModelProperty(value = "设备类型名称编号", notes ="设备类型名称编号", required = false)
	private String sblxmcbh;

	@ApiModelProperty(value = "状态数组")
	private String[] zts;

	public DSbxxsjyQueryVO() {
		super();

	}


	public DSbxxsjyQueryVO(String sbbh, String sbyqmc, String kddm, String kdmc, String sbzt, String sbfl, String qymc, String qyxz, String jgId, Integer ssfl) {
		this.sbbh = sbbh;
		this.sbyqmc = sbyqmc;
		this.kddm = kddm;
		this.kdmc = kdmc;
		this.sbzt = sbzt;
		this.sbfl = sbfl;
		this.qymc = qymc;
		this.qyxz = qyxz;
		this.jgId = jgId;
		this.ssfl = ssfl;
		this.sblxbh = sblxbh;
	}
}
