package com.unis.base.common.vo;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Transient;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 设备信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("设备信息实体类")
public class DSbxxsjyVO extends BaseEntity {

	/**
	 * 设备编号
	 */
	@ApiModelProperty("设备编号")
	private String sbbh;

	/**
	 * 设备仪器名称
	 */
	@ApiModelProperty(value = "设备仪器名称",required = true)
	private String sbyqmc;
	/**
	 * 所属库点编号
	 */
	@ApiModelProperty(value="所属库点编号",required = true)
	private String kddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
	private String kdmc;

	/**
	 * 设备规格型号
	 */
	@ApiModelProperty("设备规格型号")
	private String sbggxh;

	/**
	 * 设备描述
	 */
	@ApiModelProperty("设备描述")
	private String sbms;

	/**
	 * 设备状态
	 */
	@ApiModelProperty(value = "设备状态，1：正常，2：维护中，3：保养中，4：已借出，5：故障，0：报废", notes ="设备状态，1：正常，2：维护中，3：保养中，4：已借出，5：故障，0：报废", required = false)
	private String sbzt;

	/**
	 * 设备分类
	 */
	@ApiModelProperty("设备分类")
	private String sbfl;

	/**
	 * 生产厂家
	 */
	@ApiModelProperty("生产厂家")
	private String sccj;

	/**
	 * 采购价格
	 */
	@ApiModelProperty("采购价格")
	private String cgjg;

	/**
	 * 设备管理者
	 */
	@ApiModelProperty("设备管理者")
	private String sbglz;

	/**
	 * 额定工作时间(小时)
	 */
	@ApiModelProperty("额定工作时间(小时)")
	private Integer edgzsj;

	/**
	 * 单次工作时间(小时)
	 */
	@ApiModelProperty("单次工作时间(小时)")
	private Integer dcgzsj;

	/**
	 * 采购日期
	 */
	@ApiModelProperty("采购日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date cgsj;

	/**
	 * 预计检定日期
	 */
	@ApiModelProperty("预计检定日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date yjjdrq;

	/**
	 * 累计工作时间
	 */
	@ApiModelProperty("累计工作时间")
	private Integer ljgzsj;

	/**
	 * 使用寿命
	 */
	@ApiModelProperty("使用寿命")
	private Integer sysm;

	/**
	 * 预计报废日
	 */
	@ApiModelProperty("预计报废日")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date yjbfrq;

	/**
	 *设备照片
	 */
	@ApiModelProperty("设备照片")
	private Integer sbzp;

	/**
	 * 人员编号
	 */
	@ApiModelProperty("人员编号")
	private String rybh;

	/**
	 * 人员名称
	 */
	@ApiModelProperty("人员名称")
	private String ryxm;


	/**
	 * 登记人
	 */
	@ApiModelProperty("登记人")
	private String djr;

	/**
	 * 维护原因
	 */
	@ApiModelProperty("维护原因")
	private String whyy;

	/**
	 * 维护时间
	 */
	@ApiModelProperty("维护时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date whsj;

	/**
	 * 保修期限
	 */
	@ApiModelProperty("保修期限")
	private String bxqx;

	/**
	 * 设备安装人
	 */
	@ApiModelProperty("设备安装人")
	private String sbazr;

	/**
	 * 维修电话
	 */
	@ApiModelProperty("维修电话")
	private String wxdh;

	/**
	 * 采购人
	 */
	@ApiModelProperty("采购人")
	private String cgr;

	/**
	 * 批准人
	 */
	@ApiModelProperty("批准人")
	private String pzr;

	@ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", notes ="是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", required = false)
	private Integer sfba;

	@ApiModelProperty(value = "所在单位名称", notes ="所在单位名称", required = false)
	private String szdwmc;

	@ApiModelProperty(value = "所在单位代码", notes ="所在单位代码", required = false)
	private String szdwdm;

	@ApiModelProperty(value = "接收状态", notes ="接收状态", required = false)
	private String jszt;

	@ApiModelProperty(value = "设备数量", notes ="设备数量", required = false)
	private Integer sbsl;

	@ApiModelProperty(value = "技术参数", notes ="技术参数", required = false)
	private String jscs;

	@ApiModelProperty(value = "设备类型，1：国产，2：进口", notes ="设备类型，1：国产，2：进口", required = false)
	private Integer sblx;

	@ApiModelProperty(value = "目前状态，1：正常，2：检定，0：停用", notes ="目前状态，1：正常，2：检定，0：停用", required = false)
	private Integer mqzt;

	@ApiModelProperty(value = "是否造册，1：是，0：否", notes ="是否造册，1：是，0：否", required = false)
	private Integer sfzc;

	@ApiModelProperty(value = "出厂编码", notes ="出厂编码", required = false)
	private String ccbm;

	@ApiModelProperty(value = "设备编码", notes ="设备编码", required = false)
	private String sbbm;

	@ApiModelProperty(value = "启用日期", notes ="启用日期", required = false)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date qyrq;

	@ApiModelProperty(value = "设施分类，1：设备，2：设施，3：仪器", notes ="设施分类，1：设备，2：设施，3：仪器", required = false)
	private Integer ssfl;

	@ApiModelProperty(value = "机构ID", notes ="机构ID", required = false)
	private String jgId;

	@ApiModelProperty(value = "放置点", notes ="放置点", required = false)
	private String fzd;

	@ApiModelProperty(value = "设备单位名称（平方米/立方米/米吨）", notes ="设备单位名称（平方米/立方米/米吨）", required = false)
	@Column(name = "sbdwmc")
	private String sbdwmc;

	@ApiModelProperty(value = "资产编号", notes ="资产编号", required = false)
	@Column(name = "zcbh")
	private String zcbh;

	@ApiModelProperty(value = "生产日期", notes ="生产日期", required = false)
	@Column(name = "scrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date scrq;

	@ApiModelProperty(value = "入库日期", notes ="入库日期", required = false)
	@Column(name = "rkrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date rkrq;

    @ApiModelProperty(value = "设备分类编号", notes ="设备分类编号", required = false)
    @Column(name = "sbflbh")
    private String sbflbh;

	@ApiModelProperty(value = "设备类型编号", notes ="设备类型编号", required = false)
	@Column(name = "sblxbh")
	private String sblxbh;


	@ApiModelProperty(value = "审核时间", notes ="审核时间", required = false)
	@Column(name = "shsj")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date shsj;

	@ApiModelProperty(value = "", notes ="审核人", required = false)
	@Column(name = "shrmc")
	private String shrmc;

	@ApiModelProperty(value = "", notes ="审核意见", required = false)
	@Column(name = "shyj")
	private String shyj;

	@ApiModelProperty(value = "", notes ="状态集合", required = false)
	private String[] zts;





	public DSbxxsjyVO() {
		super();

	}

	public DSbxxsjyVO(String sbbh, String sbyqmc, String kddm, String kdmc, String sbzt,String sbfl) {
		super();
		this.sbbh = sbbh;
		this.sbyqmc = sbyqmc;
		this.kddm = kddm;
		this.kdmc = kdmc;
		this.sbzt = sbzt;
		this.sbfl = sbfl;

	}


	public DSbxxsjyVO(String sbbh, String sbyqmc, String kddm, String kdmc, String sbggxh, String sbms, String sbzt, String sbfl, String sccj, String cgjg, String sbglz, Integer edgzsj, Integer dcgzsj, Date cgsj, Date yjjdrq, Integer ljgzsj, Integer sysm, Date yjbfrq, Integer sbzp, String rybh, String ryxm, String djr, String whyy, Date whsj, String bxqx, String sbazr, String wxdh, String cgr, String pzr, Integer sfba, String szdwmc, String szdwdm, String jszt, Integer sbsl, String jscs, Integer sblx, Integer mqzt, Integer sfzc, String ccbm, String sbbm, Date qyrq, Integer ssfl, String jgId, String fzd, String sbdwmc, String zcbh, Date scrq, Date rkrq, String sbflbh, String parentId) {
		this.sbbh = sbbh;
		this.sbyqmc = sbyqmc;
		this.kddm = kddm;
		this.kdmc = kdmc;
		this.sbggxh = sbggxh;
		this.sbms = sbms;
		this.sbzt = sbzt;
		this.sbfl = sbfl;
		this.sccj = sccj;
		this.cgjg = cgjg;
		this.sbglz = sbglz;
		this.edgzsj = edgzsj;
		this.dcgzsj = dcgzsj;
		this.cgsj = cgsj;
		this.yjjdrq = yjjdrq;
		this.ljgzsj = ljgzsj;
		this.sysm = sysm;
		this.yjbfrq = yjbfrq;
		this.sbzp = sbzp;
		this.rybh = rybh;
		this.ryxm = ryxm;
		this.djr = djr;
		this.whyy = whyy;
		this.whsj = whsj;
		this.bxqx = bxqx;
		this.sbazr = sbazr;
		this.wxdh = wxdh;
		this.cgr = cgr;
		this.pzr = pzr;
		this.sfba = sfba;
		this.szdwmc = szdwmc;
		this.szdwdm = szdwdm;
		this.jszt = jszt;
		this.sbsl = sbsl;
		this.jscs = jscs;
		this.sblx = sblx;
		this.mqzt = mqzt;
		this.sfzc = sfzc;
		this.ccbm = ccbm;
		this.sbbm = sbbm;
		this.qyrq = qyrq;
		this.ssfl = ssfl;
		this.jgId = jgId;
		this.fzd = fzd;
		this.sbdwmc = sbdwmc;
		this.zcbh = zcbh;
		this.scrq = scrq;
		this.rkrq = rkrq;
		this.sbflbh = sbflbh;
		this.sblxbh = sblxbh;
	}


	/**
	 * 企业名称
	 */
	private String qymc;

	/**
	 * 法定代表人
	 */
	private String fddbr;

	/**
	 * 办公电话
	 */
	private String bgdh;


	/**
	 * 库点地址
	 */
	private String kddz;

	@ApiModelProperty("设备编号集合")
	private List<String> sbbhs;



}
