package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/19 16:56
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("设备报废信息实体类")
public class DsbbfxxVO extends BaseEntity{


    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号",example = "eg:SB20190926002  长度30")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @ApiModelProperty(value = "设备仪器名称",required = true,example = "eg:铁路专用线(m)  长度60")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @ApiModelProperty(value="所属库点编号",required = true,example = "eg:911202236794497949086  长度30")
    private String kddm;

    /**
     * 设备分类
     */
    @ApiModelProperty(value = "设备分类",example = "eg:312  长度20")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @ApiModelProperty(value = "设备分类编码",example = "eg:1  5")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @ApiModelProperty(value = "设施分类，1：设备，2：设施，3：仪器",example = "eg:1  5")
    private String ssfl;

    /**
     * 采购日期
     */
    @ApiModelProperty(value = "采购日期",example = "eg:2019-08-27 19:02:36.000000  Date_Time")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cgsj;

    /**
     * 保管员编号
     */
    @ApiModelProperty(value = "保管员编号",example = "eg:12323  30")
    private String rybh;

    /**
     * 保管员名称
     */
    @ApiModelProperty(value = "保管员名称",example = "eg:保管员名称  20")
    private String ryxm;

    /**
     *  使用年限
     */
    @ApiModelProperty(value = "使用年限",example = "eg:12  10")
    private String synx;

    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门",example = "eg:所属部门  99")
    private String ssbm;

    /**
     *  设备型号
     */
    @ApiModelProperty(value = "设备型号",example = "eg:设备型号  99")
    private String sbxh;

    /**
     * 企业名称
     */

    private String qymc;

    /**
     * 法定代表人
     */

    private String fddbr;

    /**
     * 办公电话
     */

    private String bgdh;

    /**
     * 库点名称
     */

    private String kdmc;

    /**
     * 库点地址
      */

    private String kddz;

    /**
     *  设备数量
     */
    private Integer sbsl;





}
