package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/20 9:40
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("消防器材领用实体类")
public class DsblyxxVO extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @ApiModelProperty(value = "设备仪器名称",required = true,example = "eg:设备仪器名称  60")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @ApiModelProperty(value="所属库点编号",required = true,example = "eg:kddm  30")
    private String kddm;

    /**
     * 设备分类
     */
    @ApiModelProperty(value = "设备分类",example = "eg:设备分类  30")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @ApiModelProperty(value = "设备分类编码",example = "eg:sbflbh  5")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @ApiModelProperty(value = "设施分类，1：设备，2：设施，3：仪器",example = "eg:1  5")
    private String ssfl;

    /**
     *
     */
    @ApiModelProperty(value = "SBGGXH",example = "eg:SBGGXH  50")
    private String sbggxh;

    /**
     * 设备申请人
     */
    @ApiModelProperty(value = "设备申请人",example = "eg:设备申请人  30")
    private String sbsqr;


    /**
     *  设备申请时间
     */
    @ApiModelProperty(value = "设备申请时间",example = "eg:2019-09-03 00:00:00  Date_Time")
    private Date sbsqsj;

    /**
     * 设备申请部门
     */
    @ApiModelProperty(value = "设备申请部门",example = "eg:设备申请部门  30")
    private String sbsqbm;

    /**
     *  设备申请数量
     */
    @ApiModelProperty(value = "设备申请数量",example = "eg:123")
    private Integer sbsqsl;

    /**
     *  设备申请当前库存
     */
    @ApiModelProperty(value = "设备申请当前库存",example = "eg:123123")
    private Integer sbsqdqkc;

    /**
     *  设备单价
     */
    @ApiModelProperty(value = "设备单价",example = "eg:123")
    private Integer sbdj;

    /**
     * 申请单位代码
     */
    @ApiModelProperty(value = "申请单位代码",example = "eg:123123  30")
    private String sqdwbh;

    /**
     * 申请单位名称
     */
    @ApiModelProperty(value = "申请单位名称",example = "eg:申请单位名称  30")
    private String sqdwmc;

    /**
     * 设备申请说明
     */
    @ApiModelProperty(value = "设备申请说明",example = "eg:设备申请说明  30")
    private String sbsqsm;

    /**
     * 设备归还设备号
     */
    @ApiModelProperty(value = "设备归还设备号",example = "eg:设备归还设备号  30")
    private String sbghh;

    /**
     *  设备归还数量
     */
    @ApiModelProperty(value = "设备归还数量",example = "eg:123")
    private Integer sbghsl;

    /**
     * 设备归还人
     */
    @ApiModelProperty(value = "设备归还人",example = "eg:张三  30")
    private String sbghr;

    /**
     * 设备归还部门
     */
    @ApiModelProperty(value = "设备归还部门",example = "eg:设备归还部门  30")
    private String sbghbm;

    /**
     * 设备使用时长
     */
    @ApiModelProperty(value = "设备使用时长",example = "eg:12  30")
    private String sbsysc;

    /**
     * 设备归还时间
     */
    @ApiModelProperty(value = "设备归还时间",example = "eg:2019-09-02 00:00:00  Date_Time")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sbghsj;

    /**
     * 设备归还检查人
     */
    @ApiModelProperty(value = "设备归还检查人",example = "eg:张三  30")
    private String sbghjcr;

    /**
     * 设备归还记录人
     */
    @ApiModelProperty(value = "设备归还记录人",example = "eg:张三  30")
    private String sbghjlr;

    /**
     * 设备归还说明
     */
    @ApiModelProperty(value = "设备归还说明",example = "eg:设备归还说明  30")
    private String sbghsm;

    /**
     * 设备型号
     */
    @ApiModelProperty(value = "设备型号",example = "eg:设备型号  99")
    private String sbxh;

    /**
     * 设备领用人
     */
    @ApiModelProperty(value = "设备领用人",example = "eg:张三  30")
    private String sblyr;


    /**
     *  设备领用时间
     */
    @ApiModelProperty(value = "设备领用时间",example = "eg:2019-09-03 00:00:00  Date_Time")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sblysj;

    /**
     * 企业名称
     */

    private String qymc;

    /**
     * 法定代表人
     */

    private String fddbr;

    /**
     * 办公电话
     */

    private String bgdh;

    /**
     * 库点名称
     */

    private String kdmc;

    /**
     * 库点地址
     */

    private String kddz;

    /**
     *  设备数量
     */
    private Integer sbsl;
}
