package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/19 17:41
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("设备维护信息实体类")
public class DsbwhxxVO extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @ApiModelProperty("设备编号")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @ApiModelProperty(value = "设备仪器名称",required = true)
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @ApiModelProperty(value="所属库点编号",required = true)
    private String kddm;

    /**
     * 设备分类
     */
    @ApiModelProperty("设备分类")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @ApiModelProperty("设备分类编码")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @ApiModelProperty("设施分类，1：设备，2：设施，3：仪器")
    private String ssfl;


    /**
     * 维护方式
     */
    @ApiModelProperty("维护方式")
    private String whfs;

    /**
     * 维护费用
     */
    @ApiModelProperty("维护费用")
    private String whfy;

    /**
     *  维护人员
     */
    @ApiModelProperty("维护人员")
    private String whry;

    /**
     *  维护说明
     */
    @ApiModelProperty("维护说明")
    private String whsm;

    /**
     *  维护人联系方式
     */
    @ApiModelProperty("维护人联系方式")
    private String whrlxfs;

    /**
     * 维护时间
     */
    @ApiModelProperty("维护时间")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date whsj;

    /**
     * 维护单位
     */
    @ApiModelProperty("维护单位")
    private String whdw;

    /**
     * 设备型号
     */
    @ApiModelProperty("设备型号")
    private String sblx;

    /**
     * 企业名称
     */

    private String qymc;

    /**
     * 法定代表人
     */

    private String fddbr;

    /**
     * 办公电话
     */

    private String bgdh;

    /**
     * 库点名称
     */

    private String kdmc;

    /**
     * 库点地址
     */

    private String kddz;

    /**
     *  设备数量
     */
    private Integer sbsl;
}
