package com.unis.base.common.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("企业资格历史对象")
public class EnterpriseQualificationInformationHisVO extends BaseEntity {
	
	/**
	 * 主键
	 */
	@ApiModelProperty(value = "人员备案记录ID")
    private String id;

    /**
	 * 地区编码
	 */
	@ApiModelProperty(value = "地区编码")
    private String areaCode;

    /**
	 * 地区名称
	 */
	@ApiModelProperty(value = "地区名称")
    private String areaName;

    /**
	 * 资格申请ID
	 */
	@ApiModelProperty(value = "资格申请ID")
    private String zgsqId;

    /**
	 * 资格类型代码：1-承储资格（粮食类）；2-承储资格（食用植物油类）
	 */
	@ApiModelProperty(value = "资格类型代码：1-承储资格（粮食类）；2-承储资格（食用植物油类）")
    private String zglxDm;

    /**
	 * 资格证编号
	 */
	@ApiModelProperty(value = "资格证编号")
    private String zgzbh;

    /**
	 * 企业ID
	 */
	@ApiModelProperty(value = "企业ID")
    private Integer qyId;

    /**
	 * 统一社会信用代码
	 */
	@ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    
    /**
     * 企业名称
     */
	@ApiModelProperty(value = "企业名称")
    private String qyMc;

    /**
	 * 有效期开始时间
	 */
	@ApiModelProperty(value = "有效期开始时间")
    private Date yxqKssj;

    /**
	 * 有效期截止时间
	 */
	@ApiModelProperty(value = "有效期截止时间")
    private Date yxqJzsj;


	/**
	 * 资格撤销时间
	 */
	@ApiModelProperty(value = "资格撤销时间")
    private Date zgcxsj;

    /**
	 * 资格撤销人
	 */
	@ApiModelProperty(value = "资格撤销人")
    private String zgcxr;

    /**
	 * 资格撤销人编码
	 */
	@ApiModelProperty(value = "资格撤销人编码")
    private String zgcxrCode;

    /**
	 * 资格撤销原因
	 */
	@ApiModelProperty(value = "资格撤销原因")
    private String zgcxyy;

    /**
     * 限期内是否可以再次申请：1-是；0--否
     */
	@ApiModelProperty(value = "限期内是否可以再次申请：1-是；0--否")
    private Integer xqnsfkzcsq;

    private String kzzd1;

    private String kzzd2;

    private String kzzd3;

    private String kzzd4;

    private String kzzd5;

    private String kzzd6;

    private String kzzd7;

    private String kzzd8;

    private String kzzd9;

    private String kzzd10;

    /**
     * '审批意见'
     */
    @ApiModelProperty(value = "'审批意见'")
    private String spyj;

    /**
     * '是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案'
     */
    @ApiModelProperty(value = "'是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案'")
    
    private Long sfba;
    
    
    /**
	 * 审核人员编码
	 */
	@ApiModelProperty(value = "审核人员编码")
	private String shrybh;

	/**
	 * 审核人员名称
	 */
	@ApiModelProperty(value = "审核人员名称")
	private String shrymc;

	/**
	 * 审核部门编码
	 */
	@ApiModelProperty(value = "审核部门编码")
	private String shbmbh;

	/**
	 * 审核部门名称
	 */
	@ApiModelProperty(value = "审核部门名称")
	private String shbmmc;


  
}