package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title EquipmentRecordsQueryVO
 * @ProjectName 设备备案记录查询业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBXXSJY_HIS")
@ApiModel(value="设备备案记录查询业务对象")
public class EquipmentRecordsQueryVO {

    @ApiModelProperty(value = "设备备案记录ID", notes ="设备备案记录ID", required = false)
    @Id
    @Column(name = "sbbajlId")
    private Short sbbajlId;

    @ApiModelProperty(value = "设备编号", notes ="设备编号", required = false)
    @Column(name = "sbbh")
    private String sbbh;

    @ApiModelProperty(value = "设备仪器名称", notes ="设备仪器名称", required = false)
    @Column(name = "sbyqmc")
    private String sbyqmc;

    @ApiModelProperty(value = "库点编号", notes ="库点编号", required = false)
    @Column(name = "kddm")
    private String kddm;

    @ApiModelProperty(value = "设备规格型号", notes ="设备规格型号", required = false)
    @Column(name = "sbggxh")
    private String sbggxh;

    @ApiModelProperty(value = "设备描述", notes ="设备描述", required = false)
    @Column(name = "sbms")
    private String sbms;

    @ApiModelProperty(value = "设备状态", notes ="设备状态", required = false)
    @Column(name = "sbzt")
    private String sbzt;

    @ApiModelProperty(value = "设备分类", notes ="设备分类", required = false)
    @Column(name = "sbfl")
    private String sbfl;

    @ApiModelProperty(value = "生产厂家", notes ="生产厂家", required = false)
    @Column(name = "sccj")
    private String sccj;

    @ApiModelProperty(value = "采购价格", notes ="采购价格", required = false)
    @Column(name = "cgjg")
    private Integer cgjg;

    @ApiModelProperty(value = "设备管理者", notes ="设备管理者", required = false)
    @Column(name = "sbglz")
    private String sbglz;

    @ApiModelProperty(value = "额定工作时间(小时)", notes ="额定工作时间(小时)", required = false)
    @Column(name = "edgzsj")
    private Integer edgzsj;

    @ApiModelProperty(value = "单次工作时间(小时)", notes ="单次工作时间(小时)", required = false)
    @Column(name = "dcgzsj")
    private Integer dcgzsj;

    @ApiModelProperty(value = "采购日期", notes ="采购日期", required = false)
    @Column(name = "cgsj")
    private Date cgsj;

    @ApiModelProperty(value = "预计检定日期", notes ="预计检定日期", required = false)
    @Column(name = "yjjdrq")
    private Date yjjdrq;

    @ApiModelProperty(value = "累计工作时间", notes ="累计工作时间", required = false)
    @Column(name = "ljgzsj")
    private Integer ljgzsj;

    @ApiModelProperty(value = "使用寿命", notes ="使用寿命", required = false)
    @Column(name = "sysm")
    private Integer sysm;

    @ApiModelProperty(value = "预计报废日", notes ="预计报废日", required = false)
    @Column(name = "yjbfrq")
    private Date yjbfrq;

    @ApiModelProperty(value = "设备照片", notes ="设备照片", required = false)
    @Column(name = "sbzp")
    private String sbzp;

    @ApiModelProperty(value = "人员编号（保管员）", notes ="人员编号（保管员）", required = false)
    @Column(name = "rybh")
    private String rybh;

    @ApiModelProperty(value = "人员名称（保管员）", notes ="人员名称（保管员）", required = false)
    @Column(name = "ryxm")
    private String ryxm;

    @ApiModelProperty(value = "登记人", notes ="登记人", required = false)
    @Column(name = "djr")
    private String djr;

    @ApiModelProperty(value = "维护原因", notes ="维护原因", required = false)
    @Column(name = "whyy")
    private String whyy;

    @ApiModelProperty(value = "维护时间", notes ="维护时间", required = false)
    @Column(name = "whsj")
    private Date whsj;

    @ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", notes ="是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", required = false)
    @Column(name = "sfba")
    private Integer sfba;

    @ApiModelProperty(value = "审批意见", notes ="审批意见", required = false)
    @Column(name = "spyj")
    private String spyj;

    @ApiModelProperty(value = "所在单位名称", notes ="所在单位名称", required = false)
    @Column(name = "szdwmc")
    private String szdwmc;

    @ApiModelProperty(value = "所在单位代码", notes ="所在单位代码", required = false)
    @Column(name = "szdwdm")
    private String szdwdm;

    @ApiModelProperty(value = "接收状态", notes ="接收状态", required = false)
    @Column(name = "jszt")
    private String jszt;

    @ApiModelProperty(value = "设备数量", notes ="设备数量", required = false)
    @Column(name = "sbsl")
    private Integer sbsl;

    @ApiModelProperty(value = "技术参数", notes ="技术参数", required = false)
    @Column(name = "jscs")
    private String jscs;

    @ApiModelProperty(value = "设备类型，1：国产，2：进口", notes ="设备类型，1：国产，2：进口", required = false)
    @Column(name = "sblx")
    private Integer sblx;

    @ApiModelProperty(value = "目前状态，1：正常，2：检定，0：停用", notes ="目前状态，1：正常，2：检定，0：停用", required = false)
    @Column(name = "mqzt")
    private Integer mqzt;

    @ApiModelProperty(value = "是否造册，1：是，0：否", notes ="是否造册，1：是，0：否", required = false)
    @Column(name = "sfzc")
    private Integer sfzc;

    @ApiModelProperty(value = "出厂编码", notes ="出厂编码", required = false)
    @Column(name = "ccbm")
    private String ccbm;

    @ApiModelProperty(value = "设备编码", notes ="设备编码", required = false)
    @Column(name = "sbbm")
    private String sbbm;

    @ApiModelProperty(value = "启用日期", notes ="启用日期", required = false)
    @Column(name = "qyrq")
    private Date qyrq;

    @ApiModelProperty(value = "设施分类，1：设备，2：设施，3：仪器", notes ="设施分类，1：设备，2：设施，3：仪器", required = false)
    @Column(name = "ssfl")
    private Integer ssfl;

    @ApiModelProperty(value = "机构ID", notes ="机构ID", required = false)
    @Column(name = "jgId")
    private String jgId;

    @ApiModelProperty(value = "放置点", notes ="放置点", required = false)
    @Column(name = "fzd")
    private String fzd;

    public EquipmentRecordsQueryVO(Short sbbajlId, String sbbh, String sbyqmc, String kddm, String sbggxh, String sbms,
                                   String sbzt, String sbfl, String sccj, Integer cgjg, String sbglz, Integer edgzsj,
                                   Integer dcgzsj, Date cgsj, Date yjjdrq, Integer ljgzsj, Integer sysm, Date yjbfrq,
                                   String sbzp, String rybh, String ryxm, String djr, String whyy, Date whsj, Integer sfba,
                                   String spyj, String szdwmc, String szdwdm, String jszt, Integer sbsl, String jscs,
                                   Integer sblx, Integer mqzt, Integer sfzc, String ccbm, String sbbm, Date qyrq,
                                   Integer ssfl, String jgId, String fzd) {
        super();
        this.sbbajlId = sbbajlId;
        this.sbbh = sbbh;
        this.sbyqmc = sbyqmc;
        this.kddm = kddm;
        this.sbggxh = sbggxh;
        this.sbms = sbms;
        this.sbzt = sbzt;
        this.sbfl = sbfl;
        this.sccj = sccj;
        this.cgjg = cgjg;
        this.sbglz = sbglz;
        this.edgzsj = edgzsj;
        this.dcgzsj = dcgzsj;
        this.cgsj = cgsj;
        this.yjjdrq = yjjdrq;
        this.ljgzsj = ljgzsj;
        this.sysm = sysm;
        this.yjbfrq = yjbfrq;
        this.sbzp = sbzp;
        this.rybh = rybh;
        this.ryxm = ryxm;
        this.djr = djr;
        this.whyy = whyy;
        this.whsj = whsj;
        this.sfba = sfba;
        this.spyj = spyj;
        this.szdwmc = szdwmc;
        this.szdwdm = szdwdm;
        this.jszt = jszt;
        this.sbsl = sbsl;
        this.jscs = jscs;
        this.sblx = sblx;
        this.mqzt = mqzt;
        this.sfzc = sfzc;
        this.ccbm = ccbm;
        this.sbbm = sbbm;
        this.qyrq = qyrq;
        this.ssfl = ssfl;
        this.jgId = jgId;
        this.fzd = fzd;
    }

    public EquipmentRecordsQueryVO() {
    }
}
