package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.poi.hpsf.Decimal;

import java.util.Date;
import java.util.List;

/**
 * @author XMPU
 * @version 1.0
 * @Title ClhxyjbgtzDO
 * @ProjectName 储量化学药剂保管台账
 * @Description
 * @date 2019/07/22 17点26分
 */
@Data
@ApiModel("库点基础信息")
public class KdBaseInfoVO {

    @ApiModelProperty(value = "ID", notes ="ID", required = false)
    private String id;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    private String kddm;

    @ApiModelProperty(value = "企业名称", notes ="企业名称", required = false)
    private String qymc;

    @ApiModelProperty(value = "库点名称", notes ="库点名称", required = false)
    private String kdmc;

    @ApiModelProperty(value = "填报时间", notes ="填报时间", required = false)
    private Date tbsj;

    @ApiModelProperty(value = "填报时间from", notes ="填报时间from", required = false)
    private Date tbsjFrom;

    @ApiModelProperty(value = "填报时间to", notes ="填报时间to", required = false)
    private Date tbsjTo;

    @ApiModelProperty(value = "行业代码", notes ="行业代码", required = false)
    private String hydm;

    @ApiModelProperty(value = "盟市", notes ="盟市", required = false)
    private String ms;

    @ApiModelProperty(value = "旗县", notes ="旗县", required = false)
    private String qx;

    @ApiModelProperty(value = "工业园区", notes ="工业园区", required = false)
    private String gyyq;

    @ApiModelProperty(value = "台账区分code", notes ="1:储量化学药剂保管台账;2:危险化学品环境管理排查基本表;3:废弃危险化学品产生贮存利用处置情况表", required = true)
    private String tzqfCode;

    @ApiModelProperty(value = "储量化学药剂保管台账", notes ="储量化学药剂保管台账", required = false)
    private List<ClhxyjbgtzVO> clhxyjbgtzVOList;

    @ApiModelProperty(value = "废弃危险化学品产生、贮存、利用处置情况表", notes ="废弃危险化学品产生、贮存、利用处置情况", required = false)
    private List<FqwxhxpcszclyclqkbVO> fqwxhxpcszclyclqkbVOList;

    @ApiModelProperty(value = "危险化学品环境管理排查基本表", notes ="危险化学品环境管理排查基本表", required = false)
    private List<WxhxphjglpcjbbVO> wxhxphjglpcjbbVOList;

}
