package com.unis.base.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 油罐业务对象
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("油罐导入对象")
public class OiltankImportVO extends BaseEntity {

	@ApiModelProperty(value = " 统一社会信用代码")
	private String tyshxydm;

	@ApiModelProperty(value = " 油罐编号")
	private String ygbh;

	@ApiModelProperty(value = "油罐名称",required = true)
	private String ygmc;

	@ApiModelProperty(value = "设计罐容")
	private Double sjgr;

	@ApiModelProperty(value = "油罐高度")
	private Double yggd;

	@ApiModelProperty(value = "油罐及附属设施是否完好")
	private String ygjfssssfwh;

	@ApiModelProperty(value = "油罐类型")
	private String yglx;

	@ApiModelProperty(value = "有无加热装置")
	private String ywjrzz;

	@ApiModelProperty(value = "油罐底面积")
	private Double ygdmj;

	@ApiModelProperty(value = "油罐内直径")
	private Double ygnzj;

	@ApiModelProperty(value = "装油高度")
	private Double zygd;

	@ApiModelProperty(value = "油罐出油口高度")
	private Double ygcykgd;

	@ApiModelProperty(value = "油罐检查口高度")
	private Double ygjckgd;

	@ApiModelProperty(value = "检定方式")
	private String jdfs;

	@ApiModelProperty(value = "焊接方式")
	private String hjfs;

	@ApiModelProperty(value = "油罐状态")
	private String ygzt;

	@ApiModelProperty(value = "设计年代")
	@DateTimeFormat( pattern = "yyyy-MM-dd")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date sjnd;

	@ApiModelProperty(value = "建设单位")
	private String jsdw;

	@ApiModelProperty(value = "设计单位")
	private String sjdw;

	@ApiModelProperty(value = "监理单位")
	private String jldw;

	@ApiModelProperty(value = "出入库状态")
	private String crkStatus;

	@ApiModelProperty(value = "存放粮油类型(0:原粮,1:成品粮)")
	private String lylx;

	@ApiModelProperty(value = "油罐使用状态")
	private String ygsyzt;

}
