package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 油罐业务查询对象
 * @Description
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ApiModel("油罐业务查询对象")
public class OiltankQueryVO {
	private String id;
	/**
	 * 油罐编号
	 */
	@ApiModelProperty(value = " 油罐编号")
	private String ygbh;


	/**
	 * 油罐名称
	 */
	@ApiModelProperty(value = "油罐名称")
	private String ygmc;


	/**
	 * 库点编号
	 */
	@ApiModelProperty(value = "库点编号")
	private String kddm;

	/**
	 * 库点名称
	 */
	@ApiModelProperty(value = "库点名称")
	private String kdmc;

	@ApiModelProperty(value = "建造开始日期")
	private String jzksrq;

	@ApiModelProperty(value = "建造结束日期")
	private String jzjsrq;

	@ApiModelProperty(value = "油罐状态")
	private Integer ygzt;

	@ApiModelProperty(value = "是否备案，1:待提交，2:待审核，3:驳回，5:已备案", notes ="是否备案，1:待提交，2:待审核，3:驳回，5:已备案", required = false)
	private Integer sfba;

	/**
	 * 油罐验收申请状态
	 */
	@ApiModelProperty(value="油罐验收申请状态，0 可编辑 1 不可编辑",notes ="油罐验收申请状态，0 可编辑 1 不可编辑")
	private String sqzt="0";

	@ApiModelProperty(value="油罐类别 0：原油；1成品油",notes="油罐类别 0：原油；1成品油")
	private String yglb;

	@ApiModelProperty(value = "备案状态 1:待提交，2:待审核，3:已驳回，5:已备案")
	private String sfbaName;

	@ApiModelProperty(value = "状态集合")
	private String[] zts;

    @ApiModelProperty(value = "油罐代码", example = "91120223104141086Y0681003")
    private String ygdm;
}
