package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class PersonnelMxVO {
    @ApiModelProperty(value = "人员编号")
    private String rybh;
    @ApiModelProperty(value = "企业名称")
    private String qymc;
    @ApiModelProperty(value = "性别")
    private String xb;
    @ApiModelProperty(value = "出生日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date cssj;
    @ApiModelProperty(value = "固定电话")
    private String gddh;
    @ApiModelProperty(value = "部门名称")
    private String bmmc;
    @ApiModelProperty(value = "岗位")
    private String zmmc;
    @ApiModelProperty(value = "邮箱")
    private String dzyx;
    @ApiModelProperty(value = "是否外部单位")
    private String unittype;
    @ApiModelProperty(value = "个人简介")
    private String grjj;
    @ApiModelProperty(value = "人员姓名")
    private String ryxm;
    @ApiModelProperty(value = "政治面貌")
    private String zzmm;
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    @ApiModelProperty(value = "岗位性质")
    private String gwxz;
    @ApiModelProperty(value = "职务名称")
    private String zwmc;
    @ApiModelProperty(value = "入职日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date rzrq;
    @ApiModelProperty(value = "是否关联人才组默认：1：无，2：关联")
    private String association;
    @ApiModelProperty(value = "是否轮流岗位")
    private String rotaterotateType;
    @ApiModelProperty(value = "部门负责人")
    private String head;
    @ApiModelProperty(value = "附件Id")
    private String annex;
    @ApiModelProperty(value = "单位编码")
    private String orgCode;
    private BigDecimal status;
    private String newly;
    @ApiModelProperty(value = "启用：1，禁用：2")
    private Integer personStatus;
    // 部门代码
    @ApiModelProperty(value = "部门代码")
    private String bmdm;

    @ApiModelProperty("人才组ID")
    private String groupId;

    /*@ApiModelProperty(value = "制教育形式")
    private String educationalForm;

    @ApiModelProperty(value = "专业")
    private String speciality;

    @ApiModelProperty(value = "最高学历")
    private String highestEducation;

    @ApiModelProperty(value = "毕业院校")
    private String institutions;

    @ApiModelProperty(value = "学位")
    private String academic;

    @ApiModelProperty(value = "是否涉粮专业")
    private String foodstuff;

    @ApiModelProperty(value = "职称等级")
    private String title;

    @ApiModelProperty(value = "证书编号")
    private String reportNumber;

    @ApiModelProperty(value = "领证时间")
    private Date releaseTime;

    @ApiModelProperty(value = "荣誉证书专业")
    private String reportName;

    @ApiModelProperty(value = "荣誉证书名称")
    private String honoraryName;

    @ApiModelProperty(value = "签发机关")
    private String authoritys;

    @ApiModelProperty(value = "荣誉称号")
    private String honoraryTitle;

    @ApiModelProperty(value = "技能等级")
    private String skillLevel;

    @ApiModelProperty(value = "获得时间")
    private Date skillDate;

    @ApiModelProperty(value = "技能专业")
    private String skillName;
*/
    @ApiModelProperty(value = "学历学位情况")
    private List<EducationVO> educationVOList = new ArrayList<>();
    @ApiModelProperty(value = "职称和荣誉称号")
    private List<ReportVO> reportVOList = new ArrayList<>();
    @ApiModelProperty(value = "技能等级")
    private List<SkillVO> skillVOList = new ArrayList<>();
    private List<RotaterotateVO> rotaterotateVOList = new ArrayList<>();
    private List<FeiEducationVO> feiEducationVOList = new ArrayList<>();
    private List<OtherCertificatesVO> otherCertificatesVOList = new ArrayList<>();


   /* @ApiModelProperty(value = "库点编码")
    private String kddm;

    @ApiModelProperty(value = "职务编码")
    private String dutiesCode;

    @ApiModelProperty(value = "企业编码")
    private String tyshxydm;

    @ApiModelProperty(value = "所属企业名称")
    private String qymc;

    @ApiModelProperty(value = "岗位编码")
    private String postCode;

    @ApiModelProperty(value = "全日制：1，非全日制：2")
    private Integer jyxs;*/
}
