package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("价格监测信息实体类")
public class PriceMonitorVO extends BaseEntity {
    @ApiModelProperty("价格信息id")
    private String jgxxid;

    @ApiModelProperty(value="监测点编码",required = true)
    private String jcddm;

    @ApiModelProperty(value="监测点名称",required = true)
    private String jcdmc;

    @ApiModelProperty("监测点所属地区")
    private String jcdssqy;

    @ApiModelProperty("品种编码")
    private String pzbm;

    @ApiModelProperty("品种名称")
    private String pzmc;

    @ApiModelProperty("粮食标识编码")
    private String lsbsbm;

    @ApiModelProperty("粮食等级编码")
    private String lsdjbm;

    @ApiModelProperty("粮食等级名称")
    private String lsdjmc;

    @ApiModelProperty("粮食性质编码")
    private String lsxzbm;

    @ApiModelProperty("粮食性质名称")
    private String lsxzmc;

    @ApiModelProperty("收获年度")
    private String shnd;

    @ApiModelProperty("粮食国别")
    private String lsgb;

    @ApiModelProperty("粮食产地")
    private String lscd;

    @ApiModelProperty("品牌编码")
    private String ppbm;

    @ApiModelProperty("品牌名称")
    private String ppmc;

    @ApiModelProperty("规格型号")
    private String ggxh;

    @ApiModelProperty("价格类型编码")
    private String jglxbm;

    @ApiModelProperty("价格类型名称")
    private String jglxmc;

    @ApiModelProperty("实际价格")
    private BigDecimal sjjg;

    @ApiModelProperty("审核状态")
    private String shzt;

    @ApiModelProperty("上报类型")
    private String sblx;

    @ApiModelProperty("采集人编码")
    private String cjrbm;

    @ApiModelProperty("采集人名称")
    private String cjrmc;

    @ApiModelProperty("采集时间")
    private Date cjsj;

    @ApiModelProperty("上传人编码")
    private String scrbm;

    @ApiModelProperty("上传人名称")
    private String scrmc;

    @ApiModelProperty("上传时间")
    private Date scsj;


    @ApiModelProperty("审核人编码")
    private String shrbm;

    @ApiModelProperty("审核人名称")
    private String shrmc;

    @ApiModelProperty("审核时间")
    private Date shsj;

    @ApiModelProperty("发布人编码")
    private String fbrbm;

    @ApiModelProperty("发布人名称")
    private String fbrmc;

    @ApiModelProperty("发布时间")
    private Date fbsj;

    /**
     * 本期开始时间
     */
    @ApiModelProperty("本期开始时间")
    private Date bqkssj;

    /**
     * 本期结束时间
     */
    @ApiModelProperty("本期结束时间")
    private Date bqjssj;


    public PriceMonitorVO(String jgxxid, String jcddm, String jcdmc, String jcdssqy, String pzbm, String pzmc, String lsbsbm, String lsdjbm, String lsdjmc, String lsxzbm, String lsxzmc, String shnd, String lsgb, String lscd, String ppbm, String ppmc, String ggxh, String jglxbm, String jglxmc, BigDecimal sjjg, String shzt, String sblx, String cjrbm, String cjrmc, Date cjsj, String scrbm, String scrmc, Date scsj, String shrbm, String shrmc, Date shsj, String fbrbm, String fbrmc, Date fbsj) {
        super();
        this.jgxxid = jgxxid;
        this.jcddm = jcddm;
        this.jcdmc = jcdmc;
        this.jcdssqy = jcdssqy;
        this.pzbm = pzbm;
        this.pzmc = pzmc;
        this.lsbsbm = lsbsbm;
        this.lsdjbm = lsdjbm;
        this.lsdjmc = lsdjmc;
        this.lsxzbm = lsxzbm;
        this.lsxzmc = lsxzmc;
        this.shnd = shnd;
        this.lsgb = lsgb;
        this.lscd = lscd;
        this.ppbm = ppbm;
        this.ppmc = ppmc;
        this.ggxh = ggxh;
        this.jglxbm = jglxbm;
        this.jglxmc = jglxmc;
        this.sjjg = sjjg;
        this.shzt = shzt;
        this.sblx = sblx;
        this.cjrbm = cjrbm;
        this.cjrmc = cjrmc;
        this.cjsj = cjsj;
        this.scrbm = scrbm;
        this.scrmc = scrmc;
        this.scsj = scsj;
        this.shrbm = shrbm;
        this.shrmc = shrmc;
        this.shsj = shsj;
        this.fbrbm = fbrbm;
        this.fbrmc = fbrmc;
        this.fbsj = fbsj;
    }

    public PriceMonitorVO() {
    }

    @Override
    public String toString() {
        return "PriceMonitorVO{" +
                "jgxxid='" + jgxxid + '\'' +
                ", jcddm='" + jcddm + '\'' +
                ", jcdmc='" + jcdmc + '\'' +
                ", jcdssqy='" + jcdssqy + '\'' +
                ", pzbm='" + pzbm + '\'' +
                ", pzmc='" + pzmc + '\'' +
                ", lsbsbm='" + lsbsbm + '\'' +
                ", lsdjbm='" + lsdjbm + '\'' +
                ", lsdjmc='" + lsdjmc + '\'' +
                ", lsxzbm='" + lsxzbm + '\'' +
                ", lsxzmc='" + lsxzmc + '\'' +
                ", shnd='" + shnd + '\'' +
                ", lsgb='" + lsgb + '\'' +
                ", lscd='" + lscd + '\'' +
                ", ppbm='" + ppbm + '\'' +
                ", ppmc='" + ppmc + '\'' +
                ", ggxh='" + ggxh + '\'' +
                ", jglxbm='" + jglxbm + '\'' +
                ", jglxmc='" + jglxmc + '\'' +
                ", sjjg=" + sjjg +
                ", shzt='" + shzt + '\'' +
                ", sblx='" + sblx + '\'' +
                ", cjrbm='" + cjrbm + '\'' +
                ", cjrmc='" + cjrmc + '\'' +
                ", cjsj=" + cjsj +
                ", scrbm='" + scrbm + '\'' +
                ", scrmc='" + scrmc + '\'' +
                ", scsj=" + scsj +
                ", shrbm='" + shrbm + '\'' +
                ", shrmc='" + shrmc + '\'' +
                ", shsj=" + shsj +
                ", fbrbm='" + fbrbm + '\'' +
                ", fbrmc='" + fbrmc + '\'' +
                ", fbsj=" + fbsj +
                '}';
    }
}
