package com.unis.base.common.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;

/**
 * @Classname QyxypjDcVO
 * @Description 企业信息化导出类
 * @Date 2023/11/2 09:26
 * @Created by rising123sun
 */
@Data
public class QyxypjDcVO {

    //主体名称	统一社会信用代码	监管机构	监管机构统一社会信用代码	评价名称	信用得分	评价结果（等级）	评价日期	评价年度	评价有效期	发布时间	评价机关全称	评价机关统一社会信用代码
    @ApiModelProperty(value = "主体名称")
    @ExcelProperty(value = "主体名称")
    private String ztmc;

    @ApiModelProperty(value = "统一社会信用代码")
    @ExcelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty(value = "监管机构")
    @ExcelProperty(value = "监管机构")
    private String jgjg;

    @ApiModelProperty(value = "监管机构统一社会信用代码")
    @ExcelProperty(value = "监管机构统一社会信用代码")
    private String jgjgtyshxydm;

    @ApiModelProperty(value = "评价名称")
    @ExcelProperty(value = "评价名称")
    private String pjmc;

    @ApiModelProperty(value = "信用得分")
    @ExcelProperty(value = "信用得分")
    private String xydf;

    @ApiModelProperty(value = "评价结果（等级）")
    @ExcelProperty(value = "评价结果（等级）")
    private String pjjg;

    @ApiModelProperty(value = "评价日期")
    @ExcelProperty(value = "评价日期")
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd",timezone = "GMT+8")
    private String pjrq;

    @ApiModelProperty(value = "评价年度")
    @ExcelProperty(value = "评价年度")
    private String pjnd;

    @ApiModelProperty(value = "评价有效期")
    @ExcelProperty(value = "评价有效期")
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd",timezone = "GMT+8")
    private String pjyxq;

    @ApiModelProperty(value = "发布时间")
    @ExcelProperty(value = "发布时间")
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd",timezone = "GMT+8")
    private String fbsj;

    @ApiModelProperty(value = "评价机关全称")
    @ExcelProperty(value = "评价机关全称")
    private String pjjgqc;

    @ApiModelProperty(value = "评价机关统一社会信用代码")
    @ExcelProperty(value = "评价机关统一社会信用代码")
    private String pjjgtyshxydm;

    // 状态
    @ApiModelProperty(value = "状态,待提交，已提交")
    @ExcelIgnore
    private String zt;

    // 分数开始
    @ApiModelProperty(value = "分数开始")
    @ExcelIgnore
    private String fsks;

    // 分数结束
    @ApiModelProperty(value = "分数结束")
    @ExcelIgnore
    private String fsjs;

}
