package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title SampleQueryVO
 * @ProjectName 样品业务查询对象
 * @Description
 * @date 2019/07/22 17点26分
 */

@Getter
@Setter
@ApiModel("样品业务查询对象")
public class SampleQueryVO {
	/**
	 * ID 自增 YP2019+00001
	 */
	@ApiModelProperty(" 样品ID")
	private String ypid;

	/**
	 * 19 + 00001 样品编号
	 */
	@ApiModelProperty("样品编号")
	private String ypbh;

	/**
	 * 样品单编号
	 */
	@ApiModelProperty("样品单编号")
	private String qydbh;

	/**
	 * 规格型号
	 */
	@ApiModelProperty("规格型号")
	private String ggxh;

	/**
	 * 来样方式
	 */
	@ApiModelProperty("来样方式")
	private String lyfs;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码")
	private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
	private String lsdjmc;

	/**
	 * 粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@ApiModelProperty("粮食性质编码")
	private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@ApiModelProperty("粮食性质名称")
	private String lsxzmc;

	/**
	 * 样品状态标识
	 */
	@ApiModelProperty("样品状态标识")
	private String ypztbs;

	/**
	 * 样品所属库点编码
	 */
	@ApiModelProperty("样品所属库点编码")
	private String ypsskddm;

	/**
	 * 样品所属库点名称
	 */
	@ApiModelProperty("样品所属库点名称")
	private String ypsskdmc;

	/**
	 * 检测开始时间
	 */
	@ApiModelProperty("检测开始时间")
	private String jckssj;

	/**
	 * 检测结束时间
	 */
	@ApiModelProperty("检测结束时间")
	private String jcjssj;

	public SampleQueryVO(String ypid, String ypbh, String qydbh, String ggxh, String lyfs, String lsdjbm,
						 String lsdjmc, String lsxzbm, String lsxzmc, String ypztbs, String ypsskddm,
						 String ypsskdmc, String jckssj, String jcjssj) {
		super();
		this.ypid = ypid;
		this.ypbh = ypbh;
		this.qydbh = qydbh;
		this.ggxh = ggxh;
		this.lyfs = lyfs;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.lsxzbm = lsxzbm;
		this.lsxzmc = lsxzmc;
		this.ypztbs = ypztbs;
		this.ypsskddm = ypsskddm;
		this.ypsskdmc = ypsskdmc;
		this.jckssj = jckssj;
		this.jcjssj = jcjssj;
	}

	public SampleQueryVO(){}
}
