package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @author WangZL
 * @version 1.0
 * @Title SampleVO
 * @ProjectName 样品业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("样品业务对象")
public class SampleVO extends BaseEntity  {

	/**
	 * 样品id    YP2019+00001
	 */
	@ApiModelProperty("样品ID")
    private String ypid;

	/**
	 * 19 + 00001 样品编号
	 */
	@ApiModelProperty("样品编号")
    private String ypbh;

	/**
	 * 样品单编号
	 */
	@ApiModelProperty("样品单编号")
    private String qydbh;

	/**
	 * 规格型号
	 */
	@ApiModelProperty("规格型号")
    private String ggxh;

	/**
	 * 生产日期/批次
	 */
	@ApiModelProperty("生产日期/批次")
    private String scrqpc;

	/**
	 * 来样方式
	 */
	@ApiModelProperty("来样方式")
    private String lyfs;

	/**
	 * 样品数量单位（kg）
	 */
	@ApiModelProperty("样品数量单位（kg）")
    private BigDecimal ypsldw;

	/**
	 * 代表数量单位（kg）
	 */
	@ApiModelProperty("代表数量单位（kg）")
    private BigDecimal dbsldw;

	/**
	 * 粮食样品编码
	 */
	@ApiModelProperty("粮食样品编码")
    private String lsypbm;

	/**
	 * 粮食样品名称
	 */
	@ApiModelProperty("粮食样品名称")
    private String lsypmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
    private String lsdjmc;

	/**
	 * 粮食性质编码（100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@ApiModelProperty("粮食性质编码（100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@ApiModelProperty("粮食性质名称")
    private String lsxzmc;

	/**
	 * 样品状态标识
	 */
	@ApiModelProperty("样品状态标识")
    private String ypztbs;

	/**
	 * 样品所属库点编码
	 */
	@ApiModelProperty("样品所属库点编码")
    private String ypsskddm;

	/**
	 * 样品所属库点名称
	 */
	@ApiModelProperty("样品所属库点名称")
    private String ypsskdmc;

	/**
	 * 签样地点 （仓号/堆垛或油罐号码）
	 */
	@ApiModelProperty("签样地点 （仓号/堆垛或油罐号码）")
    private String qydd;

	/**
	 * 签样人编码
	 */
	@ApiModelProperty("签样人编码")
    private String qyrbm;

	/**
	 * 签样人名称
	 */
	@ApiModelProperty("签样人名称")
	private String qyrmc;

	/**
	 * 粮食产地（）
	 */
	@ApiModelProperty("粮食产地")
	private String lscd;

	/**
	 * 收获年度
	 */
	@ApiModelProperty("收获年度")
	private String shnd;

	/**
	 * 入库时间
	 */
	@ApiModelProperty("入库时间")
	private Date rksj;

	/**
	 * 包装方式
	 */
	@ApiModelProperty("包装方式")
	private String bzfs;

	/**
	 * 检验类型
	 */
	@ApiModelProperty("检验类型")
	private String jylx;

	/**
	 * 委托单位编码
	 */
	@ApiModelProperty("委托单位编码")
	private String wtdwbm;

	/**
	 * 委托单位名称
	 */
	@ApiModelProperty("委托单位名称")
	private String wtdwmc;

	/**
	 * 检测时间
	 */
	@ApiModelProperty("检测时间")
	private Date jcsj;

	/**
	 * 组织编号
	 */
	@ApiModelProperty("组织编号")
	private String orgCode;


	/**
	 * 仓房类型编号
	 */
	@ApiModelProperty("仓房类型编号")
	private String cflxbh;

	/**
	 * 仓房类型名称
	 */
	@ApiModelProperty("仓房类型名称")
	private String cflxmc;

	/**
	 * 扦样时间
	 */
	@ApiModelProperty(value="扦样时间")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date tysj;


	/**
	 * 扦样机构
	 */
	@ApiModelProperty(value="扦样机构")
	private String tyjg;

	/**
	 * 扦样日期
	 */
	@ApiModelProperty(value="扦样日期")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date tyrq;

	/**
	 * 粮食生产、收获期间是否出现过异常气候影响  0、是  1、否
	 */
	@ApiModelProperty(value="粮食生产、收获期间是否出现过异常气候影响  0、是  1、否")
	private Integer sfcxgqhyx;

	/**
	 * 粮食生产、收获期间是否出现过严重病虫害 0、是  1、否
	 */
	@ApiModelProperty(value="粮食生产、收获期间是否出现过严重病虫害 0、是  1、否")
	private Integer sfcxgyzch;

	/**
	 * 说明
	 */
	@ApiModelProperty(name="说明")
	private String sm;

	/**
	 * 施药情况
	 */
	@ApiModelProperty(value="施药情况")
	private String syqk;

	/**
	 * 施药时间
	 */
	@ApiModelProperty(value="施药时间")
	private Date sysj;

	/**
	 * 施药名称
	 */
	@ApiModelProperty(value="施药名称")
	private String symc;

	/**
	 * 农户签字
	 */
	@ApiModelProperty(value="农户签字")
	private String nhqz;

	/**
	 * 农户联系方式
	 */
	@ApiModelProperty(value="农户联系方式")
	private String nhlxfs;

	/**
	 * 托样信息附件
	 */
	@ApiModelProperty(value="托样信息附件")
	private String tyxxfj;


	/**
	 * 食品安全项目
	 */
	@ApiModelProperty(value="食品安全项目")
	private String spaqxm;



	/**
	 * 最近施药时间
	 */
	@ApiModelProperty(value="最近施药时间")
	private Date zjsysj;

	/**
	 * 施用药剂名称
	 */
	@ApiModelProperty(value="施用药剂名称")
	private String syyjmc;

	/**
	 * 储粮技术
	 */
	@ApiModelProperty(value="储粮技术")
	private String cljs;

	/**
	 * 虫害发生情况
	 */
	@ApiModelProperty(value="虫害发生情况")
	private String chfsqk;

	/**
	 * 历次施药名称
	 */
	@ApiModelProperty(value="历次施药名称")
	private String lcsymc;

	/**
	 * 备注
	 */
	@ApiModelProperty(value=" 备注")
	private String bz;


	/**
	 * 扦样负责人签字
	 */
	@ApiModelProperty(value="扦样负责人签字")
	private String tyfzrqz;

	/**
	 * 承储企业负责人
	 */
	@ApiModelProperty(value="承储企业负责人")
	private String ccqyfzr;

	/**
	 * 承储企业联系电话
	 */
	@ApiModelProperty(value="承储企业联系电话")
	private String ccqylxdh;


	/**
	 * 气候说明
	 */
	@ApiModelProperty(value="气候说明")
	private String qhsm;



	/**
	 * 抽检单位
	 */
	@ApiModelProperty(value="抽检单位")
	private String cydw;

	/**
	 * 抽样日期
	 */
	@ApiModelProperty(value="抽样日期")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	private Date cyrq;


	/**
	 * 生产厂家
	 */
	@ApiModelProperty(value="生产厂家")
	private String sccj;

	/**
	 * 商标
	 */
	@ApiModelProperty(value="商标")
	private String sb;

	/**
	 * 执行标准
	 */
	@ApiModelProperty(value="执行标准")
	private String zxbz;

	/**
	 * 保质期
	 */
	@ApiModelProperty(value="保质期")
	private String bzq;


	/**
	 * 抽样方
	 */
	@ApiModelProperty(value="抽样方")
	private String cyf;




	public SampleVO(){

	}




	public SampleVO(String ypid, String ypbh, String qydbh, String ggxh, String scrqpc, String lyfs, BigDecimal ypsldw,
			BigDecimal dbsldw, String lsypbm, String lsypmc, String lsdjbm, String lsdjmc, String lsxzbm, String lsxzmc,
			String ypztbs, String ypsskddm, String ypsskdmc, String qydd, String qyrbm, String qyrmc, String lscd,
			String shnd, Date rksj, String bzfs, String jylx, String wtdwbm, String wtdwmc, Date jcsj, String orgCode,
			String cflxbh, String cflxmc, Date tysj, String tyjg, Date tyrq, Integer sfcxgqhyx, Integer sfcxgyzch,
			String sm, String syqk, Date sysj, String symc, String nhqz, String nhlxfs, String tyxxfj, String spaqxm,
			Date zjsysj, String syyjmc, String cljs, String chfsqk, String lcsymc, String bz, String tyfzrqz,
			String ccqyfzr, String ccqylxdh, String qhsm, String cydw, Date cyrq, String sccj, String sb, String zxbz,
			String bzq, String cyf) {
		super();
		this.ypid = ypid;
		this.ypbh = ypbh;
		this.qydbh = qydbh;
		this.ggxh = ggxh;
		this.scrqpc = scrqpc;
		this.lyfs = lyfs;
		this.ypsldw = ypsldw;
		this.dbsldw = dbsldw;
		this.lsypbm = lsypbm;
		this.lsypmc = lsypmc;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.lsxzbm = lsxzbm;
		this.lsxzmc = lsxzmc;
		this.ypztbs = ypztbs;
		this.ypsskddm = ypsskddm;
		this.ypsskdmc = ypsskdmc;
		this.qydd = qydd;
		this.qyrbm = qyrbm;
		this.qyrmc = qyrmc;
		this.lscd = lscd;
		this.shnd = shnd;
		this.rksj = rksj;
		this.bzfs = bzfs;
		this.jylx = jylx;
		this.wtdwbm = wtdwbm;
		this.wtdwmc = wtdwmc;
		this.jcsj = jcsj;
		this.orgCode = orgCode;
		this.cflxbh = cflxbh;
		this.cflxmc = cflxmc;
		this.tysj = tysj;
		this.tyjg = tyjg;
		this.tyrq = tyrq;
		this.sfcxgqhyx = sfcxgqhyx;
		this.sfcxgyzch = sfcxgyzch;
		this.sm = sm;
		this.syqk = syqk;
		this.sysj = sysj;
		this.symc = symc;
		this.nhqz = nhqz;
		this.nhlxfs = nhlxfs;
		this.tyxxfj = tyxxfj;
		this.spaqxm = spaqxm;
		this.zjsysj = zjsysj;
		this.syyjmc = syyjmc;
		this.cljs = cljs;
		this.chfsqk = chfsqk;
		this.lcsymc = lcsymc;
		this.bz = bz;
		this.tyfzrqz = tyfzrqz;
		this.ccqyfzr = ccqyfzr;
		this.ccqylxdh = ccqylxdh;
		this.qhsm = qhsm;
		this.cydw = cydw;
		this.cyrq = cyrq;
		this.sccj = sccj;
		this.sb = sb;
		this.zxbz = zxbz;
		this.bzq = bzq;
		this.cyf = cyf;
	}




















}
