/*
* ShouGouZiGeListVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
*  created by lipenghe with LAPTOP-DPSC399A
*/
package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * TY_SHOUGOUZIGE-真收购资格表
 * @author lipenghe at 
 */
@ApiModel(value = "TY_SHOUGOUZIGE:真收购资格表-ShouGouZiGeListVO")
@Data
@Table(name= "TY_SHOUGOUZIGE")
public class ShouGouZiGeListVO implements Serializable{

    @ApiModelProperty(value = "收购资格id#<主键><唯一><检索><非空>", notes = "收购资格id", example = "0")
    @JsonSerialize(using = ToStringSerializer.class)
    @Id
    @Column(name= "SGZGID")
    private Long sgzgid;

    @ApiModelProperty(value = "营业执照注册号#<检索>", notes = "营业执照注册号", example = "营业执照注册号#<检索>")
    @Column(name= "YYZZZCH")
    private String yyzzzch;

    @ApiModelProperty(value = "统一社会信用代码#<检索><非空>", notes = "统一社会信用代码", example = "统一社会信用代码#<检索><非空>")
    @Column(name= "TYSHXYDM")
    private String tyshxydm;

    @ApiModelProperty(value = "市场主体名称#<检索><非空>", notes = "市场主体名称", example = "市场主体名称#<检索><非空>")
    @Column(name= "SCZTMC")
    private String scztmc;

    @ApiModelProperty(value = "组织机构代码#<检索>", notes = "组织机构代码", example = "组织机构代码#<检索>")
    @Column(name= "ZZJGDM")
    private String zzjgdm;

    @ApiModelProperty(value = "许可文件名称", notes = "许可文件名称", example = "许可文件名称")
    @Column(name= "XKWJMC")
    private String xkwjmc;

    @ApiModelProperty(value = "许可文件编号#<非空>", notes = "许可文件编号", example = "许可文件编号#<非空>")
    @Column(name= "XKWJBH")
    private String xkwjbh;

    @ApiModelProperty(value = "许可内容", notes = "许可内容", example = "许可内容")
    @Column(name= "XKNR")
    private String xknr;

    @ApiModelProperty(value = "有效期起#<检索>", notes = "有效期起", example = "0")
    @Column(name= "YXQQ")
    private Long yxqq;

    @ApiModelProperty(value = "有效期止#<检索>", notes = "有效期止", example = "0")
    @Column(name= "YXQZ")
    private Long yxqz;

    @ApiModelProperty(value = "许可机关编码#<检索>", notes = "许可机关编码", example = "许可机关编码#<检索>")
    @Column(name= "XKJGBM")
    private String xkjgbm;

    @ApiModelProperty(value = "许可机关编码名称#<检索>", notes = "许可机关编码名称", example = "许可机关编码名称#<检索>")
    @Column(name= "XKJGBMMC")
    private String xkjgbmmc;

    @ApiModelProperty(value = "有效状态#<检索>1有效0无效", notes = "有效状态", example = "1")
    @Column(name= "YXZT")
    private Integer yxzt;

    @ApiModelProperty(value = "数据版本", notes = "数据版本", example = "1")
    @Column(name= "VERSION")
    private Integer version;

    @ApiModelProperty(value = "创建人", notes = "创建人", example = "创建人")
    @Column(name= "CREATOR")
    private String creator;

    @ApiModelProperty(value = "创建人编码", notes = "创建人编码", example = "创建人编码")
    @Column(name= "CREATOR_CODE")
    private String creatorCode;

    @ApiModelProperty(value = "创建时间#<默认值:current>", notes = "创建时间", example = "2019-10-01 08:10:18")
    @Column(name= "CREATE_DATE")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date createDate;

    public ShouGouZiGeListVO(){
        super();
    }

    @ApiModelProperty(value = "企业性质", notes = "企业性质", example = "企业性质")
    private String qyxz;
}