package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title SinkpointRecordsQueryVO
 * @ProjectName 库点备案记录查询业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_KDXXSJY_HIS")
@ApiModel(value="库点备案记录查询业务对象")
public class SinkpointRecordsQueryVO {

    @ApiModelProperty(value = "库点备案编号（yyyymmdd+0001）", notes ="库点备案编号（yyyymmdd+0001）", required = false)
    @Id
    @Column(name = "kdbabh")
    private String kdbabh;

    @ApiModelProperty(value = "所属企业代码", notes ="所属企业代码", required = false)
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "是否备案，0，未备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案",
            notes ="是否备案，0，未备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案", required = false)
    @Column(name = "sfba")
    private Integer sfba;

    @ApiModelProperty(value = "备案单位地址", notes ="备案单位地址", required = false)
    @Column(name = "badwdz")
    private String badwdz;

    public SinkpointRecordsQueryVO(String kdbabh, String tyshxydm, Integer sfba, String badwdz) {
        super();
        this.kdbabh = kdbabh;
        this.tyshxydm = tyshxydm;
        this.sfba = sfba;
        this.badwdz = badwdz;
    }

    public SinkpointRecordsQueryVO() {
    }
}
