package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;

/**
 * @author by PIG
 * 2022/3/25 16
 */
@Data
@ApiModel("用户实体类")
public class SysUserInfoVo {

    @Id
    @Column(name = "USER_CODE", length = 32)
    @ApiModelProperty(value = "用户代码", notes = "U201809000001")
    private String userCode;

    @Column(name = "USER_LOGINNAME", length = 32)
    @ApiModelProperty(value = "登录名称")
    private String userLoginName;

    @Column(name = "USER_NAME", length = 32)
    @ApiModelProperty(value = "用户实际姓名")
    private String userName;

    @Column(name = "USER_MOBILE",length = 11)
    @ApiModelProperty(value = "手机 唯一性校验")
    private String userMobile;

    @Column(name = "USER_SEX", length = 10)
    @ApiModelProperty(value = "性别")
    private String userSex;

    @Column(name = "USER_TITLE", length = 64)
    @ApiModelProperty(value = "用户职务")
    private String userTitle;

    @Column(name = "DEPT_CODE", length = 32)
    @ApiModelProperty(value = "所属部门编码")
    private String deptCode;
    @ApiModelProperty(value = "所属部门名称")
    private String deptName;


    //离职标志(10220001-在职 10220002-离职 10220003-返聘 10220004-兼职)
    @Column(name = "IS_DIMISSION", length = 10)
    private String isDimission;


    @Column(name = "BUTY")
    @ApiModelProperty(value = "工作职责")
    private String buty;


    //区域编码
    @Column(name = "COUNTY_CODE",length = 6)
    private String countyCode;

    //邮编
    @Column(name = "USER_POST",length = 6)
    private String userPost;

    //
    @Column(name = "org_code",length = 100)
    @ApiModelProperty(value = "组织代码")
    private String orgCode;

    //是否禁用 0:未禁用；1：禁用；
    @Column(name = "IS_DISABLED",length = 1)
    private Integer isDisavled=0;

    //区域名
    @Column(name = "AREA_NAME")
    private String areaName;
}
