package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author by PIG
 * @date 2022/3/22 14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "人才培养查询")
public class TrainMainQueryVo extends BaseEntity {

    @ApiModelProperty(value = "PK")
    private String fid;
    @ApiModelProperty(value = "培训名称")
    private String train_name;
    @ApiModelProperty(value = "培训周期")
    private String train_period;
    @ApiModelProperty(value = "培训地点")
    private String train_location;
    @ApiModelProperty(value = "资料id")
    private String file_id;

    @ApiModelProperty(value = "发布日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date release_date;

    @ApiModelProperty(value = "发布日期begin查询条件", example = "查询条件")
    private String release_date_begin;
    @ApiModelProperty(value = "发布日期end查询条件", example = "查询条件")
    private String release_date_end;
    @ApiModelProperty(value = "发布年度")
    private String release_year;

    @ApiModelProperty(value = "发布状态 0:已发布; 1:待发布; 2:已培训")
    private Integer release_status;

    @ApiModelProperty(value = "发布状态 0:已发布; 1:待发布; 2:已培训")
    private Integer[] release_status_arr;

    @ApiModelProperty(value = "人员")
    private String[] deptArr;

    @ApiModelProperty(value = "反馈状态 0:待反馈; 1:草稿; 2:已反馈")
    private String feedback_status;
}
