package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author by PIG
 * @date 2022/3/22 14
 */
@Data
@ApiModel(value = "人才培养 主表")
public class TrainMainVo {

    @ApiModelProperty(value = "PK")
    private String fid;
    @ApiModelProperty(value = "培训名称")
    private String trainName;
    @ApiModelProperty(value = "培训周期")
    private String trainPeriod;
    @ApiModelProperty(value = "培训地点")
    private String trainLocation;
    @ApiModelProperty(value = "资料id")
    private String fileId;

    @ApiModelProperty(value = "发布日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date releaseDate;

    @ApiModelProperty(value = "发布日期begin查询条件", example = "查询条件")
    private String release_date_begin;
    @ApiModelProperty(value = "发布日期end查询条件", example = "查询条件")
    private String release_date_end;
    @ApiModelProperty(value = "发布年度")
    private String releaseYear;

    @ApiModelProperty(value = "发布人")
    private String creator;


    @ApiModelProperty(value = "发布状态 0:已发布; 1:待发布; 2:已培训", example = "0:已发布; 1:待发布; 2:已培训")
    private Integer releaseStatus;
    @ApiModelProperty(value = "会议或培训")
    private Integer meetingsOrTraining;


    @ApiModelProperty(value = "人员")
    private String[] deptArr;

    @ApiModelProperty(value = "反馈状态 0:待反馈; 1:草稿; 2:已反馈")
    private String feedback_status;
    @ApiModelProperty(value = "参加人员总数")
    private String persons;
}
