package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyCrkjsxxDO
 * @ProjectName 出入库结算信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("出入库结算信息")
public class TyCrkjsxxVO extends BaseEntity {

	@ApiModelProperty("结算ID JS20190802000001")
    private String jsid;

	@ApiModelProperty( value="结算单号 190802000001",required = true)
    private String jsdh;

	@ApiModelProperty( "结算时间")
    private Date jssj;

	@ApiModelProperty( "品种编码")
    private String pzbm;

	@ApiModelProperty( "品种名称 ")
    private String pzmc;

	@ApiModelProperty( "粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	@ApiModelProperty( "粮食等级名称")
    private String lsdjmc;

	@ApiModelProperty( "客户代码")
    private String khdm;

	@ApiModelProperty( "客户名称")
    private String khmc;

	@ApiModelProperty( "客户所属企业代码 ")
    private String khssqydm;

	/**
	 *
	 */
	@ApiModelProperty( "客户所属企业名称")
    private String khssyqmc;

	/**
	 *
	 */
	@ApiModelProperty( "客户联系电话")
    private String khlxdh;

	/**
	 *
	 */
	@ApiModelProperty( "客户身份证号")
    private String khsfzh;

	/**
	 *
	 */
	@ApiModelProperty( "客户银行账户")
    private String khyhzh;

	/**
	 *
	 */
	@ApiModelProperty( "客户开户银行")
    private String khkhyh;

	/**
	 *
	 */
	@ApiModelProperty( "货位编号")
    private String hwbm;

	/**
	 *
	 */
	@ApiModelProperty( "仓房编号")
    private String cfbh;

	/**
	 *
	 */
	@ApiModelProperty( "仓房名称")
    private String cfmc;

	/**
	 *
	 */
	@ApiModelProperty( "所属库点编码")
    private String sskddm;

	/**
	 *
	 */
	@ApiModelProperty( "所属库点名称")
    private String sskdmc;

	/**
	 *
	 */
	@ApiModelProperty( "所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 *
	 */
	@ApiModelProperty( "所属企业名称")
    private String ssyqmc;

	/**
	 *
	 */
	@ApiModelProperty( "运输车船号")
    private String yscch;

	/**
	 *
	 */
	@ApiModelProperty( "称重毛总（kg）")
    private BigDecimal czmz;

	/**
	 *
	 */
	@ApiModelProperty( "称重皮总（kg）")
    private BigDecimal czpz;

	/**
	 *
	 */
	@ApiModelProperty( "称重净重（kg）")
    private BigDecimal czjz;

	/**
	 *
	 */
	@ApiModelProperty( "扣重量（kg）")
    private BigDecimal kzl;

	/**
	 *
	 */
	@ApiModelProperty( "扣单价（元）")
    private BigDecimal kdj;

	/**
	 *
	 */
	@ApiModelProperty( "单价金额（元）")
    private BigDecimal djje;

	/**
	 *
	 */
	@ApiModelProperty( "最终结算重量（kg）")
    private BigDecimal zzjszl;

	/**
	 *
	 */
	@ApiModelProperty( "最终结算单价（元）")
    private BigDecimal zzjsdj;

	/**
	 *
	 */
	@ApiModelProperty( "最终结算金额（元）")
    private BigDecimal zzjsje;

	/**
	 *
	 */
	@ApiModelProperty( "出入库ID CR20190802000001")
    private String crkid;

	/**
	 *
	 */
	@ApiModelProperty( "出入库单号 190802000001")
    private String crkdh;

	public TyCrkjsxxVO(String jsid, String jsdh, Date jssj, String pzbm, String pzmc, String lsdjbm, String lsdjmc,
			String khdm, String khmc, String khssqydm, String khssyqmc, String khlxdh, String khsfzh, String khyhzh,
			String khkhyh, String hwbm, String cfbh, String cfmc, String sskddm, String sskdmc, String ssqydm,
			String ssyqmc, String yscch, BigDecimal czmz, BigDecimal czpz, BigDecimal czjz, BigDecimal kzl,
			BigDecimal kdj, BigDecimal djje, BigDecimal zzjszl, BigDecimal zzjsdj, BigDecimal zzjsje, String crkid,
			String crkdh) {
		super();
		this.jsid = jsid;
		this.jsdh = jsdh;
		this.jssj = jssj;
		this.pzbm = pzbm;
		this.pzmc = pzmc;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.khdm = khdm;
		this.khmc = khmc;
		this.khssqydm = khssqydm;
		this.khssyqmc = khssyqmc;
		this.khlxdh = khlxdh;
		this.khsfzh = khsfzh;
		this.khyhzh = khyhzh;
		this.khkhyh = khkhyh;
		this.hwbm = hwbm;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.yscch = yscch;
		this.czmz = czmz;
		this.czpz = czpz;
		this.czjz = czjz;
		this.kzl = kzl;
		this.kdj = kdj;
		this.djje = djje;
		this.zzjszl = zzjszl;
		this.zzjsdj = zzjsdj;
		this.zzjsje = zzjsje;
		this.crkid = crkid;
		this.crkdh = crkdh;
	}

	public TyCrkjsxxVO() {
		super();

	}


}
