package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyCrkxxDO
 * @ProjectName 出入库信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("出入库信息实体类")
public class TyCrkxxPageVO extends BaseEntity {

	@ApiModelProperty("出入库ID CR20190802000001")
    private String crkid;

	/**
	 * 出入库单号 190802000001
	 */
	@ApiModelProperty(value="出入库单号 190802000001",required = true)
    private String crkdh;

	/**
	 * 出入库类型 （01：出库；02：入库）
	 */
	@ApiModelProperty(value="出入库类型 （01：出库；02：入库）",required = true)
    private String crklx;

	/**
	 * 品种编码
	 */
	@ApiModelProperty("品种编码")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@ApiModelProperty("品种名称")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
    private String lsdjmc;

	/**
	 * 收获年度
	 */
	@ApiModelProperty("收获年度")
    private String shnd;

	/**
	 * 粮食国别（）
	 */
	@ApiModelProperty("粮食国别")
    private String lsgb;

	/**
	 * 粮食产地（）
	 */
	@ApiModelProperty("粮食产地")
    private String lscd;

	/**
	 * 样品单编号
	 */
	@ApiModelProperty("样品单编号")
    private String qydbh;

	/**
	 * 样品数量单位（kg）
	 */
	@ApiModelProperty("样品数量单位（kg）")
    private BigDecimal ypsldw;

	/**
	 * 代表数量单位（kg）
	 */
	@ApiModelProperty("代表数量单位（kg）")
    private BigDecimal dbsldw;

	/**
	 * 签样地点
	 */
	@ApiModelProperty("签样地点")
    private String qydd;

	/**
	 * 签样人编码
	 */
	@ApiModelProperty("签样人编码")
    private String qyrbm;

	/**
	 * 签样人名称
	 */
	@ApiModelProperty("签样人名称")
    private String qyrmc;

	/**
	 * 检验时间
	 */
	@ApiModelProperty("检验时间")
    private Date jyrq;

	/**
	 * 检验依据（01：国标；00：其他）
	 */
	@ApiModelProperty("检验依据（01：国标；00：其他）")
    private String jyyj;

	/**
	 * 检验结果
	 */
	@ApiModelProperty("检验结果")
    private String jyjg;

	/**
	 * 检验备注
	 */
	@ApiModelProperty("检验备注")
    private String checkRemark;

	/**
	 * 称重毛总（kg）
	 */
	@ApiModelProperty("称重毛总（kg）")
    private BigDecimal czmz;

	/**
	 * 毛重监磅员编码
	 */
	@ApiModelProperty("毛重监磅员编码")
    private String mzjbybm;

	/**
	 * 毛重监磅员名称
	 */
	@ApiModelProperty("毛重监磅员名称")
    private String mzjbymc;

	/**
	 * 毛重称重时间
	 */
	@ApiModelProperty("毛重称重时间")
    private Date mzczsj;

	/**
	 * 称重皮总（kg）
	 */
	@ApiModelProperty("称重皮总（kg）")
    private BigDecimal czpz;

	/**
	 * 皮重监磅员编码
	 */
	@ApiModelProperty("皮重监磅员编码")
    private String pzjbybm;

	/**
	 * 皮重监磅员名称
	 */
	@ApiModelProperty("皮重监磅员名称")
    private String pzjbymc;

	/**
	 * 皮重称重时间
	 */
	@ApiModelProperty("皮重称重时间")
    private Date pzczsj;

	/**
	 * 称重净重（kg）
	 */
	@ApiModelProperty("称重净重（kg）")
    private BigDecimal czjz;

	/**
	 * 现场扣重量（kg）
	 */
	@ApiModelProperty("现场扣重量（kg）")
    private BigDecimal xckzl;

	/**
	 * 烘干扣重量（kg）
	 */
	@ApiModelProperty("烘干扣重量（kg）")
    private BigDecimal hgkzl;

	/**
	 * 最终结算重量（kg）
	 */
	@ApiModelProperty("最终结算重量（kg）")
    private BigDecimal zzjszl;

	/**
	 * 最终结算金额（元）
	 */
	@ApiModelProperty("最终结算金额（元）")
    private BigDecimal zzjsje;

	/**
	 * 承运人代码
	 */
	@ApiModelProperty("承运人代码")
    private String cyrdm;

	/**
	 * 承运人名称
	 */
	@ApiModelProperty("承运人名称")
    private String cyrmc;

	/**
	 * 承运人电话
	 */
	@ApiModelProperty("承运人电话")
    private String cyrdh;

	/**
	 * 承运人身份证号
	 */
	@ApiModelProperty("承运人身份证号")
    private String cyrsfzh;

	/**
	 * 承运人地址
	 */
	@ApiModelProperty("承运人地址")
    private String cyrdz;

	/**
	 * 客户代码
	 */
	@ApiModelProperty("客户代码")
    private String khdm;

	/**
	 * 客户名称
	 */
	@ApiModelProperty("客户名称")
    private String khmc;

	/**
	 * 客户所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("客户所属企业代码 （统一社会信用代码）")
    private String khssqydm;

	/**
	 * 客户所属企业名称
	 */
	@ApiModelProperty("客户所属企业名称 ")
    private String khssyqmc;

	/**
	 * 仓房编号
	 */
	@ApiModelProperty("仓房编号 ")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 运输方式
	 */
	@ApiModelProperty("运输方式")
    private String ysfs;

	/**
	 * 运输车船号
	 */
	@ApiModelProperty("运输车船号")
    private String yscch;

	/**
	 * 登记时间
	 */
	@ApiModelProperty("登记时间")
    private Date crkdjsj;

	/**
	 * 出门登记时间
	 */
	@ApiModelProperty("出门登记时间")
    private Date cmdjsj;

	/**
	 * 门岗值守人姓名
	 */
	@ApiModelProperty("门岗值守人姓名")
    private String mgzsrxm;

	/**
	 * 所属通知编码 TZ20190802000001
	 */
	@ApiModelProperty("所属通知编码 TZ20190802000001")
    private String sstzdid;

	/**
	 * 所属通知单号 190802000001
	 */
	@ApiModelProperty("所属通知单号 190802000001")
    private String sstzdh;

	/**
	 * 所属计划id JH20190802000001
	 */
	@ApiModelProperty("所属计划id JH20190802000001")
    private String ssjhxxid;

	/**
	 * 所属计划号（计划文号）
	 */
	@ApiModelProperty("所属计划号（计划文号）")
    private String ssjhh;

	/**
	 * 合同信息id HT20190802000001
	 */
	@ApiModelProperty("合同信息id HT20190802000001")
    private String sshtxxid;

	/**
	 * 合同编号
	 */
	@ApiModelProperty("合同编号")
    private String sshtbm;

	/**
	 * 合同编号
	 */
	@ApiModelProperty("合同编号")
	private String htbh;

	//乙方库点编码
	@ApiModelProperty("乙方库点编码")
    private String yfkdbm;

	//乙方库点名称
	@ApiModelProperty("乙方库点名称")
    private String yfkdmc;

	//合同在数量
	@ApiModelProperty("合同总数量")
    private BigDecimal htzsl;

	//甲方库点编码
	@ApiModelProperty("甲方库点编码")
    private String jfkdbm;

	//甲方库点名称
	@ApiModelProperty("甲方库点名称")
    private String jfkdmc;
}
