package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 合同信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("合同信息实体类")
public class TyHtxxVO extends BaseEntity {

	//合同信息id  HT20190802000001
	@ApiModelProperty("合同信息id")
    private String htxxid;

	//合同编号
	@ApiModelProperty(value = "合同编号",required =true)
    private String htbh;

	//合同名称
	@ApiModelProperty(value = "合同名称",required =true)
    private String htmc;

	//甲方企业代码 （统一社会信用代码）
	@ApiModelProperty("甲方企业代码 （统一社会信用代码）")
    private String jfqydm;

	//甲方企业名称
	@ApiModelProperty("甲方企业名称")
    private String jfqymc;

	//甲方库点编码
	@ApiModelProperty("甲方库点编码")
    private String jfkdbm;

	//甲方库点名称
	@ApiModelProperty("甲方库点名称")
    private String jfkdmc;

	//甲方开户行
	@ApiModelProperty("甲方开户行")
    private String jfkhh;

	//甲方账号
	@ApiModelProperty("甲方账号")
    private String jfyhzh;

	//甲方签约人
	@ApiModelProperty("甲方签约人")
    private String jfqyr;

	//甲方联系电话
	@ApiModelProperty("甲方联系电话")
    private String jflxdh;

	//甲方签章状态
	@ApiModelProperty("甲方签章状态")
    private String jfqzzt;

	//乙方企业代码 （统一社会信用代码）
	@ApiModelProperty("乙方企业代码 （统一社会信用代码）")
    private String yfqydm;

	//乙方企业名称
	@ApiModelProperty("乙方企业名称")
    private String yfqymc;

	//乙方库点编码
	@ApiModelProperty("乙方库点编码")
    private String yfkdbm;

	//乙方库点名称
	@ApiModelProperty("乙方库点名称")
    private String yfkdmc;

	//乙方开户行
	@ApiModelProperty("乙方开户行")
    private String yfkhh;

	//乙方开户账号
	@ApiModelProperty("乙方开户账号")
	private String yfyhzh;

	//乙方签约人
	@ApiModelProperty("乙方签约人")
    private String yfqyr;

	//乙方联系电话
	@ApiModelProperty("乙方联系电话")
    private String yflxdh;

	//乙方签章状态
	@ApiModelProperty("乙方签章状态")
    private String yfqzzt;

	//合同签署时间
	@ApiModelProperty("合同签署时间")
    private Date htqssj;

	//合同签署地点
	@ApiModelProperty("合同签署地点")
    private String htqsdd;

	//合同总金额
	@ApiModelProperty("合同总金额")
    private BigDecimal htzje;

	//合同在数量
	@ApiModelProperty("合同总数量")
    private BigDecimal htzsl;

	//合同总单价
	@ApiModelProperty("合同总单价")
    private BigDecimal htzdj;

	//合同保证金额
	@ApiModelProperty("合同保证金额")
    private BigDecimal htbzje;

	//合同生效时间
	@ApiModelProperty("合同生效时间")
    private Date htsxkssj;

	//合同生效截止时间
	@ApiModelProperty("合同生效截止时间")
    private Date htsxjzsj;

	//交货开始时间
	@ApiModelProperty("交货开始时间")
    private Date jhkssj;

	//交货结束时间
	@ApiModelProperty("交货结束时间")
    private Date jhjssj;

	//品种编码
	@ApiModelProperty("品种编码")
    private String lspzbm;

	//品种名称
	@ApiModelProperty("品种名称")
    private String lspzmc;

	//运输方式
	@ApiModelProperty("运输方式")
    private String ysfs;

	//支付方式
	@ApiModelProperty("支付方式")
    private String zffs;

	//争议解决方案
	@ApiModelProperty("争议解决方案")
    private String zyjjfs;

	//合同违约责任
	@ApiModelProperty("合同违约责任")
    private String htwyzr;

	//合同解除条件
	@ApiModelProperty("合同解除条件")
    private String htjctj;

	//合同备注信息
	@ApiModelProperty("合同备注信息")
    private String htbzxx;

	//计划id
	@ApiModelProperty("计划id")
    private String lspzid;

	//计划号码
	@ApiModelProperty("计划号码")
    private String lspzhm;

	//审批状态
	@ApiModelProperty("审批状态")
    private String spzt;

	//执行状态
	@ApiModelProperty("执行状态")
    private String zxzt;

	//粮食登记代码
	@ApiModelProperty("粮食登记代码")
	private String lsdjbm;

	//粮食等级名称
	@ApiModelProperty("粮食等级名称")
	private String lsdjmc;



	public TyHtxxVO(String htxxid, String htbh, String htmc, String jfqydm, String jfqymc, String jfkdbm, String jfkdmc,
			String jfkhh, String jfyhzh, String jfqyr, String jflxdh, String jfqzzt, String yfqydm, String yfqymc,
			String yfkdbm, String yfkdmc, String yfkhh, String yfyhzh, String yfqyr, String yflxdh, String yfqzzt,
			Date htqssj, String htqsdd, BigDecimal htzje, BigDecimal htzsl, BigDecimal htzdj, BigDecimal htbzje,
			Date htsxkssj, Date htsxjzsj, Date jhkssj, Date jhjssj, String lspzbm, String lspzmc, String ysfs,
			String zffs, String zyjjfs, String htwyzr, String htjctj, String htbzxx, String lspzid, String lspzhm,
			String spzt, String zxzt, String lsdjbm, String lsdjmc) {
		super();
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.htxxid = htxxid;
		this.htbh = htbh;
		this.htmc = htmc;
		this.jfqydm = jfqydm;
		this.jfqymc = jfqymc;
		this.jfkdbm = jfkdbm;
		this.jfkdmc = jfkdmc;
		this.jfkhh = jfkhh;
		this.jfyhzh = jfyhzh;
		this.jfqyr = jfqyr;
		this.jflxdh = jflxdh;
		this.jfqzzt = jfqzzt;
		this.yfqydm = yfqydm;
		this.yfqymc = yfqymc;
		this.yfkdbm = yfkdbm;
		this.yfkdmc = yfkdmc;
		this.yfkhh = yfkhh;
		this.yfyhzh = yfyhzh;
		this.yfqyr = yfqyr;
		this.yflxdh = yflxdh;
		this.yfqzzt = yfqzzt;
		this.htqssj = htqssj;
		this.htqsdd = htqsdd;
		this.htzje = htzje;
		this.htzsl = htzsl;
		this.htzdj = htzdj;
		this.htbzje = htbzje;
		this.htsxkssj = htsxkssj;
		this.htsxjzsj = htsxjzsj;
		this.jhkssj = jhkssj;
		this.jhjssj = jhjssj;
		this.lspzbm = lspzbm;
		this.lspzmc = lspzmc;
		this.ysfs = ysfs;
		this.zffs = zffs;
		this.zyjjfs = zyjjfs;
		this.htwyzr = htwyzr;
		this.htjctj = htjctj;
		this.htbzxx = htbzxx;
		this.lspzid = lspzid;
		this.lspzhm = lspzhm;
		this.spzt = spzt;
		this.zxzt = zxzt;
	}

	public TyHtxxVO() {

	}


}
