package com.unis.base.common.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyJhxxmxbDO
 * @ProjectName 计划信息明细实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("计划信息明细实体类")
public class TyJhxxmxbVO extends BaseEntity {
	/**
	 * 计划信息id JH20190802000001
	 */
	@ApiModelProperty(value="计划信息id JH20190802000001",required = true)
    private String jhxxid;

	/**
	 * 顺序号
	 */
	@ApiModelProperty("sxh")
    private Short sxh;

	/**
	 * 仓房编号
	 */
	@ApiModelProperty("仓房编号")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 品种编码
	 */
	@ApiModelProperty("品种编码")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@ApiModelProperty("品种名称 ")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
    private String lsdjmc;

	/**
	 * 库存价格(元/公斤)
	 */
	@ApiModelProperty("库存价格(元/公斤)")
    private BigDecimal kcjg;

	/**
	 * 计划数量
	 */
	@ApiModelProperty("计划数量")
	private BigDecimal jhsl;

	/**
	 * 粮食性质编码
	 */
	@ApiModelProperty("粮食性质编码")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@ApiModelProperty("粮食性质名称")
    private String lsxzmc;

	/**
	 * 生产年份
	 */
	@ApiModelProperty("生产年份")
    private String scnf;

	/**
	 * 入库年份
	 */
	@ApiModelProperty("入库年份")
    private String rknf;

	/**
	 * 计划明细状态
	 */
	@ApiModelProperty("计划明细状态")
    private String jhmxzt;

	public TyJhxxmxbVO(String jhxxid, Short sxh, String cfbh, String cfmc, String pzbm, String pzmc, String lsdjbm,
			String lsdjmc, BigDecimal kcjg, String scnf, String rknf, String jhmxzt) {
		super();
		this.jhxxid = jhxxid;
		this.sxh = sxh;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.pzbm = pzbm;
		this.pzmc = pzmc;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.kcjg = kcjg;
		this.scnf = scnf;
		this.rknf = rknf;
		this.jhmxzt = jhmxzt;
	}



	public TyJhxxmxbVO() {

	}



	public TyJhxxmxbVO(String jhxxid, Short sxh, String cfbh, String cfmc,
			String pzbm, String pzmc, String lsdjbm, String lsdjmc,
			BigDecimal kcjg, BigDecimal jhsl, String lsxzbm, String lsxzmc,
			String scnf, String rknf, String jhmxzt) {
		super();
		this.jhxxid = jhxxid;
		this.sxh = sxh;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.pzbm = pzbm;
		this.pzmc = pzmc;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.kcjg = kcjg;
		this.jhsl = jhsl;
		this.lsxzbm = lsxzbm;
		this.lsxzmc = lsxzmc;
		this.scnf = scnf;
		this.rknf = rknf;
		this.jhmxzt = jhmxzt;
	}
}
