package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyJhxxzbDO
 * @ProjectName 计划信息主表实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("计划信息主表实体类")
public class TyJhxxzbVO extends BaseEntity{
	/**
	 * 计划信息id JH20190802000001
	 */
	@ApiModelProperty("计划信息id JH20190802000001")
    private String jhxxid;

	/**
	 * 计划号（计划文号）
	 */
	@ApiModelProperty(value="计划号（计划文号）",required = true)
    private String jhh;

	/**
	 * 计划标题
	 */
	@ApiModelProperty(value="计划标题",required = true)
    private String jhbt;

	/**
	 * 计划描述
	 */
	@ApiModelProperty("计划描述")
    private String jhms;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 计划类型(01:轮入；02：轮出;03:移库；04：轮换；05：救灾；09：其他)
	 */
	@ApiModelProperty("计划类型(01:轮入；02：轮出;03:移库；04：轮换；05：救灾；09：其他)")
    private String jhlx;

	/**
	 * 粮食要求数量（顿
	 */
	@ApiModelProperty("粮食要求数量（顿")
    private BigDecimal lsyqsl;

	/**
	 * 粮食年期 生产年份
	 */
	@ApiModelProperty("粮食年期 生产年份")
    private String lsnq;

	/**
	 * 粮食完成数量（顿）
	 */
	@ApiModelProperty("粮食完成数量（顿）")
    private BigDecimal lswcsl;

	/**
	 * 粮食价格（元/kg）
	 */
	@ApiModelProperty("粮食价格（元/kg）")
    private BigDecimal lsjg;

	/**
	 * 计划开始时间
	 */
	@ApiModelProperty("计划开始时间")
    private Date jhkssj;

	/**
	 * 计划截止时间
	 */
	@ApiModelProperty("计划截止时间")
    private Date jhjzsj;

	/**
	 * 编制时间
	 */
	@ApiModelProperty("编制时间")
    private Date bzsj;

	/**
	 * 编制人编码
	 */
	@ApiModelProperty("编制人编码")
    private String bzrbm;

	/**
	 * 编制人名称
	 */
	@ApiModelProperty("编制人名称")
    private String bzrmc;

	/**
	 * 审核时间
	 */
	@ApiModelProperty("审核时间")
    private Date shsj;

	/**
	 * 审核人编码
	 */
	@ApiModelProperty("审核人编码")
    private String shrbm;

	/**
	 * 审核人名称
	 */
	@ApiModelProperty("审核人名称")
    private String shrmc;

	/**
	 * 签发时间
	 */
	@ApiModelProperty("签发时间")
    private Date qfsj;

	/**
	 * 签发人编码
	 */
	@ApiModelProperty("签发人编码")
    private String qfrbm;

	/**
	 * 签发人名称
	 */
	@ApiModelProperty("签发人名称")
    private String qfrmc;

	/**
	 * 计划执行状态
	 */
	@ApiModelProperty("计划执行状态")
    private String jhzxzt;

	/**
	 * 轮换年度
	 */
	@ApiModelProperty("轮换年度")
	private String lhnd;


	public TyJhxxzbVO(String jhxxid, String jhh, String jhbt, String jhms, String sskddm, String sskdmc, String ssqydm,
			String ssyqmc, String jhlx, BigDecimal lsyqsl, String lsnq, BigDecimal lswcsl, BigDecimal lsjg, Date jhkssj,
			Date jhjzsj, Date bzsj, String bzrbm, String bzrmc, Date shsj, String shrbm, String shrmc, Date qfsj,
			String qfrbm, String qfrmc, String jhzxzt) {
		super();
		this.jhxxid = jhxxid;
		this.jhh = jhh;
		this.jhbt = jhbt;
		this.jhms = jhms;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.jhlx = jhlx;
		this.lsyqsl = lsyqsl;
		this.lsnq = lsnq;
		this.lswcsl = lswcsl;
		this.lsjg = lsjg;
		this.jhkssj = jhkssj;
		this.jhjzsj = jhjzsj;
		this.bzsj = bzsj;
		this.bzrbm = bzrbm;
		this.bzrmc = bzrmc;
		this.shsj = shsj;
		this.shrbm = shrbm;
		this.shrmc = shrmc;
		this.qfsj = qfsj;
		this.qfrbm = qfrbm;
		this.qfrmc = qfrmc;
		this.jhzxzt = jhzxzt;
	}

	public TyJhxxzbVO() {

	}

}
