package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 *  出入库通知单
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("出入库通知单实体类")
public class TyLhtzdVO extends BaseEntity  {
	
	/**
	 * 通知编码 TZ20190802000001
	 */
	@ApiModelProperty("通知编码 TZ20190802000001")
    private String tzdid;

	/**
	 * 通知单号 190802000001	
	 */
	@ApiModelProperty(value="通知单号 190802000001",required = true)
    private String tzdh;

	/**
	 * 通知单类型 （01：出库；02：入库）
	 */
	@ApiModelProperty(value="通知单类型 （01：出库；02：入库）",required = true)
    private String tzdlx;

	/**
	 * 品种编码 
	 */
	@ApiModelProperty("品种编码")
    private String pzbm;

	/**
	 * 品种名称 
	 */
	@ApiModelProperty("品种名称 ")
    private String pzmc;
	
	/**
	 * 粮食要求数量（吨）
	 */
	@ApiModelProperty("粮食要求数量（吨）")
    private BigDecimal lsyqsl;

	/**
	 * 粮食年期 生产年份
	 */
	@ApiModelProperty("粮食年期 生产年份")
    private String lsnq;

	/**
	 * 粮食完成数量（吨）
	 */
	@ApiModelProperty("粮食完成数量（吨）")
    private BigDecimal lswcsl;

	/**
	 * 粮食价格（元/kg）
	 */
	@ApiModelProperty("粮食价格（元/kg）")
    private BigDecimal lsjg;

	/**
	 * 通知计划开始时间
	 */
	@ApiModelProperty("通知计划开始时间")
    private Date jhkssj;
	
	/**
	 * 通知计划截止时间
	 */
	@ApiModelProperty("通知计划截止时间")
    private Date jhjzsj;

	/**
	 * 客户代码
	 */
	@ApiModelProperty("客户代码")
    private String khdm;

	/**
	 * 客户名称
	 */
	@ApiModelProperty("户名称")
    private String khmc;

	/**
	 * 客户所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("客户所属企业代码 （统一社会信用代码）")
    private String khssqydm;

	/**
	 * 客户所属企业名称
	 */
	@ApiModelProperty("客户所属企业名称")
    private String khssyqmc;

	/**
	 * 仓房编号 
	 */
	@ApiModelProperty("仓房编号 ")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称 
	 */
	@ApiModelProperty("所属企业名称 ")
    private String ssyqmc;

	/**
	 * 所属计划id JH20190802000001 
	 */
	@ApiModelProperty("所属计划id JH20190802000001")
    private String ssjhxxid;

	/**
	 * 所属计划号（计划文号）
	 */
	@ApiModelProperty("所属计划号（计划文号）")
    private String ssjhh;

	/**
	 * 合同信息id HT20190802000001
	 */
	@ApiModelProperty("合同信息id HT20190802000001")
    private String sshtxxid;

	/**
	 *合同编号（） 
	 */
	@ApiModelProperty("合同编号")
    private String sshtbm;

	public TyLhtzdVO(String tzdid, String tzdh, String tzdlx, String pzbm, String pzmc, BigDecimal lsyqsl, String lsnq,
			BigDecimal lswcsl, BigDecimal lsjg, Date jhkssj, Date jhjzsj, String khdm, String khmc, String khssqydm,
			String khssyqmc, String cfbh, String cfmc, String sskddm, String sskdmc, String ssqydm, String ssyqmc,
			String ssjhxxid, String ssjhh, String sshtxxid, String sshtbm) {
		super();
		this.tzdid = tzdid;
		this.tzdh = tzdh;
		this.tzdlx = tzdlx;
		this.pzbm = pzbm;
		this.pzmc = pzmc;
		this.lsyqsl = lsyqsl;
		this.lsnq = lsnq;
		this.lswcsl = lswcsl;
		this.lsjg = lsjg;
		this.jhkssj = jhkssj;
		this.jhjzsj = jhjzsj;
		this.khdm = khdm;
		this.khmc = khmc;
		this.khssqydm = khssqydm;
		this.khssyqmc = khssyqmc;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.ssjhxxid = ssjhxxid;
		this.ssjhh = ssjhh;
		this.sshtxxid = sshtxxid;
		this.sshtbm = sshtbm;
	}

	public TyLhtzdVO() {
		
	}
   
}