package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 粮情信息
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("粮情信息明细实体类")
public class TyLqmxxxVO extends BaseEntity {
	
	/**
	 * 顺序号
	 */
	@ApiModelProperty("顺序号")
	private Integer sxh;
	
	/**
	 * 粮情ID LQ20190802000001 
	 */
	@ApiModelProperty("粮情ID")
	private String lqid;
	
	/**
	 * 采集时间 
	 */
	@ApiModelProperty("采集时间 ")
    private Date cjsj;
	
	/**
	 * 货位编号
	 */
	@ApiModelProperty("货位编号")
    private String hwbm;

	/**
	 * 仓房编号 
	 */
	@ApiModelProperty("cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房编号 ")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称  
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 测温杆编号
	 */
	@ApiModelProperty("测温杆编号")
    private String cwgbm;

	/**
	 * 测温点编号
	 */
	@ApiModelProperty("测温点编号")
    private String cwdbm;

	/**
	 * 测温点X
	 */
	@ApiModelProperty("测温点X")
    private String cwdX;

	/**
	 * 测温点Y
	 */
	@ApiModelProperty("测温点Y")
    private String cwdY;

	/**
	 * 测温点Z
	 */
	@ApiModelProperty("测温点Z")
    private String cwdZ;

	/**
	 * 仓房测温值
	 */
	@ApiModelProperty("仓房测温值")
    private BigDecimal cfcwz;

	public TyLqmxxxVO(Integer sxh, String lqid, Date cjsj, String hwbm, String cfbh, String cfmc, String sskddm,
			String sskdmc, String ssqydm, String ssyqmc, String cwgbm, String cwdbm, String cwdX, String cwdY,
			String cwdZ, BigDecimal cfcwz) {
		super();
		this.sxh = sxh;
		this.lqid = lqid;
		this.cjsj = cjsj;
		this.hwbm = hwbm;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.cwgbm = cwgbm;
		this.cwdbm = cwdbm;
		this.cwdX = cwdX;
		this.cwdY = cwdY;
		this.cwdZ = cwdZ;
		this.cfcwz = cfcwz;
	}
	
	public TyLqmxxxVO() {
		
	}

	
}