package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 粮情信息
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("粮情信息实体类")
public class TyLqxxVO extends BaseEntity  {
	
	/**
	 * 粮情ID LQ20190802000001 
	 */
	@ApiModelProperty("粮情ID")
    private String lqid;

	/**
	 * 监测时间 
	 */
	@ApiModelProperty("监测时间 ")
    private Date jcsj;

	/**
	 *货位编号 
	 */
	@ApiModelProperty(value="货位编号",required = true)
    private String hwbm;

	/**
	 * 仓房编号
	 */
	@ApiModelProperty(value="仓房编号",required = true)
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称	
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称  
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 仓房外温 
	 */
	@ApiModelProperty("仓房外温")
    private BigDecimal cfww;

	/**
	 * 仓房外湿 
	 */
	@ApiModelProperty("仓房外湿")
    private BigDecimal cfws;

	/**
	 * 仓房内温
	 */
	@ApiModelProperty("仓房内温")
    private BigDecimal cfnw;

	/**
	 * 仓房内湿
	 */
	@ApiModelProperty("仓房内湿")
    private BigDecimal cfns;

	/**
	 * 最高温度
	 */
	@ApiModelProperty("最高温度")
    private BigDecimal cfzgwd;

	/**
	 * 最低温度
	 */
	@ApiModelProperty("最低温度")
    private BigDecimal cfzdwd;

	/**
	 * 平均温度
	 */
	@ApiModelProperty("平均温度")
    private BigDecimal cfpjwd;

	/**
	 * 仓房温度信息 
	 */
	@ApiModelProperty("仓房温度信息")
    private String cfwdxx;

	/**
	 * 仓房湿度信息 
	 */
	@ApiModelProperty("仓房湿度信息")
    private String cfsdxx;

	/**
	 * 仓房水分信息  
	 */
	@ApiModelProperty("仓房水分信息")
    private String cfsfxx;

	public TyLqxxVO(String lqid, Date jcsj, String hwbm, String cfbh, String cfmc, String sskddm, String sskdmc,
			String ssqydm, String ssyqmc, BigDecimal cfww, BigDecimal cfws, BigDecimal cfnw, BigDecimal cfns,
			BigDecimal cfzgwd, BigDecimal cfzdwd, BigDecimal cfpjwd, String cfwdxx, String cfsdxx, String cfsfxx) {
		super();
		this.lqid = lqid;
		this.jcsj = jcsj;
		this.hwbm = hwbm;
		this.cfbh = cfbh;
		this.cfmc = cfmc;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.cfww = cfww;
		this.cfws = cfws;
		this.cfnw = cfnw;
		this.cfns = cfns;
		this.cfzgwd = cfzgwd;
		this.cfzdwd = cfzdwd;
		this.cfpjwd = cfpjwd;
		this.cfwdxx = cfwdxx;
		this.cfsdxx = cfsdxx;
		this.cfsfxx = cfsfxx;
	}

	public TyLqxxVO() {
		
	}
}