package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@SuppressWarnings("serial")
@Data
@ApiModel(value = "粮食库存信息历史记录VO")
public class TyLskcxxHisVO extends BaseEntity{
    /**
     * 主键ID
     */
    @ApiModelProperty(value = "主键ID")
    private String id;
    /**
     * 库存信息id KC20190802000001
     */
    @ApiModelProperty(value = "库存信息id KC20190802000001")
    private String kcxxid;

    /**
     * 货位编号（仓房编码+01 两位序号）
     */
    @ApiModelProperty(value = "货位编号（仓房编码+01 两位序号）")
    private String hwbm;

    /**
     * 所属廒间编号（仓房编码+001 三位序号）
     */
    @ApiModelProperty(value = "所属廒间编号（仓房编码+001 三位序号）")
    private String ssajbh;

    /**
     * 所属廒间名称
     */
    @ApiModelProperty(value = "所属廒间名称")
    private String ssajmc;

    /**
     * 所属仓房编码（库点编码+001 三位序号）
     */
    @ApiModelProperty(value = "所属仓房编码（库点编码+001 三位序号）")
    private String sscfbh;

    /**
     * 所属仓房名称
     */
    @ApiModelProperty(value = "所属仓房名称")
    private String sscfmc;

    /**
     * 所属库点编码
     */
    @ApiModelProperty(value = "所属库点编码")
    private String sskddm;

    /**
     * 所属库点名称
     */
    @ApiModelProperty(value = "所属库点名称")
    private String sskdmc;

    /**
     * 所属企业代码 （统一社会信用代码）
     */
    @ApiModelProperty(value = "所属企业代码 （统一社会信用代码）")
    private String ssyddm;

    /**
     * 所属企业名称
     */
    @ApiModelProperty(value = "所属企业名称")
    private String ssyqmc;

    /**
     * 粮食品种编码
     */
    @ApiModelProperty(value = "粮食品种编码")
    private String lspzbm;

    /**
     * 粮食品种名称
     */
    @ApiModelProperty(value = "粮食品种名称")
    private String lspzmc;

    /**
     * 粮食年度
     */
    @ApiModelProperty(value = "粮食年度")
    private String lsnd;

    /**
     * 存储期间
     */
    @ApiModelProperty(value = "存储期间")
    private String ccqj;

    /**
     * 年度
     */
    @ApiModelProperty(value = "年度")
    private String pzbm;

    /**
     * （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
     */
    @ApiModelProperty(value = "（100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）")
    private String lsxzbm;

    /**
     * 粮食性质名称
     */
    @ApiModelProperty(value = "粮食性质名称")
    private String lsxzmc;

    /**
     * 存储方式编码
     */
    @ApiModelProperty(value = "存储方式编码")
    private String lsccfsbm;

    /**
     * 存储方式名称
     */
    @ApiModelProperty(value = "存储方式名称")
    private String lsccfsmc;

    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;

    /**
     * 财政核定单价
     */
    @ApiModelProperty(value = "财政核定单价")
    private String czhddj;

    /**
     * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
     */
    @ApiModelProperty(value = "粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

    /**
     * 粮食等级名称
     */
    @ApiModelProperty(value = "粮食等级名称")
    private String lsdjmc;

    /**
     * 收获年度
     */
    @ApiModelProperty(value = "收获年度")
    private String shnd;

    /**
     * 粮食国别
     */
    @ApiModelProperty(value = "粮食国别")
    private String lsgb;

    /**
     * 粮食产地
     */
    @ApiModelProperty(value = "粮食产地")
    private String lscd;

    /**
     * 保管员编码
     */
    @ApiModelProperty(value = "保管员编码")
    private String bgybm;

    /**
     * 保管员名称
     */
    @ApiModelProperty(value = "保管员名称")
    private String bgymc;

    /**
     * 粮权归属单位代码 （统一社会信用代码）
     */
    @ApiModelProperty(value = "粮权归属单位代码 （统一社会信用代码）")
    private String lqgsdwbm;

    /**
     * 粮权归属单位名称
     */
    @ApiModelProperty(value = "粮权归属单位名称")
    private String lqgsdwmc;

    /**
     * 封仓时间
     */
    @ApiModelProperty(value = "封仓时间")
    private Date fcsj;

    /**
     * 封仓数量
     */
    @ApiModelProperty(value = "封仓数量")
    private BigDecimal fcsl;

    /**
     * 清仓时间
     */
    @ApiModelProperty(value = "清仓时间")
    private Date qcsj;

}