package com.unis.base.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Author zoujieli
 * @Date 2019/9/10 17:33
 * Version 1.0
 */

@Data
@Getter
@Setter
@ApiModel(value = "粮食库存信息查询条件")
public class TyLskcxxQueryVO {

    @ApiModelProperty(value = "品种数组")
    private String[] lspzbmArr;
	
	@ApiModelProperty(value = "品种名称")
    private String lspzmc;

	@ApiModelProperty(value = "粮食品种编码")
    private String lspzbm;

	@ApiModelProperty(value = "所属企业代码")
    private String ssyddm;

	@ApiModelProperty(value = "所属仓房编号")
    private String sscfbh;

	@ApiModelProperty(value = "入库时间")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date rksj;

    @ApiModelProperty(value = "仓号数组")
    private String[] sscfbhArr;
    
    @ApiModelProperty(value = "仓房名称")
    private String sscfmc;

    @ApiModelProperty(value = "单位名称")
    private String ssyqmc;

    @ApiModelProperty(value = "生产年度")
    private String lsnd;

    @ApiModelProperty(value = "粮食等级编码")
    private String lsdjbm;

    @ApiModelProperty(value = "产地")
    private String lscd;

    @ApiModelProperty(value = "是否进口（0 国产、1 进口）")
    private String lsgb;

    @ApiModelProperty(value = "数量区间值 start")
    private Integer startNum;

    @ApiModelProperty(value = "数量区间值 end")
    private Integer endNum;

    @ApiModelProperty(value = "所属库点编码")
    private String sskddm;

    /**
     * 市库的仓房编号
     */
    @Column(name = "SSCFBH_OUT")
    private String sscfbhOut;

    /**
     * 市库的库点编号
     */
    @Column(name = "SSKDDM_OUT")
    private String sskddmOut;


}

