package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyLskcxxDO
 * @ProjectName 粮食库存信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("粮食库存信息实体类")
public class TyLskcxxVO extends BaseEntity{
	/**
	 * 库存信息id KC20190802000001
	 */
	@ApiModelProperty("库存信息id")
    private String kcxxid;

	/**
	 * 货位编号（仓房编码+01 两位序号）
	 */
	@ApiModelProperty(value="货位编号（仓房编码+01 两位序号）",required = true)
    private String hwbm;

	/**
	 * 所属廒间编号（仓房编码+001 三位序号）
	 */
	@ApiModelProperty(value="所属廒间编号（仓房编码+001 三位序号）",required = true)
    private String ssajbh;

	/**
	 * 所属廒间名称
	 */
	@ApiModelProperty("所属廒间名称")
    private String ssajmc;

	/**
	 * 所属仓房编码（库点编码+001 三位序号）
	 */
	@ApiModelProperty("所属仓房编码（库点编码+001 三位序号）")
    private String sscfbh;

	/**
	 * 所属仓房名称
	 */
	@ApiModelProperty("所属仓房名称")
    private String sscfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssyddm;

	/**
	 * 所属企业名称
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 粮食品种编码
	 */
	@ApiModelProperty("粮食品种编码")
    private String lspzbm;

	/**
	 * 粮食品种名称
	 */
	@ApiModelProperty("粮食品种名称")
    private String lspzmc;

	/**
	 * 粮食年度
	 */
	@ApiModelProperty("粮食年度")
    private String lsnd;

	/**
	 * 存储期间
	 */
	@ApiModelProperty("存储期间")
    private String ccqj;

	/**
	 * 品种编码
	 */
	@ApiModelProperty("品种编码")
    private String pzbm;

	/**
	 * （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@ApiModelProperty("粮食性质编码（100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@ApiModelProperty("粮食性质名称")
    private String lsxzmc;

	/**
	 * 存储方式编码
	 */
	@ApiModelProperty("存储方式编码")
    private String lsccfsbm;

	/**
	 * 存储方式名称
	 */
	@ApiModelProperty("存储方式名称")
    private String lsccfsmc;

	/**
	 * 入库时间
	 */
	@ApiModelProperty("入库时间")
    private Date rksj;

	/**
	 * 财政核定单价
	 */
	@ApiModelProperty("财政核定单价")
    private String czhddj;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
    private String lsdjmc;

	/**
	 * 收获年度
	 */
	@ApiModelProperty("收获年度")
    private String shnd;

	/**
	 * 粮食国别
	 */
	@ApiModelProperty("粮食国别")
    private String lsgb;

	/**
	 * 粮食产地
	 */
	@ApiModelProperty("粮食产地")
    private String lscd;

	/**
	 * 保管员编码
	 */
	@ApiModelProperty("保管员编码")
    private String bgybm;

	/**
	 * 保管员名称
	 */
	@ApiModelProperty("保管员名称")
    private String bgymc;

	/**
	 * 粮权归属单位代码 （统一社会信用代码）
	 */
	@ApiModelProperty("粮权归属单位代码 （统一社会信用代码）")
    private String lqgsdwbm;

	/**
	 * 粮权归属单位名称
	 */
	@ApiModelProperty("粮权归属单位名称")
    private String lqgsdwmc;

	/**
	 * 封仓时间
	 */
	@ApiModelProperty("封仓时间")
    private Date fcsj;

	/**
	 * 封仓数量
	 */
	@ApiModelProperty("封仓数量")
    private BigDecimal fcsl;

	/**
	 * 清仓时间
	 */
	@ApiModelProperty("清仓时间")
    private Date qcsj;

	/**
	 * 市库的仓房编号
	 */
	@Column(name = "SSCFBH_OUT")
	private String sscfbhOut;

	/**
	 * 市库的库点编号
	 */
	@Column(name = "SSKDDM_OUT")
	private String sskddmOut;


	public TyLskcxxVO(String kcxxid, String hwbm, String ssajbh, String ssajmc, String sscfbh, String sscfmc,
			String sskddm, String sskdmc, String ssyddm, String ssyqmc, String lspzbm, String lspzmc, String lsnd,
			String ccqj, String pzbm, String lsxzbm, String lsxzmc, Date rksj, String czhddj, String lsdjbm,
			String lsdjmc, String shnd, String lsgb, String lscd, String bgybm, String bgymc, String lqgsdwbm,
			String lqgsdwmc, Date fcsj, BigDecimal fcsl, Date qcsj) {
		super();
		this.kcxxid = kcxxid;
		this.hwbm = hwbm;
		this.ssajbh = ssajbh;
		this.ssajmc = ssajmc;
		this.sscfbh = sscfbh;
		this.sscfmc = sscfmc;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssyddm = ssyddm;
		this.ssyqmc = ssyqmc;
		this.lspzbm = lspzbm;
		this.lspzmc = lspzmc;
		this.lsnd = lsnd;
		this.ccqj = ccqj;
		this.pzbm = pzbm;
		this.lsxzbm = lsxzbm;
		this.lsxzmc = lsxzmc;
		this.rksj = rksj;
		this.czhddj = czhddj;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.shnd = shnd;
		this.lsgb = lsgb;
		this.lscd = lscd;
		this.bgybm = bgybm;
		this.bgymc = bgymc;
		this.lqgsdwbm = lqgsdwbm;
		this.lqgsdwmc = lqgsdwmc;
		this.fcsj = fcsj;
		this.fcsl = fcsl;
		this.qcsj = qcsj;
	}



	public TyLskcxxVO() {

	}



	public TyLskcxxVO(String kcxxid, String hwbm, String ssajbh, String ssajmc,
			String sscfbh, String sscfmc, String sskddm, String sskdmc,
			String ssyddm, String ssyqmc, String lspzbm, String lspzmc,
			String lsnd, String ccqj, String pzbm, String lsxzbm,
			String lsxzmc, String lsccfsbm, String lsccfsmc, Date rksj,
			String czhddj, String lsdjbm, String lsdjmc, String shnd,
			String lsgb, String lscd, String bgybm, String bgymc,
			String lqgsdwbm, String lqgsdwmc, Date fcsj, BigDecimal fcsl,
			Date qcsj) {
		super();
		this.kcxxid = kcxxid;
		this.hwbm = hwbm;
		this.ssajbh = ssajbh;
		this.ssajmc = ssajmc;
		this.sscfbh = sscfbh;
		this.sscfmc = sscfmc;
		this.sskddm = sskddm;
		this.sskdmc = sskdmc;
		this.ssyddm = ssyddm;
		this.ssyqmc = ssyqmc;
		this.lspzbm = lspzbm;
		this.lspzmc = lspzmc;
		this.lsnd = lsnd;
		this.ccqj = ccqj;
		this.pzbm = pzbm;
		this.lsxzbm = lsxzbm;
		this.lsxzmc = lsxzmc;
		this.lsccfsbm = lsccfsbm;
		this.lsccfsmc = lsccfsmc;
		this.rksj = rksj;
		this.czhddj = czhddj;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.shnd = shnd;
		this.lsgb = lsgb;
		this.lscd = lscd;
		this.bgybm = bgybm;
		this.bgymc = bgymc;
		this.lqgsdwbm = lqgsdwbm;
		this.lqgsdwmc = lqgsdwmc;
		this.fcsj = fcsj;
		this.fcsl = fcsl;
		this.qcsj = qcsj;
	}


}
