package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 通风作业信息实体类
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("通风作业信息实体类")
public class TyTfzyxxVO extends BaseEntity {
    /**
     * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
     */
    @ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案  SFBA")
    private Integer sfba;
	/**
	 * 通风ZYID TF20190802000001 
	 */
	@ApiModelProperty("通风ZYID")
    private String tfzyid;

	/**
	 * 方案编号/作业单编号
	 */
	@ApiModelProperty(value="方案编号/作业单编号",required = true)
    private String fabh;

	/**
	 * 方案名称/作业单名称
	 */
	@ApiModelProperty(value="方案名称/作业单名称",required =true)
    private String famc;

	/**
	 * 品种编码
	 */
	@ApiModelProperty("品种编码")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@ApiModelProperty("品种名称")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
    private String lsdjmc;

	/**
	 * 粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@ApiModelProperty("粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@ApiModelProperty("粮食性质名称")
    private String lsxzmc;

	/**
	 * 仓房编号
	 */
	@ApiModelProperty("仓房编号")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称	
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称 
	 */
	@ApiModelProperty("所属企业名称 ")
    private String ssyqmc;

	/**
	 * 保管员编码
	 */
	@ApiModelProperty("保管员编码")
    private String bgybm;

	/**
	 * 保管员名称
	 */
	@ApiModelProperty("保管员名称")
    private String bgymc;

	/**
	 * 通风方式
	 */
	@ApiModelProperty("通风方式")
    private String tffs;

	/**
	 * 创建人
	 */
	@ApiModelProperty("创建人")
    private String tfcjr;

	/**
	 * 作业状态
	 */
	@ApiModelProperty("作业状态")
    private String zyzt;

	/**
	 * 作业结束时间
	 */
	@ApiModelProperty("作业结束时间")
    private Date zyjssj;

	/**
	 * 仓房类型
	 */
	@ApiModelProperty("仓房类型")
    private String cflx;

	/**
	 * 仓房尺寸
	 */
	@ApiModelProperty("仓房尺寸")
    private String cfcc;

	/**
	 * 数量
	 */
	@ApiModelProperty("仓房数量")
    private String cfsl;

	/**
	 * 承贷单位
	 */
	@ApiModelProperty("承贷单位")
    private String cddw;

	/**
	 * 保管单位
	 */
	@ApiModelProperty("保管单位")
    private String bgdw;

	/**
	 * 实际装粮高度
	 */
	@ApiModelProperty("实际装粮高度")
    private String sjzlgd;

	/**
	 * 保管员
	 */
	@ApiModelProperty("保管员")
    private String cfbgy;

	/**
	 * 风机类型及型号
	 */
	@ApiModelProperty("风机类型及型号")
    private String fjlxjxh;

	/**
	 * 气流方向
	 */
	@ApiModelProperty("气流方向")
    private String qlfx;

	/**
	 * 风网总阻力
	 */
	@ApiModelProperty("风网总阻力")
    private String fwzzl;

	/**
	 * 总风量
	 */
	@ApiModelProperty("总风量")
    private String cfzfl;

	/**
	 * 风机功率
	 */
	@ApiModelProperty("风机功率")
    private String cffjgl;
	
	/**
	 * 单位通风量
	 */
	@ApiModelProperty("单位通风量")
    private String dwtfl;

	/**
	 * 地槽或地上笼
	 */
	@ApiModelProperty("地槽或地上笼")
    private String dcordsl;

	/**
	 * 地槽或地上笼尺寸
	 */
	@ApiModelProperty("地槽或地上笼尺寸")
    private String dcordslcc;

	/**
	 * 空气途径比
	 */
	@ApiModelProperty("空气途径比")
    private String kqtjb;

	/**
	 *孔板开孔率
	 */
	@ApiModelProperty("孔板开孔率")
    private String kbkkl;

	/**
	 * 开始通风时间
	 */
	@ApiModelProperty("开始通风时间")
    private Date kstfsj;

	/**
	 * 结束通风时间
	 */
	@ApiModelProperty("结束通风时间")
    private Date jstfsj;

	/**
	 * 停机时间
	 */
	@ApiModelProperty("停机时间")
    private String tftjsj;

	/**
	 * 累计通风时间
	 */
	@ApiModelProperty("累计通风时间")
    private String ljtfsj;

	/**
	 * 通风时气温最高值
	 */
	@ApiModelProperty("通风时气温最高值")
    private BigDecimal tfsqwzgz;

	/**
	 * 通风时气温最低值
	 */
	@ApiModelProperty("通风时气温最低值")
    private BigDecimal tfsqwzdz;

	/**
	 * 通风时气温平均值
	 */
	@ApiModelProperty("通风时气温平均值")
    private BigDecimal tfsqwpjz;

	/**
	 * 通风时气湿最高值
	 */
	@ApiModelProperty("通风时气湿最高值")
    private BigDecimal tfsqszgz;

	/**
	 *  通风时气湿最低值
	 */
	@ApiModelProperty("通风时气湿最低值")
    private BigDecimal tfsqszdz;
	
	/**
	 * 通风时气湿平均值
	 */
	@ApiModelProperty("通风时气湿平均值")
    private BigDecimal tfsqspjz;

	/**
	 * 通风前最高粮温
	 */
	@ApiModelProperty("通风前最高粮温")
    private BigDecimal tfqzdgw;

	/**
	 * 通风前最低粮温
	 */
	@ApiModelProperty("通风前最低粮温")
    private BigDecimal tfqzdlw;

	/**
	 * 通风前平均粮温
	 */
	@ApiModelProperty("通风前平均粮温")
    private BigDecimal tfqpjlw;

	/**
	 * 通风前粮温最大梯度
	 */
	@ApiModelProperty("通风前粮温最大梯度")
    private BigDecimal tfqlwzdtd;

	/**
	 * 通风后粮食温度最高值
	 */
	@ApiModelProperty("通风后粮食温度最高值")
    private BigDecimal tfhlwzgz;

	/**
	 * 通风后粮食温度最低值
	 */
	@ApiModelProperty("通风后粮食温度最低值")
    private BigDecimal tfhlswdzdz;

	/**
	 * 通风后粮食温度平均值
	 */
	@ApiModelProperty("通风后粮食温度平均值")
    private BigDecimal tfhlswdpjz;

	/**
	 * 通风后粮温最大梯度
	 */
	@ApiModelProperty("通风后粮温最大梯度")
    private BigDecimal tfhlwzdtd;

	/**
	 * 通风前粮食水分最高值
	 */
	@ApiModelProperty("通风前粮食水分最高值")
    private BigDecimal tfqlssfzgz;

	/**
	 * 通风前粮食水分最低值
	 */
	@ApiModelProperty("通风前粮食水分最低值")
    private BigDecimal tfqlssfzdz;

	/**
	 * 通风前粮食水分平均值
	 */
	@ApiModelProperty("通风前粮食水分平均值")
    private BigDecimal tfqlssfpjz;

	/**
	 * 通风前水分最大梯度
	 */
	@ApiModelProperty("通风前水分最大梯度")
    private BigDecimal tfqsfzdtd;

	/**
	 * 通风后粮食水分最高值
	 */
	@ApiModelProperty("通风后粮食水分最高值")
    private BigDecimal tfhlssfzgz;

	/**
	 * 通风后粮食水分最低值
	 */
	@ApiModelProperty("通风后粮食水分最低值")
    private BigDecimal tfhlssfzdz;

	/**
	 * 通风后粮食水分平均值
	 */
	@ApiModelProperty("通风后粮食水分平均值")
    private BigDecimal tfhlssfpjz;

	/**
	 * 通风后粮食水分最大梯度
	 */
	@ApiModelProperty("通风后粮食水分最大梯度")
    private BigDecimal tfhlssfzdtd;

	/**
	 * 总耗电
	 */
	@ApiModelProperty("总耗电")
    private BigDecimal zhd;

	/**
	 * 单位能耗
	 */
	@ApiModelProperty("单位能耗")
    private BigDecimal dwnh;

	/**
	 * 操作人
	 */
	@ApiModelProperty("操作人")
    private String czr;

	/**
	 *  负责人 
	 */
	@ApiModelProperty("负责人 ")
    private String fzr;

	/**
	 *效果分析
	 */
	@ApiModelProperty("效果分析")
    private String xgfx;

	/**
	 * 行政区划 
	 */
	@ApiModelProperty("行政区划")
    private String xzqb;

}