package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * 熏蒸作业信息实体类
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("熏蒸作业信息实体类")
public class TyXzzyxxVO extends BaseEntity {
	
	/**
	 * 熏蒸ZYID XZ20190802000001 
	 */
	@ApiModelProperty("熏蒸ZYID")
    private String xzzyid;

	/**
	 * 方案编号
	 */
	@ApiModelProperty(value="方案编号",required = true)
    private String fabh;

	/**
	 * 方案名称
	 */
	@ApiModelProperty(value="方案名称",required = true)
    private String famc;

	/**
	 * 品种编码 
	 */
	@ApiModelProperty("品种编码")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@ApiModelProperty("品种名称")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@ApiModelProperty("粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@ApiModelProperty("粮食等级名称")
    private String lsdjmc;

	/**
	 * 粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@ApiModelProperty("粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@ApiModelProperty("粮食性质名称")
    private String lsxzmc;

	/**
	 * 仓房编号 
	 */
	@ApiModelProperty("仓房编号")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@ApiModelProperty("仓房名称")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@ApiModelProperty("所属库点编码")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@ApiModelProperty("所属库点名称")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码
	 */
	@ApiModelProperty("所属企业代码 （统一社会信用代码）")
    private String ssqydm;

	/**
	 * 所属企业名称 
	 */
	@ApiModelProperty("所属企业名称")
    private String ssyqmc;

	/**
	 * 保管员编码
	 */
	@ApiModelProperty("保管员编码")
    private String bgybm;

	/**
	 * 保管员名称
	 */
	@ApiModelProperty("保管员名称")
    private String bgymc;

	/**
	 * 粮堆体积 
	 */
	@ApiModelProperty("粮堆体积 ")
    private BigDecimal ldtj;

	/**
	 * 空间体积 
	 */
	@ApiModelProperty("空间体积 ")
    private BigDecimal kjtj;

	/**
	 * 总体积
	 */
	@ApiModelProperty("总体积")
    private BigDecimal ztj;

	/**
	 * 主要虫害
	 */
	@ApiModelProperty("主要虫害")
    private String zych;

	/**
	 * 害虫密度
	 */
	@ApiModelProperty("害虫密度")
    private String hcmd;

	/**
	 * 熏蒸方式
	 */
	@ApiModelProperty("熏蒸方式")
    private String xzfs;

	/**
	 * 药剂名称
	 */
	@ApiModelProperty("药剂名称")
    private String yjmc;

	/**
	 * 药剂纯度
	 */
	@ApiModelProperty("药剂纯度")
    private String yjcd;

	/**
	 * 施药方法
	 */
	@ApiModelProperty("施药方法")
    private String syff;

	/**
	 * 密闭方法
	 */
	@ApiModelProperty("密闭方法")
    private String mbff;

	/**
	 * 设定浓度
	 */
	@ApiModelProperty("设定浓度")
    private String sdnd;

	/**
	 * 初次施药时间
	 */
	@ApiModelProperty("初次施药时间")
    private Date ccsysj;
	
	/**
	 * 初次单位剂量
	 */
	@ApiModelProperty("初次单位剂量")
    private String ccdwjl;

	/**
	 * 初次用药量
	 */
	@ApiModelProperty("初次用药量")
    private String ccyyl;

	/**
	 * 环流时间
	 */
	@ApiModelProperty("环流时间")
    private Date hlsj;

	/**
	 * 初次补药日期
	 */
	@ApiModelProperty("初次补药日期")
    private String ccbyrq;

	/**
	 * 初次补药量
	 */
	@ApiModelProperty("初次补药量")
    private String ccbyl;

	/**
	 * 最后补药日期
	 */
	@ApiModelProperty("最后补药日期")
    private String zhbyrq;

	/**
	 * 最后补药量
	 */
	@ApiModelProperty("最后补药量")
    private String zhbyl;

	/**
	 * 总补药量
	 */
	@ApiModelProperty("总补药量")
    private String zbyl;

	/**
	 * 总用药量
	 */
	@ApiModelProperty("总用药量")
    private String zyyl;
	
	/**
	 * 总补药次数
	 */
	@ApiModelProperty("总补药次数")
    private Integer zbycs;

	/**
	 * 补药方法
	 */
	@ApiModelProperty("补药方法")
    private String byff;

	/**
	 * 熏蒸人数
	 */
	@ApiModelProperty("熏蒸人数")
    private String xzrs;

	/**
	 * 现在指挥人
	 */
	@ApiModelProperty("现在指挥人")
    private String xzzhr;
	
	/**
	 * 施药人数
	 */
	@ApiModelProperty("施药人数")
    private String syrs;
	
	/**
	 * 熏蒸操作人
	 */
	@ApiModelProperty("熏蒸操作人")
    private String xzczr;

	/**
	 * 防护人
	 */
	@ApiModelProperty("防护人")
    private String fhr;

	/**
	 * 环流风机/阀门（0：否；1：是）
	 */
	@ApiModelProperty("环流风机/阀门（0：否；1：是）")
    private String hlfj;

	/**
	 * 施药设备
	 */
	@ApiModelProperty("施药设备")
    private String sysb;

	/**
	 * 仓房密闭性
	 */
	@ApiModelProperty("仓房密闭性")
    private String cfmbx;

	/**
	 * 高考作业平台安全监测
	 */
	@ApiModelProperty("高考作业平台安全监测")
    private String gkzypt;

	/**
	 * 磷化氢检测仪
	 */
	@ApiModelProperty("磷化氢检测仪")
    private String lhqjcy;

	/**
	 * 磷化氢报警仪
	 */
	@ApiModelProperty("磷化氢报警仪")
    private String lhqbjy;

	/**
	 * 测氧仪
	 */
	@ApiModelProperty("测氧仪")
    private String cyy;

	/**
	 * 空气呼吸器
	 */
	@ApiModelProperty("空气呼吸器")
    private String kqhxq;

	/**
	 * 警戒线/警示牌
	 */
	@ApiModelProperty("警戒线/警示牌")
    private String jjxjsp;

	/**
	 * 灭火器
	 */
	@ApiModelProperty("灭火器")
    private String mhq;

	/**
	 * 急救箱
	 */
	@ApiModelProperty("急救箱")
    private String jjx;

	/**
	 * 散气开始时间
	 */
	@ApiModelProperty("散气开始时间")
    private Date sqkssj;

	/**
	 * 散气结束时间
	 */
	@ApiModelProperty("散气结束时间")
    private Date sqjssj;

	/**
	 * 散气方法
	 */
	@ApiModelProperty("散气方法")
    private String sqff;

	/**
	 * 散气结束时毒气浓度
	 */
	@ApiModelProperty("散气结束时毒气浓度")
    private String sqjsdqnd;

	/**
	 * 药剂残留率
	 */
	@ApiModelProperty("药剂残留率")
    private String yjcll;

	/**
	 * 取样培养温度
	 */
	@ApiModelProperty("取样培养温度")
    private String qypywd;

	/**
	 * 取样培养湿度
	 */
	@ApiModelProperty("取样培养湿度")
    private String qypysd;

	/**
	 * 取样培养30天后活虫数
	 */
	@ApiModelProperty("取样培养30天后活虫数")
    private String qypyhcs;

	/**
	 * 粮堆杀虫效果或杀虫率
	 */
	@ApiModelProperty("粮堆杀虫效果或杀虫率")
    private String ldscxg;

	/**
	 * 检查虫笼时间
	 */
	@ApiModelProperty("检查虫笼时间")
    private Date jcclsj;

	/**
	 * 虫笼害虫死亡率
	 */
	@ApiModelProperty("虫笼害虫死亡率")
    private String clscswl;

	/**
	 * 效果分析
	 */
	@ApiModelProperty("效果分析")
    private String xgfx;

	/**
	 * 作业状态
	 */
	@ApiModelProperty("作业状态")
    private String zyzt;

	/**
	 * 作业结束时间
	 */
	@ApiModelProperty("作业结束时间")
    private Date zyjssj;

	/**
	 * 行政区划
	 */
	@ApiModelProperty("行政区划")
    private String xzqh;
	
    /**
     * @author 张琪
     * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
     */
    @ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案  SFBA")
    private Integer sfba;

	//盖章
	@Column(name = "xzbagz")
	private String xzbagz;
}