package com.unis.base.common.vo;

import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Getter;
import lombok.Setter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 质检信息明细实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("质检信息明细实体类")
public class TyZjxxmxbVO extends BaseEntity {

	/**
	 * 顺序号
	 */
	@ApiModelProperty("顺序号")
	private Integer sxh;

	/**
	 * 质检信息id ZJ20190802000001
	 */
	@ApiModelProperty(value="质检信息id ZJ20190802000001",required = true)
	private String zjxxid;

	/**
	 * 检验单号
	 */
	@ApiModelProperty(value="检验单号",required = true)
    private String jydh;

	/**
	 * 检测标准id
	 */
	@ApiModelProperty("检测标准id")
    private String jybzbh;

	/**
	 * 检验项目
	 */
	@ApiModelProperty("检验项目")
    private String jyxm;

	/**
	 * 检验结论
	 */
	@ApiModelProperty("检验结论")
	private String jyjl;

	/**
	 * 质检报告附件
	 */
	@ApiModelProperty("质检报告附件")
	private String zjbgfj;

	/**
	 * 标准要求/判断规则
	 */
	@ApiModelProperty("标准要求/判断规则")
    private String bzyqpdgz;

	/**
	 * 检测结果
	 */
	@ApiModelProperty("检测结果")
    private String jyjg;

	/**
	 * 单项判断
	 */
	@ApiModelProperty("单项判断 ")
    private String dxpd;

	/**
	 * 检测人编码
	 */
	@ApiModelProperty("检测人编码")
    private String jcrbm;

	/**
	 * 检测人名称
	 */
	@ApiModelProperty("检测人名称")
    private String jcrmc;

	/**
	 * 增扣量比例
	 */
	@ApiModelProperty("增扣量比例")
    private BigDecimal zklbl;

	/**
	 * 增扣数量（kg）
	 */
	@ApiModelProperty("增扣数量（kg）")
    private BigDecimal zksl;

	/**
	 * 增扣金额（元）
	 */
	@ApiModelProperty("增扣金额（元）")
    private BigDecimal zkje;

	/**
	 * 食品安全项目
	 *//*
	@ApiModelProperty(value = "食品安全项目")
	private String spaqxm;

	*//**
	 * 施药情况
	 *//*
	@ApiModelProperty(value = "施药情况")
	private String syqk;

	*//**
	 * 最近施药时间
	 *//*
	@ApiModelProperty(value = "最近施药时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private Date zjsysj;

	*//**
	 * 施用药剂名称
	 *//*
	@ApiModelProperty(value = "施用药剂名称")
	private String syyjmc;

	*//**
	 * 储粮技术
	 *//*
	@ApiModelProperty(value = "储粮技术")
	private String cljs;

	*//**
	 * 虫害发生情况
	 *//*
	@ApiModelProperty(value = "虫害发生情况")
	private String chfsqk;

	*//**
	 * 历次施药名称
	 *//*
	@ApiModelProperty(value = "历次施药名称")
	private String lcsymc;

	*//**
	 * 备注
	 *//*
	@ApiModelProperty(value = "备注")
	private String bz;

	*//**
	 * 扦样机构
	 *//*
	@ApiModelProperty(value = "扦样机构")
	private String tyjg;

	*//**
	 * 扦样负责人签字
	 *//*
	@ApiModelProperty(value = "扦样负责人签字")
	private String tyfzrqz;

	*//**
	 * 承储企业负责人
	 *//*
	@ApiModelProperty(value = "承储企业负责人")
	private String ccqyfzr;

	*//**
	 * 承储企业联系电话
	 *//*
	@ApiModelProperty(value = "承储企业联系电话")
	private String ccqylxdh;

	*//**
	 * 扦样信息附件
	 */
	@ApiModelProperty(value = "扦样信息附件")
	private String tyxxfj;


	/**
	 * 是否异常     0、无异常   1、有异常
	 */
	@ApiModelProperty(value = "是否异常     0、无异常   1、有异常 ")
	private Integer sfyc;

	@ApiModelProperty(value = "数据异常状态")
	@Column(name = "SJYCZT")
	private Integer sjyczt;

	public TyZjxxmxbVO() {

	}



	public TyZjxxmxbVO(Integer sxh, String zjxxid, String jydh, String jybzbh, String jyxm, String jyjl, String zjbgfj,
			String bzyqpdgz, String jyjg, String dxpd, String jcrbm, String jcrmc, BigDecimal zklbl, BigDecimal zksl,

			BigDecimal zkje, String tyxxfj, Integer sfyc) {

		super();
		this.sxh = sxh;
		this.zjxxid = zjxxid;
		this.jydh = jydh;
		this.jybzbh = jybzbh;
		this.jyxm = jyxm;
		this.jyjl = jyjl;
		this.zjbgfj = zjbgfj;
		this.bzyqpdgz = bzyqpdgz;
		this.jyjg = jyjg;
		this.dxpd = dxpd;
		this.jcrbm = jcrbm;
		this.jcrmc = jcrmc;
		this.zklbl = zklbl;
		this.zksl = zksl;
		this.zkje = zkje;
		this.tyxxfj = tyxxfj;
		this.sfyc =sfyc;

	}
}
