package com.unis.base.common.vo;

import java.math.BigDecimal;

import javax.persistence.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 质检信息主表实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("质检信息主表查询业务类")
public class TyZjxxzbQueryVO {

	@ApiModelProperty(value = "强检编号", notes ="强检编号", required = false)
	private String zjbgbh;

	@ApiModelProperty(value = "受检单位代码（统一社会信用代码）", notes ="受检单位代码（统一社会信用代码）", required = false)
    private String ssqydm;

	@ApiModelProperty(value = "受检单位名称", notes ="受检单位名称", required = false)
    private String ssyqmc;

	@ApiModelProperty(value = "检验开始时间", notes ="检验开始时间", required = false)
    private String jyksrq;

	@ApiModelProperty(value = "检验结束时间", notes ="检验结束时间", required = false)
	private String jyjsrq;

	@ApiModelProperty(value = "样品单编号", notes ="样品单编号", required = false)
    private String qydbh;


	/**
	 * 所属仓房编码（库点编码+001 三位序号）
	 */
	@ApiModelProperty(value = "所属仓房编码（库点编码+001 三位序号）")
    private String sscfbh;

	/**
	 * 所属仓房名称
	 */
	@ApiModelProperty(name = "所属仓房名称")
    private String sscfmc;


	/**
	 * 粮食品种编码
	 */
	@ApiModelProperty(name = "粮食品种编码")
    private String lspzbm;

	/**
	 * 粮食品种名称
	 */
	@ApiModelProperty(name = "粮食品种名称")
    private String lspzmc;


	@ApiModelProperty(value = "整改状态", notes ="整改状态 0、无需整改   1、待整改   2、整改完成", required = false)
	private Integer zgzt;

	@ApiModelProperty(value = "数据异常状态")
	@Column(name = "SJYCZT")
	private Integer sjyczt;

	@ApiModelProperty(value = "数据检验时间戳")
	@Column(name = "DATASTAMP")
	private Long datastamp;

	public TyZjxxzbQueryVO(String zjbgbh, String ssqydm, String ssyqmc, String jyksrq, String jyjsrq, String qydbh,
			String sscfbh,
			String sscfmc,
			String lspzbm,
			String lspzmc,
			Integer zgzt) {
		this.zjbgbh = zjbgbh;
		this.ssqydm = ssqydm;
		this.ssyqmc = ssyqmc;
		this.jyksrq = jyksrq;
		this.jyjsrq = jyjsrq;
		this.qydbh = qydbh;
		this.sscfbh = sscfbh;
		this.sscfmc = sscfmc;
		this.lspzbm = lspzbm;
		this.lspzmc = lspzmc;
		this.zgzt = zgzt;
	}

	public TyZjxxzbQueryVO() {
    }
}
