package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @author by PIG
 * 2022/6/22 16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(name = "user_seal_role")
@ApiModel("用户印章权限")
public class UserSealRoleVo extends BaseEntity {

    @Column(name = "account_name")
    @ApiModelProperty("用户账号")
    private String accountName;

    @Column(name = "seal_number")
    @ApiModelProperty("印章编号")
    private String sealNumber;

    @Transient
    @ApiModelProperty("用户可用印章")
    private List<UserSealInfoVo> sealInfoVoList;
}
