package com.unis.base.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * @author WangZL
 * @version 1.0
 * @Title WarehouseDoorVO
 * @ProjectName 仓门业务对象
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@AllArgsConstructor
@Table(name = "D_CMXXSJY")
@ApiModel(value="仓门业务对象")
public class WarehouseDoorVO extends BaseEntity {

    @ApiModelProperty(value = "仓门编号（仓房编号+001 三位序号）", notes ="仓门编号（仓房编号+001 三位序号）", required = false)
    @Id
    @Column(name = "cmbh")
    private String cmbh;

    @ApiModelProperty(value = "仓房编号（库点编码+001 三位序号）", notes ="仓房编号（库点编码+001 三位序号）", required = false)
    @Column(name = "cfbh")
    private String cfbh;

    @ApiModelProperty(value = "仓门位置", notes = "由 <仓门名称> 修改得来")
    @Column(name = "cmmc")
    private String cmmc;

    @ApiModelProperty(value = "仓门数量", notes ="仓门数量", required = false)
    @Column(name = "cmsl")
    private Integer cmsl;

    @ApiModelProperty(value = "仓门高度（米）", notes ="仓门高度（米）", required = false)
    @Column(name = "cmgd")
    private BigDecimal cmgd;

    @ApiModelProperty(value = "仓门宽度（米）", notes ="仓门宽度（米）", required = false)
    @Column(name = "cmkd")
    private BigDecimal cmkd;

    public WarehouseDoorVO() {
    }
}
