/*
* XzqhVO.java
* 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
* Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
*  created by lipenghe with LAPTOP-DPSC399A
*/
package com.unis.base.common.vo;

import com.unis.common.vo.groups.InsertGroup;
import com.unis.common.vo.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * TY_XZQHB-无表注释
 * @author lipenghe at 
 */
@ApiModel(value = "TY_XZQHB:无表注释-XzqhVO", description= "A")
@Data
@Table(name= "TY_XZQHB")
public class XzqhVO extends BaseEntity implements Serializable{

    @NotBlank(message = "无字段注释 不能为空",groups ={UpdateGroup.class})
    @Length(max= 100, message= "无字段注释 最大为100字符",groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "无字段注释 #<主键><唯一><检索><非空>", notes = "无字段注释 ", example = "无字段注释 #<主键><唯一><检索><非空>")
    @Id
    @Column(name= "QHID",length= 100, columnDefinition = "VARCHAR")
    private String qhid;

    @Length(max= 10, message= "无字段注释 最大为10字符", groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "注释 ")
    @Column(name= "XZQH", length= 10, columnDefinition = "VARCHAR")
    private String xzqh;

    @Length(max= 100, message= "无字段注释 最大为100字符", groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "无字段注释 #<检索>")
    @Column(name= "FZDW", length= 100, columnDefinition = "VARCHAR")
    private String fzdw;

    @Length(max= 100, message= "无字段注释 最大为100字符", groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "无字段注释 #<检索>")
    @Column(name= "XZQHMC", length= 100, columnDefinition = "VARCHAR")
    private String xzqhmc;

    @Length(max= 10, message= "无字段注释 最大为10字符", groups ={UpdateGroup.class, InsertGroup.class})
    @ApiModelProperty(value = "无字段注释 #<检索>", notes = "无字段注释 ", example = "注释 ")
    @Column(name= "FZDWBM", length= 10, columnDefinition = "VARCHAR")
    private String fzdwbm;

    public XzqhVO(){
        super();
    }
}