package com.unis.base.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.GranaryVO;
import com.unis.base.server.entity.DAjxxsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DAjxxsjyDao 
 * @Description: DAjxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DAjxxsjyDao extends Mapper<DAjxxsjyDO> {

	/**
	 * 根据条件查询廒间列表
	 * @param dCfxxsjyDO
	 * @return
	 */
	List<GranaryVO> getDAjxxsjyList(DAjxxsjyDO dCfxxsjyDO);
	
	/**
	 * 添加廒间信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int insert(DAjxxsjyDO dCfxxsjyDO);

	/**
	 * 更新廒间信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int update(DAjxxsjyDO dCfxxsjyDO);

	/**
	 * 根据廒间编号获取廒间信息
	 * @param ajbh
	 * @return
	 */
	DAjxxsjyDO getGranaryByajbh(@Param("ajbh")String ajbh);

	/**
	 * 获取廒间最大编号
	 * @return
	 */
	String getMaxCodeById();

}
