package com.unis.base.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.DCfztsjyVO;
import com.unis.base.server.entity.DCfztsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DCfztsjyDao 
 * @Description: DCfztsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DCfztsjyDao extends Mapper<DCfztsjyDO> {

	/**
	 * 根据信息获取仓房状态列表
	 * @param dCfztsjyDO
	 * @return
	 */
	List<DCfztsjyVO> getDCfztsjyList(DCfztsjyDO dCfztsjyDO);

	/**
	 * 获取仓房状态信息
	 * @param cfbh
	 * @return
	 */
	DCfztsjyDO getDCfztsjyInfo(@Param("cfbh")String cfbh);

	/**
	 * 更新仓房状态信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int update(DCfztsjyDO dCfxxsjyDO);
	
	/**
	 * 新增仓房状态信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int insert(DCfztsjyDO dCfxxsjyDO);
}
