package com.unis.base.server.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.DHwxxsjyVO;
import com.unis.base.server.entity.DHwxxsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 * 
 * @ClassName: DHwxxsjyDao 
 * @Description: DHwxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DHwxxsjyDao extends Mapper<DHwxxsjyDO> {

	/**
	 * 根据条件查询廒间列表
	 * @param dCfxxsjyDO
	 * @return
	 */
	List<DHwxxsjyVO> getDHwxxsjyList(DHwxxsjyDO dCfxxsjyDO);
	
	/**
	 * 添加廒间信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int insert(DHwxxsjyDO dCfxxsjyDO);

	/**
	 * 更新廒间信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int update(DHwxxsjyDO dCfxxsjyDO);

	/**
	 * 根据廒间编号获取廒间信息
	 * @param ajbh
	 * @return
	 */
	DHwxxsjyDO getDHwxxsjyInfo(@Param("hwbh")String hwbh);

	/**
	 * 获取廒间最大编号
	 * @return
	 */
	String getMaxCodeById();

}
