package com.unis.base.server.dao;

import com.unis.base.common.vo.SinkpointRecordsQueryVO;
import com.unis.base.common.vo.SinkpointRecordsVO;
import com.unis.base.server.entity.SinkpointRecordsDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 *
 * @ClassName: SinkpointRecordsDao
 * @Description: SinkpointRecordsDao
 * @author WangZL
 * @date 2019年7月22日 下午5:22:22
 *
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface SinkpointRecordsDao extends Mapper<SinkpointRecordsDO> {

    /**
     * 根据参数获取库点记录列表
     * @param sinkpointRecordsQueryVO
     * @return
     */
    List<SinkpointRecordsVO> getSinkpointRecordsList(SinkpointRecordsQueryVO sinkpointRecordsQueryVO);

    /**
     * 新增库点记录
     * @param sinkpointRecordsDO
     * @return
     */
   //int insert(SinkpointRecordsDO sinkpointRecordsDO);
   
   
   /* 
    int insertSelective(SinkpointRecordsDO record);*/

    /**
     * 更新库点记录
     * @param sinkpointRecordsDO
     * @return
     */
//    int update(SinkpointRecordsDO sinkpointRecordsDO);
  /*
    int updateByPrimaryKeySelective(SinkpointRecordsDO record);

    int updateByPrimaryKey(SinkpointRecordsDO record);*/

    /**
     * 获取库点记录详情
     * @param kdbabh
     * @return
     */
    SinkpointRecordsDO getSinkpointRecordsInfo(@Param("kdbabh")String kdbabh);

    /**
     * 获取最大设备编号
     * @returnsssss
     */
    String getMaxById(@Param("prefix")String prefix);

    //int deleteByPrimaryKey(String kdbabh);

    //SinkpointRecordsDO selectByPrimaryKey(String kdbabh);
}
