package com.unis.base.server.dao;

import org.apache.ibatis.annotations.Param;
import com.unis.base.common.vo.SampleQueryVO;
import com.unis.base.common.vo.SampleVO;
import com.unis.base.server.entity.TyYpxxbDO;
import com.unis.base.server.example.TyYpxxbExample;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 *  样品信息
 * @author WangZL
 *
 */
@Transactional(rollbackFor = Exception.class)
@Repository
public interface TyYpxxbDao extends Mapper<TyYpxxbDO> {

    /**
     * 获取样品列表
     * @param sampleQueryVO
     * @return
     */
    List<SampleVO> getSampleList(SampleQueryVO sampleQueryVO);

    /**
     * 根据样品ID获取样品信息
     * @param ypid
     * @return
     */
    TyYpxxbDO getSampleInfo(@Param("ypid")String ypid);

    /**
     * 更新样品信息
     * @param tyYpxxbDO
     * @return
     */
    int update(TyYpxxbDO tyYpxxbDO);

    /**
     * 新增样品信息
     * @return
     */
    int insert(TyYpxxbDO tyYpxxbDO);

    /**
     * 获取样品ID最大编号
     * @return
     */
    String getMaxCodeById();

    

	/**
	 * 用样品单编号获取样品信息
	 * @param ypdbh
	 * @return
	 */
	TyYpxxbDO getSampleInfoByypdid(String ypdbh);

}