package com.unis.base.server.dao;

import com.unis.base.server.entity.WarehouseDoorDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 *
 * @ClassName: WarehouseDoorDao
 * @Description: WarehouseDoorDao
 * @author WangZL
 * @date 2019年7月22日 下午5:22:22
 *
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface WarehouseDoorDao extends Mapper<WarehouseDoorDO> {

    /**
     * 新增仓门信息
     * @param record
     * @return
     */
    int insert(WarehouseDoorDO record);

    int insertSelective(WarehouseDoorDO record);

    /**
     * 更新仓门信息
     * @param WarehouseDoorDO
     * @return
     */
    int update(WarehouseDoorDO WarehouseDoorDO);

    /**
     * 根据ID获取仓门信息
     * @param cmbh
     * @return
     */
    WarehouseDoorDO getWarehouseDoorInfo(@Param("cmbh")String cmbh);

    /**
     * 根据数据ID获取仓门列表
     * @param cfbh
     * @return
     */
    List<WarehouseDoorDO> getWarehouseDoorListByCfbh(@Param("cfbh")String cfbh);

    /**
     * 获取数据最大ID
     * @param prefix
     * @return
     */
    String getMaxCodeById(@Param("prefix")String prefix);

    /**
     * 根据仓房代码删除仓门信息列表
     * @param cfbh
     * @return
     */
    int deleteList(@Param("cfbh")String cfbh);
}