package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title CompanyRecordsDO
 * @ProjectName 企业备案记录实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TZ_SLQY_HIS")
public class CompanyRecordsDO extends BaseEntity {

    @ApiModelProperty(value = "企业备案编号（yyyymmdd+0001）", notes ="企业备案编号（yyyymmdd+0001）", required = false)
    @Id
    @Column(name = "qybabh")
    private String qybabh;

    @ApiModelProperty(value = "涉粮企业ID", notes ="涉粮企业ID", required = false)
    @Column(name = "id")
    private Integer id;

    @ApiModelProperty(value = "统一社会信用代码", notes ="统一社会信用代码", required = false)
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "组织机构代码", notes ="组织机构代码", required = false)
    @Column(name = "zzjgdm")
    private String zzjgdm;

    @ApiModelProperty(value = "企业名称", notes ="企业名称", required = false)
    @Column(name = "qymc")
    private String qymc;

    @ApiModelProperty(value = "企业类型", notes ="企业类型", required = false)
    @Column(name = "qylx")
    private String qylx;

    @ApiModelProperty(value = "单位代码", notes ="单位代码", required = false)
    @Column(name = "dwdm")
    private String dwdm;

    @ApiModelProperty(value = "企业经济类型", notes ="企业经济类型", required = false)
    @Column(name = "qyjjlx")
    private String qyjjlx;

    @ApiModelProperty(value = "企业性质", notes ="企业性质", required = false)
    @Column(name = "qyxz")
    private String qyxz;

    @ApiModelProperty(value = "登记注册类型", notes ="登记注册类型", required = false)
    @Column(name = "djzclx")
    private String djzclx;

    @ApiModelProperty(value = "工商登记注册号", notes ="工商登记注册号", required = false)
    @Column(name = "gsdjzch")
    private String gsdjzch;

    @ApiModelProperty(value = "法定代表人", notes ="法定代表人", required = false)
    @Column(name = "fddbr")
    private String fddbr;

    @ApiModelProperty(value = "办公电话", notes ="办公电话", required = false)
    @Column(name = "bgdh")
    private String bgdh;

    @ApiModelProperty(value = "法人联系方式", notes ="法人联系方式", required = false)
    @Column(name = "frsjh")
    private String frsjh;

    @ApiModelProperty(value = "企业电子邮箱", notes ="企业电子邮箱", required = false)
    @Column(name = "qydzyx")
    private String qydzyx;

    @ApiModelProperty(value = "注册资本", notes ="注册资本", required = false)
    @Column(name = "zczb")
    private Integer zczb;

    @ApiModelProperty(value = "从业人员数", notes ="从业人员数", required = false)
    @Column(name = "qycyrys")
    private Integer qycyrys;

    @ApiModelProperty(value = "中级以上职称人数", notes ="中级以上职称人数", required = false)
    @Column(name = "zjyszcrs")
    private Integer zjyszcrs;

    @ApiModelProperty(value = "保管员人数", notes ="保管员人数", required = false)
    @Column(name = "bgyrs")
    private Integer bgyrs;

    @ApiModelProperty(value = "检化验员人数", notes ="检化验员人数", required = false)
    @Column(name = "jhyyrs")
    private Integer jhyyrs;

    @ApiModelProperty(value = "有职业资格证书人数", notes ="有职业资格证书人数", required = false)
    @Column(name = "yzyzgzsrs")
    private Integer yzyzgzsrs;

    @ApiModelProperty(value = "企业传真", notes ="企业传真", required = false)
    @Column(name = "qyczhm")
    private String qyczhm;

    @ApiModelProperty(value = "企业通讯地址", notes ="企业通讯地址", required = false)
    @Column(name = "qytxdz")
    private String qytxdz;

    @ApiModelProperty(value = "企业邮编", notes ="企业邮编", required = false)
    @Column(name = "qyyb")
    private String qyyb;

    @ApiModelProperty(value = "企业主营业务", notes ="企业主营业务", required = false)
    @Column(name = "qyzyyw")
    private String qyzyyw;

    @ApiModelProperty(value = "企业注册时间", notes ="企业注册时间", required = false)
    @Column(name = "qyzcsj")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date qyzcsj;

    @ApiModelProperty(value = "中专学历以上人员", notes ="中专学历以上人员", required = false)
    @Column(name = "zzxlysry")
    private Integer zzxlysry;

    @ApiModelProperty(value = "企业收储粮食主要品种", notes ="企业收储粮食主要品种", required = false)
    @Column(name = "qysclszypz")
    private String qysclszypz;

    @ApiModelProperty(value = "企业隶属关系", notes ="企业隶属关系", required = false)
    @Column(name = "qylsgx")
    private String qylsgx;

    @ApiModelProperty(value = "企业应急级别", notes ="企业应急级别", required = false)
    @Column(name = "qyyjjb")
    private String qyyjjb;

    @ApiModelProperty(value = "企业经度", notes ="企业经度", required = false)
    @Column(name = "qyjd")
    private String qyjd;

    @ApiModelProperty(value = "企业纬度", notes ="企业纬度", required = false)
    @Column(name = "qywd")
    private String qywd;

    @ApiModelProperty(value = "企业所属区域", notes ="企业所属区域", required = false)
    @Column(name = "qyszqy")
    private String qyszqy;

    @ApiModelProperty(value = "企业仓储能力（吨）", notes ="企业仓储能力（吨）", required = false)
    @Column(name = "qyccnl")
    private Integer qyccnl;

    @ApiModelProperty(value = "企业状态0：禁用。1：启用", notes ="企业状态0：禁用。1：启用", required = false)
    @Column(name = "qyzt")
    private Integer qyzt;

    @ApiModelProperty(value = "企业所属区域编号", notes ="企业所属区域编号", required = false)
    @Column(name = "qyszqybh")
    private String qyszqybh;

    @ApiModelProperty(value = "企业应急类型编号", notes ="企业应急类型编号", required = false)
    @Column(name = "qyyjlxbh")
    private String qyyjlxbh;

    @ApiModelProperty(value = "企业应急类型名称", notes ="企业应急类型名称", required = false)
    @Column(name = "qyyjlxmc")
    private String qyyjlxmc;

    @ApiModelProperty(value = "是否独立法人资格 0否.1、是", notes ="是否独立法人资格 0否.1、是", required = false)
    @Column(name = "sfdlfrzg")
    private Integer sfdlfrzg;

    @ApiModelProperty(value = "下属企业个数", notes ="下属企业个数", required = false)
    @Column(name = "xsqygs")
    private Integer xsqygs;

    @ApiModelProperty(value = "注册日期", notes ="注册日期", required = false)
    @Column(name = "zcrq")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date zcrq;

    @ApiModelProperty(value = "是否具有收购资格0、否。1、有", notes ="是否具有收购资格0、否。1、有 ", required = false)
    @Column(name = "sfjysgzg")
    private Integer sfjysgzg;

    @ApiModelProperty(value = "粮食收购许可证发证机关", notes ="粮食收购许可证发证机关", required = false)
    @Column(name = "lssgxkzfzjg")
    private String lssgxkzfzjg;

    @ApiModelProperty(value = "粮食收购资格证编号", notes ="粮食收购资格证编号", required = false)
    @Column(name = "sgzgzbh")
    private String sgzgzbh;

    @ApiModelProperty(value = "所属粮食行政管理部门", notes ="所属粮食行政管理部门", required = false)
    @Column(name = "sslsxzglbm")
    private String sslsxzglbm;

    @ApiModelProperty(value = "占地面积", notes ="占地面积", required = false)
    @Column(name = "zdmj")
    private BigDecimal zdmj;

    @ApiModelProperty(value = "设施占地面积", notes ="设施占地面积", required = false)
    @Column(name = "sszdmj")
    private BigDecimal sszdmj;

    @ApiModelProperty(value = "申请竣工时间", notes ="申请竣工时间", required = false)
    @Column(name = "sqjgzdmj")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date sqjgzdmj;

    @ApiModelProperty(value = "企业工商登记机关", notes ="企业工商登记机关", required = false)
    @Column(name = "qygsdjjg")
    private String qygsdjjg;

    @ApiModelProperty(value = "联系人", notes ="联系人", required = false)
    @Column(name = "qylxr")
    private String qylxr;

    @ApiModelProperty(value = "企业机构代码", notes ="企业机构代码", required = false)
    @Column(name = "qyjgdm")
    private String qyjgdm;

    @ApiModelProperty(value = "营业收入", notes ="营业收入", required = false)
    @Column(name = "yysr")
    private Integer yysr;

    @ApiModelProperty(value = "利税总额", notes ="利税总额", required = false)
    @Column(name = "lsze")
    private Integer lsze;

    @ApiModelProperty(value = "当年研究开发投入", notes ="当年研究开发投入", required = false)
    @Column(name = "dnyjkftr")
    private Integer dnyjkftr;

    @ApiModelProperty(value = "发明专利", notes ="发明专利", required = false)
    @Column(name = "fmzl")
    private String fmzl;

    @ApiModelProperty(value = "工业总产值", notes ="工业总产值", required = false)
    @Column(name = "gyzcz")
    private Integer gyzcz;

    @ApiModelProperty(value = "利润总额", notes ="利润总额", required = false)
    @Column(name = "lrze")
    private Integer lrze;

    @ApiModelProperty(value = "政府支持投入", notes ="政府支持投入", required = false)
    @Column(name = "zfzctr")
    private Integer zfzctr;

    @ApiModelProperty(value = "产品销售收入", notes ="产品销售收入", required = false)
    @Column(name = "cpxssr")
    private Integer cpxssr;

    @ApiModelProperty(value = "资产总额", notes ="资产总额", required = false)
    @Column(name = "zcze")
    private Integer zcze;

    @ApiModelProperty(value = "当年专利获得数", notes ="当年专利获得数", required = false)
    @Column(name = "dnzlhds")
    private Integer dnzlhds;

    @ApiModelProperty(value = "年产粮油机械制造", notes ="年产粮油机械制造", required = false)
    @Column(name = "nclyjxzz")
    private Integer nclyjxzz;

    @ApiModelProperty(value = "油脂加工主机", notes ="油脂加工主机", required = false)
    @Column(name = "yzjgzj")
    private String yzjgzj;

    @ApiModelProperty(value = "通用设备", notes ="通用设备", required = false)
    @Column(name = "tysb")
    private String tysb;

    @ApiModelProperty(value = "能源消耗标准煤", notes ="能源消耗标准煤", required = false)
    @Column(name = "nhxhbzm")
    private Integer nhxhbzm;

    @ApiModelProperty(value = "罐容", notes ="罐容", required = false)
    @Column(name = "gr")
    private Integer gr;

    @ApiModelProperty(value = "大米加工主机", notes ="大米加工主机", required = false)
    @Column(name = "dmjgzj")
    private String dmjgzj;

    @ApiModelProperty(value = "饲料加工主机", notes ="饲料加工主机", required = false)
    @Column(name = "sljgzj")
    private String sljgzj;

    @ApiModelProperty(value = "能源耗电", notes ="能源耗电", required = false)
    @Column(name = "nyhd")
    private Integer nyhd;

    @ApiModelProperty(value = "能源消耗溶剂", notes ="能源消耗溶剂", required = false)
    @Column(name = "nyxhrj")
    private String nyxhrj;

    @ApiModelProperty(value = "小麦粉加工主机", notes ="小麦粉加工主机", required = false)
    @Column(name = "xmfjgzj")
    private String xmfjgzj;

    @ApiModelProperty(value = "仓储设备", notes ="仓储设备", required = false)
    @Column(name = "ccsb")
    private String ccsb;

    @ApiModelProperty(value = "能源消耗水", notes ="能源消耗水", required = false)
    @Column(name = "nyxhs")
    private String nyxhs;

    @ApiModelProperty(value = "总仓容（以三等小麦计）", notes ="总仓容（以三等小麦计）", required = false)
    @Column(name = "zcr")
    private Integer zcr;

    @ApiModelProperty(value = "仓房栋", notes ="仓房栋", required = false)
    @Column(name = "cfd")
    private Integer cfd;

    @ApiModelProperty(value = "仓房间", notes ="仓房间", required = false)
    @Column(name = "cfj")
    private Integer cfj;

    @ApiModelProperty(value = "备注（页面中的备注）", notes ="备注（页面中的备注）", required = false)
    @Column(name = "bz")
    private String bz;

    @ApiModelProperty(value = "是否备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交",
            notes ="是否备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交", required = false)
    @Column(name = "sfba")
    private Integer sfba;

    @ApiModelProperty(value = "审批意见", notes ="审批意见", required = false)
    @Column(name = "spyj")
    private String spyj;

    @ApiModelProperty(value = "审核人员编码", notes ="审核人员编码", required = false)
    @Column(name = "shrybh")
    private String shrybh;

    @ApiModelProperty(value = "审核人员名称", notes ="审核人员名称", required = false)
    @Column(name = "shrymc")
    private String shrymc;

    @ApiModelProperty(value = "审核部门编码", notes ="审核部门编码", required = false)
    @Column(name = "shbmbh")
    private String shbmbh;

    @ApiModelProperty(value = "审核部门名称", notes ="审核部门名称", required = false)
    @Column(name = "shbmmc")
    private String shbmmc;

    @ApiModelProperty(value = "经营范围", notes ="经营范围", required = false)
    @Column(name = "jyfw")
    private String jyfw;

    @ApiModelProperty(value = "周边有无污染源及易燃易爆场所，1：有，0：无", notes ="周边有无污染源及易燃易爆场所，1：有，0：无", required = false)
    @Column(name = "wryjyrybcs")
    private Integer wryjyrybcs;

    @ApiModelProperty(value = "审核盖章", notes ="审核盖章", required = false)
    @Column(name = "shgz")
    private String shgz;

    @ApiModelProperty(value = "企业层级", notes ="企业层级", required = false)
    @Column(name = "qycj")
    private String qycj;

    @ApiModelProperty(value = "企业工商注册地", notes ="企业工商注册地", required = false)
    @Column(name = "qygszcd")
    private String qygszcd;

    @ApiModelProperty(value = "入统状态0：停用。1：启用", notes ="入统状态0：停用。1：启用", required = false)
    @Column(name = "rtzt")
    private Integer rtzt;

    @ApiModelProperty(value = "市级承储企业", notes ="市级承储企业", required = false)
    @Column(name = "sjccqy")
    private String sjccqy;

    @ApiModelProperty(value = "区级承储企业", notes ="区级承储企业", required = false)
    @Column(name = "qjccqy")
    private String qjccqy;

    @ApiModelProperty(value = "上级集团名称", notes ="上级集团名称", required = false)
    @Column(name = "sjjtmc")
    private String sjjtmc;

    @ApiModelProperty(value = "上级集团机构代码", notes ="上级集团机构代码", required = false)
    @Column(name = "sjjtjgdm")
    private String sjjtjgdm;

    @ApiModelProperty(value = "上级集团统一社会信用代码", notes ="上级集团统一社会信用代码", required = false)
    @Column(name = "sjjttyshxydm")
    private String sjjttyshxydm;

    @ApiModelProperty(value = "备案时间", notes ="备案时间", required = false)
    @Column(name = "basj")
    @DateTimeFormat(pattern = "yyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date basj;

    @ApiModelProperty(value = "流程ID", notes ="流程ID", required = false)
    @Column(name = "lc_id")
    private String lcId;

    @ApiModelProperty(value = "仓房数量（座）", notes ="仓房数量（座）", required = false)
    @Column(name = "cfsl")
    private Integer cfsl;

    @ApiModelProperty(value = "油罐数量（个）", notes ="油罐数量（个）", required = false)
    @Column(name = "ygsl")
    private Integer ygsl;

    @ApiModelProperty(value = "所属地区市code", notes ="所属地区市code", required = false)
    @Column(name = "shi")
    private String shi;

    @ApiModelProperty(value = "所属地区市名称", notes ="所属地区市名称", required = false)
    @Column(name = "shiName")
    private String shiName;

    @ApiModelProperty(value = "所属地区县code", notes ="所属地区县code", required = false)
    @Column(name = "xian")
    private String xian;

    @ApiModelProperty(value = "所属地区县名称", notes ="所属地区县名称", required = false)
    @Column(name = "xianName")
    private String xianName;
}
