package com.unis.base.server.entity;

import com.unis.common.utils.UUIDUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("人员信息详情表")
@Table(name = "d_gerenmx")
public class DGerenmxDO {
    @ApiModelProperty(value = "人员编号")
    @Column(name = "rybh")
    private String rybh;

    @ApiModelProperty(value = "性别 1:男,0女")
    @Column(name = "gender")
    private String gender;

    @ApiModelProperty(value = "出生日期")
    @Column(name = "birthday")
    private Date birthday;


    @ApiModelProperty(value = "固定电话")
    @Column(name = "fixed_telephone")
    private String fixedTelephone;

    @ApiModelProperty(value = "部门名称")
    @Column(name = "department")
    private String department;

    @ApiModelProperty(value = "职务")
    @Column(name = "duties")
    private String duties;

    @ApiModelProperty(value = "岗位性质")
    @Column(name = "job_nature")
    private String jobNature;

    @ApiModelProperty(value = "个人简介")
    @Column(name = "personal_profile")
    private String personalProfile;

    @ApiModelProperty(value = "姓名")
    @Column(name = "name")
    private String name;

    @ApiModelProperty(value = "政治面貌")
    @Column(name = "political_outlook")
    private String politicalOutlook;

    @ApiModelProperty(value = "联系方式")
    @Column(name = "telephone")
    private String telephone;

    @ApiModelProperty(value = "邮箱")
    @Column(name = "mailbox")
    private String mailbox;


    @ApiModelProperty(value = "入职日期")
    @Column(name = "joined_date")
    private Date joinedDate;

    @ApiModelProperty(value = "岗位")
    @Column(name = "post")
    private String post;

    @ApiModelProperty(value = "是否关联人才组默认：1：无，2：关联")
    @Column(name = "association")
    private Integer association;

    @ApiModelProperty(value = "制教育形式")
    @Column(name = "educational_form")
    private String educationalForm;

    @ApiModelProperty(value = "专业")
    @Column(name = "speciality")
    private String speciality;

    @ApiModelProperty(value = "最高学历")
    @Column(name = "highest_education")
    private String highestEducation;

    @ApiModelProperty(value = "毕业院校")
    @Column(name = "institutions")
    private String institutions;

    @ApiModelProperty(value = "学位")
    @Column(name = "academic")
    private String academic;

    @ApiModelProperty(value = "是否涉粮专业")
    @Column(name = "foodstuff")
    private String foodstuff;

    @ApiModelProperty(value = "职称等级")
    @Column(name = "title")
    private String title;

    @ApiModelProperty(value = "证书编号")
    @Column(name = "report_number")
    private String reportNumber;

    @ApiModelProperty(value = "领证时间")
    @Column(name = "release_time")
    private Date releaseTime;

    @ApiModelProperty(value = "荣誉证书专业")
    @Column(name = "report_name")
    private String reportName;

    @ApiModelProperty(value = "荣誉证书名称")
    @Column(name = "honorary_name")
    private String honoraryName;

    @ApiModelProperty(value = "签发机关")
    @Column(name = "authoritys")
    private String authoritys;

    @ApiModelProperty(value = "荣誉称号")
    @Column(name = "honorary_title")
    private String honoraryTitle;

    @ApiModelProperty(value = "技能等级")
    @Column(name = "skill_level")
    private String skillLevel;

    @ApiModelProperty(value = "获得时间")
    @Column(name = "skill_date")
    private Date skillDate;

    @ApiModelProperty(value = "技能专业")
    @Column(name = "skill_name")
    private String skillName;

    @ApiModelProperty(value = "库点编码")
    @Column(name = "kddm")
    private String kddm;

    @ApiModelProperty(value = "职务编码")
    @Column(name = "duties_code")
    private String dutiesCode;

    @ApiModelProperty(value = "企业编码")
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "所属企业名称")
    @Column(name = "qymc")
    private String qymc;

    @ApiModelProperty(value = "岗位编码")
    @Column(name = "post_code")
    private String postCode;

    @ApiModelProperty(value = "全日制：1，非全日制：2")
    @Column(name = "jyxs")
    private Integer jyxs;
}
