package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 库点信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_KDXXSJY")
public class DKdxxsjyDO extends BaseEntity {


	/**
	 * 库点代码
	 */
	@Column(name = "kddm")
	private String kddm;

	/**
	 * 库点名称
	 */
	@Column(name = "kdmc")
	private String kdmc;


	/**
	 * 库点介绍
	 */
	@Column(name = "kdjc")
	private String kdjc;

	/**
	 * 库点性质
	 */
	@Column(name = "kdqyxz")
	private String kdqyxz;

	/**
	 * 所属企业代码
	 */
	@Column(name = "tyshxydm")
	private String tyshxydm;
	/**
	 * 企业名称
	 */
	@Column(name = "qymc")
	private String qymc;

	/**
	 * 粮库类别
	 */
	@Column(name = "lklb")
	private String lklb;

	/**
	 * 建成日期
	 */
	@Column(name = "jcrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date jcrq;

	/**
	 * 库点设计仓容
	 */
	@Column(name = "sjcr")
	private Double sjcr;

	/**
	 * 有效仓容
	 */
	@Column(name = "kdyxcr")
	private Double kdyxcr;




	/**
	 * 仓房数量
	 */
	@Column(name = "cfs")
	private Integer cfs;

	/**
	 * 油脂库区数
	 */
	@Column(name = "yzkqs")
	private Integer yzkqs;

	/**
	 * 油罐数量
	 */
	@Column(name = "ygsl")
	private Integer ygsl;

	/**
	 * 有效罐容
	 */
	@Column(name = "yxgr")
	private Double yxgr;

	/**
	 * 库点面积
	 */
	@Column(name = "kdmj")
	private Double kdmj;

	/**
	 * 库点电话
	 */
	@Column(name = "kddh")
	private String kddh;

	/**
	 * 库点地址
	 */
	@Column(name = "kddz")
	private String kddz;

	/**
	 * 库点传真
	 */
	@Column(name = "kdcz")
	private String kdcz;

	/**
	 * 库点邮编
	 */
	@Column(name = "kdyb")
	private String kdyb;

	/**
	 * 库点经度
	 */
	@Column(name = "kdjd")
	private String kdjd;

	/**
	 * 库点维度
	 */
	@Column(name = "kdwd")
	private String kdwd;

	/**
	 * 行政区划名称
	 */
	@Column(name = "xzqhmc")
	private String xzqhmc;

	/**
	 * 行政区划代码
	 */
	@Column(name = "xzqhdm")
	private String xzqhdm;

	/**
	 * 紧邻公路类别（T/F）
	 */
	@Column(name = "jlgllb")
	private String jlgllb;

	/**
	 * 紧邻公路距离
	 */
	@Column(name = "jlgljl")
	private Integer jlgljl;

	/**
	 * 是否符合污染源
	 */
	@Column(name = "sffhwry")
	private String sffhwry;

	/**
	 * 有无消防水源
	 */
	@Column(name = "ywxfsy")
	private String ywxfsy;

	/**
	 * 有无消防设施
	 */
	@Column(name = "ywxfss")
	private String ywxfss;

	/**
	 * 有无检化验室
	 */
	@Column(name = "ywjhys")
	private String ywjhys;

	/**
	 * 汽车衡
	 */
	@Column(name = "jccsb_qch")
	private Integer jccsbQch;

	/**
	 * 防洪标准年限
	 */
	@Column(name = "fhbznx")
	private Integer fhbznx;

	/**
	 * 是否智能化升级改造，0未接入、1粮情库、2示范库    库点
	 */
	@Column(name = "sfznhsjgz")
	private String sfznhsjgz;

	@ApiModelProperty(value = "包含仓（罐）状态：1：仓号，2：罐号", notes ="包含仓（罐）状态：1：仓号，2：罐号", required = false)
	@Column(name = "bhcgzt")
	private Integer bhcgzt;

	@ApiModelProperty(value = "仓（罐）编号", notes ="仓（罐）编号", required = false)
	@Column(name = "cgbh")
	private String cgbh;

	@ApiModelProperty(value = "仓（罐）容量（T）", notes ="仓（罐）容量（T）", required = false)
	@Column(name = "cgrl")
	private BigDecimal cgrl;

	@ApiModelProperty(value = "铁路专用线（m）", notes ="铁路专用线（m）", required = false)
	@Column(name = "tlzyx")
	private Integer tlzyx;

	@ApiModelProperty(value = "有效长度（m）", notes ="有效长度（m）", required = false)
	@Column(name = "yxcd")
	private Integer yxcd;

	@ApiModelProperty(value = "码头泊位（个）", notes ="码头泊位（个）", required = false)
	@Column(name = "mtbw")
	private Integer mtbw;

	@ApiModelProperty(value = "总吨位（T）", notes ="总吨位（T）", required = false)
	@Column(name = "zdw")
	private BigDecimal zdw;

	@ApiModelProperty(value = "配套附属设施情况", notes ="配套附属设施情况", required = false)
	@Column(name = "ptfsssqk")
	private String ptfsssqk;

	@ApiModelProperty(value = "资产原值（万元）", notes ="资产原值（万元）", required = false)
	@Column(name = "zcyz")
	private BigDecimal zcyz;

	@ApiModelProperty(value = "资产评估现值（万元）", notes ="资产评估现值（万元）", required = false)
	@Column(name = "zcpgxz")
	private BigDecimal zcpgxz;

	@ApiModelProperty(value = "变更处理类别，1:报废，2:拆除，3:迁建，4:改扩建，5:原址重建，6:改变用途，7:其他",
			notes ="变更处理类别，1:报废，2:拆除，3:迁建，4:改扩建，5:原址重建，6:改变用途，7:其他", required = false)
	@Column(name = "bgcllb")
	private Integer bgcllb;

	@ApiModelProperty(value = "是否备案，0，未备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交，6，已受理",
			notes ="是否备案，0，未备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交，6，已受理", required = false)
	@Column(name = "sfba")
	private Integer sfba;

	@ApiModelProperty(value = "仓（罐）名称", notes ="仓（罐）名称", required = false)
	@Column(name = "cgmc")
	private String cgmc;

	@ApiModelProperty(value = "库区产权", notes ="库区产权")
	@Column(name = "kqcq")
	private String kqcq;

	@ApiModelProperty(value = "tz_qyjg企业机构代码")
	@Transient
	private String qyjgdm;

	@ApiModelProperty(value = "使用状态")
	@Transient
	private String syzt;

	@ApiModelProperty(value = "标准库区代码")
	@Column(name = "kqdm")
	private String kqdm;
}
