package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 人员信息实体类
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_RYXXSJY")
public class DRyxxsjyDO extends BaseEntity {

    /**
     * 人员编号（库点编码+001 三位序号）
     */
    @Column(name = "RYBH")
    private String rybh;

    /**
     * 人员姓名
     */
    @Column(name = "RYXM")
    private String ryxm;
    /**
     * 所属库点编号
     */
    @Column(name = "KDDM")
    private String kddm;

    /**
     * 所属库点编号
     */
    @Column(name = "KDMC")
    private String kdmc;

    /**
     * 身份证号
     */
    @Column(name = "SFZH")
    private String sfzh;

    /**
     * 性别
     */
    @Column(name = "XB")
    private String xb;

    /**
     * 籍贯
     */
    @Column(name = "JG")
    private String jg;

    /**
     * 民族
     */
    @Column(name = "MZ")
    private String mz;

    /**
     * 出生时间
     */
    @Column(name = "CSSJ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date cssj;

    /**
     * 参加工作时间
     */
    @Column(name = "CJGZSJ")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjgzsj;

    /**
     * 文化程度，40：高中，41：中专，42：大专，43：本科，44：研究生，45：博士，46：博士后
     */
    @Column(name = "WHCD")
    private Integer whcd;

    /**
     * 学习专业
     */
    @Column(name = "XXZY")
    private String xxzy;

    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌，111：共产党员，112：共青团员，113：民主党派，114：群众",
            notes = "政治面貌，111：共产党员，112：共青团员，113：民主党派，114：群众", required = false)
    @Column(name = "ZZMM")
    private String zzmm;

    /**
     * 职务代码
     */
    @Column(name = "ZWDM")
    private String zwdm;

    /**
     * 职务名称
     */
    @Column(name = "ZWMC")
    private String zwmc;

    /**
     * 部门编码
     */
    @Column(name = "BMDM")
    private String bmdm;

    /**
     * 部门班代码
     */
    @Column(name = "BMBDM")
    private String bmbdm;

    /**
     * 部门组代码
     */
    @Column(name = "BMZDM")
    private String bmzdm;

    /**
     * 在岗情况代码
     */
    @Column(name = "ZGQKDM")
    private String zgqkdm;

    /**
     * 岗位代码，11：后勤，12：业务，13：财务，14：统计，15：仓储，16：化验，17：管理，18：防治，19：保安，20：其他
     */
    @Column(name = "GWDM")
    private Integer gwdm;

    /**
     * 技术职称代码，401：仓储管理员，402：农产品检验员，403：其他
     */
    @Column(name = "JSZCDM")
    private String jszcdm;

    /**
     * 技术职称
     */
    @Column(name = "JSZCMC")
    private String jszcmc;

    /**
     * 联系电话
     */
    @Column(name = "LXDH")
    private String lxdh;

    /**
     * 具备证书
     */
    @Column(name = "JBZS")
    private String jbzs;

    /**
     * 发证单位
     */
    @Column(name = "FZDW")
    private String fzdw;


    /**
     * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
     */
    @Column(name = "SFBA")
    private Integer sfba;

    @ApiModelProperty(value = "固定电话", notes = "固定电话", required = false)
    @Column(name = "gddh")
    private String gddh;

    @ApiModelProperty(value = "电子邮箱", notes = "电子邮箱", required = false)
    @Column(name = "dzyx")
    private String dzyx;

    @ApiModelProperty(value = "教育形式，1：全日制，2：非全日制，3：函授", notes = "教育形式，1：全日制，2：非全日制，3：函授", required = false)
    @Column(name = "jyxs")
    private Integer jyxs;

    @ApiModelProperty(value = "毕业院校", notes = "毕业院校", required = false)
    @Column(name = "byyx")
    private String byyx;

    @ApiModelProperty(value = "学位", notes = "学位", required = false)
    @Column(name = "xw")
    private String xw;

    @ApiModelProperty(value = "职称（等级），1：初级，2：中级，3：高级", notes = "职称（等级），1：初级，2：中级，3：高级", required = false)
    @Column(name = "zcdj")
    private Integer zcdj;

    @ApiModelProperty(value = "颁证时间", notes = "颁证时间", required = false)
    @Column(name = "bzsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bzsj;

    @ApiModelProperty(value = "其他专业", notes = "其他专业", required = false)
    @Column(name = "qtzy")
    private String qtzy;

    @ApiModelProperty(value = "其他颁证机构", notes = "其他颁证机构", required = false)
    @Column(name = "qtbzjg")
    private String qtbzjg;

    @ApiModelProperty(value = "其他颁证时间", notes = "其他颁证时间", required = false)
    @Column(name = "qtbzsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date qtbzsj;

    @ApiModelProperty(value = "所属企业代码（统一社会信用代码）", notes = "所属企业代码（统一社会信用代码）", required = false)
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "所属企业名称", notes = "所属企业名称", required = false)
    @Column(name = "qymc")
    private String qymc;

    @ApiModelProperty(value = "启用状态，1：启用，0：禁用", notes = "启用状态，1：启用，0：禁用", required = false)
    @Column(name = "qyzt")
    private Integer qyzt;

    @ApiModelProperty(value = "个人简介", notes = "个人简介", required = false)
    @Column(name = "grjj")
    private String grjj;

    @ApiModelProperty(value = "附件", notes = "附件", required = false)
    @Column(name = "clfj")
    private String clfj;

    @ApiModelProperty(value = "行政区划代码", notes = "引用GB/T 2260-2007年区划代码，由6位阿拉伯数字组成", required = false)
    @Column(name = "xzqhdm")
    private String xzqhdm;

    @ApiModelProperty(value = "人员类别", notes = "1100:公务员 1200:事业单位管理人员 1300:企业经营管理人员 1400:专业技术人员1410:高级职称1411:正高级职称 1420：中级职称 1430:初级及以下职称 1431主要专职保管人员  1432 主要专职检化验人员 1500:工人 1510:技术工人 1511:高级技师 1512:技师 1513:高级工 1514:中级工 1515:初级工", required = false)
    @Column(name = "rylb")
    private String rylb;

    @ApiModelProperty(value = "操作标志", notes = "i:新增数据（默认）u:更新数据 d:删除数据", required = false)
    @Column(name = "czbz")
    private String czbz;

    @ApiModelProperty(value = "部门名称", notes = "", required = false)
    @Column(name = "bmmc")
    private String bmmc;

    @ApiModelProperty(value = "入职日期", notes = "", required = false)
    @Column(name = "rzrq")
    private String rzrq;

    @ApiModelProperty(value = "岗位性质", notes = "岗位性质", required = false)
    @Column(name = "gwxz")
    private String gwxz;

    @ApiModelProperty(value = "荣誉称号", notes = "荣誉称号", required = false)
    @Column(name = "rych")
    private String rych;

    @ApiModelProperty(value = "授予单位层级  1:国家级 2:省市级 3:区级 4:其他", notes = " 1:国家级 2:省市级 3:区级 4:其他", required = false)
    @Column(name = "rysydwcj")
    private String rysydwcj;

    @ApiModelProperty(value = "授予单位名称", notes = "授予单位名称", required = false)
    @Column(name = "rysydwmc")
    private String rysydwmc;

    @ApiModelProperty(value = "是否为粮食领域", notes = "是否为粮食领域", required = false)
    @Column(name = "lsly")
    private String lsly;

    @ApiModelProperty(value = "获得奖项时间", notes = "获得奖项时间", required = false)
    @Column(name = "ryhqsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ryhqsj;

    @ApiModelProperty(value = "荣誉证书附件", notes = "荣誉证书附件", required = false)
    @Column(name = "ryfj")
    private String ryfj;

    @ApiModelProperty("明细ID")
    @Column(name = "mx_id")
    private String mxId;

    @ApiModelProperty(value = "是否关联人才组默认：1：无，2：关联")
    @Column(name = "association")
    private String association;

    @ApiModelProperty("人才组ID")
    @Column(name = "group_id")
    private String groupId;

}
