package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/23 20:26
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBSGXX")

public class DSbsgxxDo extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @Column(name = "sbbh")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @Column(name = "sbyqmc")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @Column(name = "kddm")
    private String kddm;

    /**
     * 设备分类
     */
    @Column(name = "sbfl")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @Column(name = "sbflbh")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @Column(name = "ssfl")
    private String ssfl;

    /**
     * 设备型号
     */
    @Column(name = "sbxh")
    private String sbxh;

    /**
     * 设备申请人
     */
    @Column(name = "sbsqr")
    private String sbsqr;


    /**
     *  设备申请时间
     */
    @Column(name = "sbsqsj")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sbsqsj;

    /**
     * 设备申请部门
     */
    @Column(name = "sbsqbm")
    private String sbsqbm;

    /**
     * 申请单位代码
     */
    @Column(name = "sqdwbh")
    private String sqdwbh;

    /**
     * 申请单位名称
     */
    @Column(name = "sqdwmc")
    private String sqdwmc;

    /**
     *  设备申请数量
     */
    @Column(name = "sbsl")
    private Integer sbsl;


    /**
     *  设备单价
     */
    @Column(name = "sbdj")
    private Integer sbdj;



    /**
     * 设备总价
     */
    @Column(name = "sbzj")
    private String sbzj;





}
