package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBWXXX")

public class DSbwxxxDO extends BaseEntity{

  /**
   * 主键
   */
  @Column(name = "ID")
  private Long id;

  /**
   * 设备编号
   */
  @Column(name = "SBBH")
  private String sbbh;

  /**
   * 设备仪器名称
   */
  @Column(name = "SBYQMC")
  private String sbyqmc;

  /**
   * 库点代码
   */
  @Column(name = "KDDM")
  private String kddm;

  /**
   * 设备分类
   */
  @Column(name = "SBFL")
  private String sbfl;

  /**
   * 设备分类编号
   */
  @Column(name = "SBFLBH")
  private String sbflbh;

  /**
   * 设施分类，1：设备，2：设施，3：仪器
   */
  @Column(name = "SSFL")
  private String ssfl;

  /**
   * 设备故障
   */
  @Column(name = "SBGZ")
  private String sbgz;

  /**
   * 送修人
   */
  @Column(name = "SXR")
  private String sxr;

  /**
   * 维修单位
   */
  @Column(name = "WXDW")
  private String wxdw;

  /**
   * 维修费用
   */
  @Column(name = "WXFY")
  private String wxfy;

  /**
   * 维修说明
   */
  @Column(name = "WXSM")
  private String wxsm;

  /**
   * 维修人联系方式
   */
  @Column(name = "WHRLXFS")
  private String whrlxfs;

  /**
   * 区域
   */
  @Column(name = "QY")
  private String qy;

  /**
   * 是否保修
   */
  @Column(name = "SFBX")
  private String sfbx;

  /**
   * 维修时间
   */
  @Column(name = "WXSJ")
  @DateTimeFormat(pattern="yyyy-MM-dd")
  @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
  private Date wxsj;

  /**
   * 设备类型
   */
  @Column(name = "SBLX")
  private String sblx;

  /**
   * 维修方式
   */
  @Column(name = "WXFS")
  private String wxfs;

  /**
   * 负责人
   */
  @Column(name = "FZR")
  private String fzr;



}
