package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 设备信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBXXSJY")
public class DSbxxsjyDO extends BaseEntity {

	/**
	 * 设备编号
	 */
	@Column(name = "sbbh")
	private String sbbh;

	/**
	 * 设备仪器名称
	 */
	@Column(name = "sbyqmc")
	private String sbyqmc;
	/**
	 * 所属库点编号
	 */
	@Column(name = "kddm")
	private String kddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "kdmc")
	private String kdmc;

	/**
	 * 设备规格型号
	 */
	@Column(name = "sbggxh")
	private String sbggxh;

	/**
	 * 设备描述
	 */
	@Column(name = "sbms")
	private String sbms;

	/**
	 * 设备状态
	 */
	@ApiModelProperty(value = "设备状态，1：正常，2：维护中，3：保养中，4：已借出，5：故障，0：报废", notes ="设备状态，1：正常，2：维护中，3：保养中，4：已借出，5：故障，0：报废", required = false)
	@Column(name = "sbzt")
	private String sbzt;

	/**
	 * 设备分类
	 */
	@Column(name = "sbfl")
	private String sbfl;

	/**
	 * 生产厂家
	 */
	@Column(name = "sccj")
	private String sccj;

	/**
	 * 采购价格
	 */
	@Column(name = "cgjg")
	private String cgjg;

	/**
	 * 设备管理者
	 */
	@Column(name = "sbglz")
	private String sbglz;

	/**
	 * 额定工作时间(小时)
	 */
	@Column(name = "edgzsj")
	private Integer edgzsj;

	/**
	 * 单次工作时间(小时)
	 */
	@Column(name = "dcgzsj")
	private Integer dcgzsj;

	/**
	 * 采购日期
	 */
	@Column(name = "cgsj")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date cgsj;

	/**
	 * 预计检定日期
	 */
	@Column(name = "yjjdrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date yjjdrq;

	/**
	 * 累计工作时间
	 */
	@Column(name = "ljgzsj")
	private Integer ljgzsj;

	/**
	 * 使用寿命
	 */
	@Column(name = "sysm")
	private Integer sysm;

	/**
	 * 预计报废日
	 */
	@Column(name = "yjbfrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date yjbfrq;

	/**
	 * 人员编号
	 */
	@Column(name = "rybh")
	private String rybh;

	/**
	 * 人员名称
	 */
	@Column(name = "ryxm")
	private String ryxm;

	/**
	 *设备照片
	 */
	@Column(name = "sbzp")
	private Integer sbzp;

	/**
	 * 登记人
	 */
	@Column(name = "djr")
	private String djr;

	/**
	 * 维护原因
	 */
	@Column(name = "whyy")
	private String whyy;

	/**
	 * 维护时间
	 */
	@Column(name = "whsj")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date whsj;

	/**
	 * 保修期限
	 */
	@Column(name = "bxqx")
	private String bxqx;

	/**
	 * 维修电话
	 */
	@Column(name = "wxdh")
	private String wxdh;

	/**
	 * 采购人
	 */
	@Column(name = "cgr")
	private String cgr;

	/**
	 * 批准人
	 */
	@Column(name = "pzr")
	private String pzr;


	/**
	 * 设备安装人
	 */
	@Column(name = "sbazr")
	private String sbazr;

	@ApiModelProperty(value = "是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", notes ="是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案", required = false)
	@Column(name = "sfba")
	private Integer sfba;

	@ApiModelProperty(value = "所在单位名称", notes ="所在单位名称", required = false)
	@Column(name = "szdwmc")
	private String szdwmc;

	@ApiModelProperty(value = "所在单位代码", notes ="所在单位代码", required = false)
	@Column(name = "szdwdm")
	private String szdwdm;

	@ApiModelProperty(value = "接收状态", notes ="接收状态", required = false)
	@Column(name = "jszt")
	private String jszt;

	@ApiModelProperty(value = "设备数量", notes ="设备数量", required = false)
	@Column(name = "sbsl")
	private Integer sbsl;

	@ApiModelProperty(value = "技术参数", notes ="技术参数", required = false)
	@Column(name = "jscs")
	private String jscs;

	@ApiModelProperty(value = "设备类型，1：国产，2：进口", notes ="设备类型，1：国产，2：进口", required = false)
	@Column(name = "sblx")
	private Integer sblx;

	@ApiModelProperty(value = "目前状态，1：正常，2：检定，0：停用", notes ="目前状态，1：正常，2：检定，0：停用", required = false)
	@Column(name = "mqzt")
	private Integer mqzt;

	@ApiModelProperty(value = "是否造册，1：是，0：否", notes ="是否造册，1：是，0：否", required = false)
	@Column(name = "sfzc")
	private Integer sfzc;

	@ApiModelProperty(value = "出厂编码", notes ="出厂编码", required = false)
	@Column(name = "ccbm")
	private String ccbm;

	@ApiModelProperty(value = "设备编码", notes ="设备编码", required = false)
	@Column(name = "sbbm")
	private String sbbm;

	@ApiModelProperty(value = "启用日期", notes ="启用日期", required = false)
	@Column(name = "qyrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date qyrq;

	@ApiModelProperty(value = "设施分类，1：设备，2：设施，3：仪器", notes ="设施分类，1：设备，2：设施，3：仪器", required = false)
	@Column(name = "ssfl")
	private Integer ssfl;

	@ApiModelProperty(value = "机构ID", notes ="机构ID", required = false)
	@Column(name = "jgId")
	private String jgId;

	@ApiModelProperty(value = "放置点", notes ="放置点", required = false)
	@Column(name = "fzd")
	private String fzd;

	@ApiModelProperty(value = "设备单位名称（平方米/立方米/米吨）", notes ="设备单位名称（平方米/立方米/米吨）", required = false)
	@Column(name = "sbdwmc")
	private String sbdwmc;

	@ApiModelProperty(value = "资产编号", notes ="资产编号", required = false)
	@Column(name = "zcbh")
	private String zcbh;

	@ApiModelProperty(value = "生产日期", notes ="生产日期", required = false)
	@Column(name = "scrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date scrq;

	@ApiModelProperty(value = "入库日期", notes ="入库日期", required = false)
	@Column(name = "rkrq")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date rkrq;

	@ApiModelProperty(value = "设备分类编号", notes ="设备分类编号", required = false)
	@Column(name = "sbflbh")
	private String sbflbh;

	@ApiModelProperty(value = "设备类型编号", notes ="设备类型编号", required = false)
	@Column(name = "sblxbh")
	private String sblxbh;

	@ApiModelProperty(value = "审核时间", notes ="审核时间", required = false)
	@Column(name = "shsj")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	private Date shsj;

	@ApiModelProperty(value = "", notes ="审核人", required = false)
	@Column(name = "shrmc")
	private String shrmc;

	@ApiModelProperty(value = "", notes ="审核意见", required = false)
	@Column(name = "shyj")
	private String shyj;

	@Transient
	private String[] zts;

	@Transient
	@ApiModelProperty(value = "设备类型名称编号", notes ="设备类型名称编号", required = false)
	private String sblxmcbh;

}
