package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lgd
 * @version 1.0
 * @Title DTankDO
 * @ProjectName 数据中心推送油罐实体
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "BASIC_TANK")
public class DTankDO extends BaseEntity {
	@Column(name = "id")
	private String id;
	/**
	 * 油罐编号
	 */
	@Column(name = "storagetank_code")
	private String storagetankCode;


	/**
	 * 油罐名称
	 */
	@Column(name = "storagetank_name")
	private String storagetankName;


	/**
	 * 库点编号
	 */
	@Column(name = "org_code")
	private String orgCode;

	/**
	 * 油罐容量(吨)设计罐容
	 */
	@Column(name = "tank_capacity")
	private BigDecimal tankCapacity;

	/**
	 * 创建日期
	 */
	@Column(name = "createdate")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private String createdate;

	/**
	 * 油罐及附属设施是否完好
	 */
	@Column(name = "facilities_type")
	private Integer facilitiesType;

	/**
	 * 有无加热装置
	 */
	@Column(name = "heating_type")
	private Integer heatingType;

	/**
	 * 油罐类型
	 */
	@Column(name = "tank_type ")
	private Integer tankType;

	private String yglx;

	/**
	 * 罐内直径
	 */
	@Column(name = "diameter")
	private BigDecimal diameter;

	/**
	 * 罐内高度
	 */
	@Column(name = "height")
	private BigDecimal height;
	/**
	 * 设计年代
	 */
	@Column(name = "builddate")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date builddate;

	/**
	 * 检定方式
	 */
	@Column(name = "check_way")
	private Integer checkWay;

	/**
	 * 焊接方式
	 */
	@Column(name = "weld_way")
	private Integer weldWay;

	/**
	 * 油罐使用情况
	 */
	@Column(name = "tank_apply")
	private Integer tankApply;

	/**
	 * 油罐状态
	 */
	@Column(name = "tank_status")
	private Integer tankStatus;

	/**
	 * 单位ID
	 */
	@Column(name = "org_id")
	private Integer orgId;


	/**
	 * 更新时间
	 */
	@Column(name = "updatetime")
	private String updatetime;

	/**
	 * 底面积(平方米)
	 */
	@Column(name = "bottom_area")
	private BigDecimal bottomArea;

	/**
	 * 设计储油高度(米)
	 */
	@Column(name = "design_height")
	private BigDecimal designHeight;

	/**
	 * 出油口高度(米)
	 */
	@Column(name = "oil_height")
	private BigDecimal oilHeight;

	/**
	 * 油罐检查口高度
	 */
	@Column(name = "insport_height")
	private BigDecimal insportHeight;

	/**
	 * 油罐平面图
	 */
	@Column(name = "tank_chart")
	private String tankChart;


	/**
	 * 油罐库区图
	 */
	@Column(name = "tanklib_chart")
	private String tanklibChart;


	@ApiModelProperty(value = "库类型，0.主粮库，1.代储点粮库", required = false)
	@Column(name = "library_type")
	private String libraryType;

	private String org;

	@ApiModelProperty(value="出入库状态(1空仓,2入库中,3封仓,4出库中)")
	@Column(name = "crk_status")
	private String crkStatus;
}
