package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/19 17:35
 * @Version 1.0
 */


@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBBFXX")

public class DsbbfxxDO extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @Column(name = "sbbh")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @Column(name = "sbyqmc")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @Column(name = "kddm")
    private String kddm;

    /**
     * 设备分类
     */
    @Column(name = "sbfl")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @Column(name = "sbflbh")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @Column(name = "ssfl")
    private String ssfl;

    /**
     * 采购日期
     */
    @Column(name = "cgsj")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cgsj;

    /**
     * 保管员编号
     */
    @Column(name = "rybh")
    private String rybh;

    /**
     * 保管员名称
     */
    @Column(name = "ryxm")
    private String ryxm;

    /**
     *  使用年限
     */
    @Column(name = "synx")
    private String synx;

    /**
     * 所属部门
     */
    @Column(name = "ssbm")
    private String ssbm;

    /**
     *  设备型号
     */
    @Column(name = "sbxh")
    private String sbxh;




}
