package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author ChenKai
 * @Date 2019/9/20 10:02
 * @Version 1.0
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_SBLYXX")

public class DsblyxxDO extends BaseEntity{

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 设备编号
     */
    @Column(name = "sbbh")
    private String sbbh;

    /**
     * 设备仪器名称
     */
    @Column(name = "sbyqmc")
    private String sbyqmc;
    /**
     * 所属库点编号
     */
    @Column(name = "kddm")
    private String kddm;

    /**
     * 设备分类
     */
    @Column(name = "sbfl")
    private String sbfl;

    /**
     * 设备分类编码
     */
    @Column(name = "sbflbh")
    private String sbflbh;


    /**
     *  设施分类，1：设备，2：设施，3：仪器
     */
    @Column(name = "ssfl")
    private String ssfl;

    /**
     *
     */
    @Column(name = "sbggxh")
    private String sbggxh;

    /**
     * 设备申请人
     */
    @Column(name = "sbsqr")
    private String sbsqr;


    /**
     *  设备申请时间
     */
    @Column(name = "sbsqsj")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sbsqsj;

    /**
     * 设备申请部门
     */
    @Column(name = "sbsqbm")
    private String sbsqbm;

    /**
     *  设备申请数量
     */
    @Column(name = "sbsqsl")
    private Integer sbsqsl;

    /**
     *  设备申请当前库存
     */
    @Column(name = "sbsqdqkc")
    private Integer sbsqdqkc;

    /**
     *  设备单价
     */
    @Column(name = "sbdj")
    private Integer sbdj;

    /**
     * 申请单位代码
     */
    @Column(name = "sqdwbh")
    private String sqdwbh;

    /**
     * 申请单位名称
     */
    @Column(name = "sqdwmc")
    private String sqdwmc;

    /**
     * 设备申请说明
     */
    @Column(name = "sbsqsm")
    private String sbsqsm;

    /**
     * 设备归还设备号
     */
    @Column(name = "sbghh")
    private String sbghh;

    /**
     *  设备归还数量
     */
    @Column(name = "sbghsl")
    private Integer sbghsl;

    /**
     * 设备归还人
     */
    @Column(name = "sbghr")
    private String sbghr;

    /**
     * 设备归还部门
     */
    @Column(name = "sbghbm")
    private String sbghbm;

    /**
     * 设备使用时长
     */
    @Column(name = "sbsysc")
    private String sbsysc;

    /**
     * 设备归还时间
     */
    @Column(name = "sbghsj")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sbghsj;

    /**
     * 设备归还检查人
     */
    @Column(name = "sbghjcr")
    private String sbghjcr;

    /**
     * 设备归还记录人
     */
    @Column(name = "sbghjlr")
    private String sbghjlr;

    /**
     * 设备归还说明
     */
    @Column(name = "sbghsm")
    private String sbghsm;

    /**
     * 设备型号
     */
    @Column(name = "sbxh")
    private String sbxh;

    /**
     * 设备领用人
     */
    @Column(name = "sblyr")
    private String sblyr;


    /**
     *  设备领用时间
     */
    @Column(name = "sblysj")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sblysj;


}
