/*
 * QybgsqDO.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 *  created by lipenghe with LAPTOP-DPSC399A
 */
package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * TY_QYBGSQ
 * @author lipenghe with LAPTOP-DPSC399A
 */
@ApiModel(value = "TY_QYBGSQ:企业变更申请表")
@Data
@Table(name="TY_QYBGSQ")
public class QybgsqDO extends BaseEntity {
    @ApiModelProperty(value = "变更申请id#<主键><唯一><检索><非空>", notes ="变更申请id")
    @Id
    @Column(name="SQID")
    private String sqid;

    @ApiModelProperty(value = "企业名称#<检索><非空>", notes ="企业名称")
    @Column(name="QYMC")
    private String qymc;

    @ApiModelProperty(value = "统一社会信用代码#<非空>", notes ="统一社会信用代码")
    @Column(name="TYSHXYDM")
    private String tyshxydm;

    @ApiModelProperty(value = "申请区域编码#<检索>", notes ="申请区域编码")
    @Column(name="SQQYBM")
    private String sqqybm;

    @ApiModelProperty(value = "申请区域编码名称", notes ="申请区域编码名称")
    @Column(name="SQQYBMMC")
    private String sqqybmmc;

    @ApiModelProperty(value = "申请原因", notes ="申请原因")
    @Column(name="SQQY")
    private String sqqy;

    @ApiModelProperty(value = "申请人id#<检索>", notes ="申请人id")
    @Column(name="SQRID")
    private String sqrid;

    @ApiModelProperty(value = "申请人名称", notes ="申请人名称")
    @Column(name="SQRIDMC")
    private String sqridmc;

    @ApiModelProperty(value = "申请时间#<默认值:current>", notes ="申请时间")
    @Column(name="SQSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date sqsj;

    @ApiModelProperty(value = "是否同意#<检索>", notes ="是否同意")
    @Column(name="SFTY")
    private String sfty;

    @ApiModelProperty(value = "审批意见", notes ="审批意见")
    @Column(name="SPYJ")
    private String spyj;

    @ApiModelProperty(value = "审批人id", notes ="审批人id")
    @Column(name="SPRID")
    private String sprid;

    @ApiModelProperty(value = "审批人名称", notes ="审批人名称")
    @Column(name="SPRIDMC")
    private String spridmc;

    @ApiModelProperty(value = "审批时间#<默认值:current>", notes ="审批时间")
    @Column(name="SPSJ")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "PRC")
    private Date spsj;

    @ApiModelProperty(value = "数据版本", notes ="数据版本")
    @Column(name="VERSION", updatable = false)
    private Integer version;

    @ApiModelProperty(value = "变更前区域编码", notes ="变更前区域编码")
    @Column(name="BGQQYBM")
    private String bgqqybm;

    @ApiModelProperty(value = "变更前区域编码名称", notes ="变更前区域编码名称")
    @Column(name="BGQQYBMMC")
    private String bgqqybmmc;

    public QybgsqDO() {
        super();
    }
}