package com.unis.base.server.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Classname QyxypjDcVO
 * @Description 企业信息化导出类
 * @Date 2023/11/2 09:26
 * @Created by rising123sun
 */
@Data
@Table(name = "qyxypjdc")
public class QyxypjDcDO {

    @Id
    @ApiModelProperty(value = "主键")
    @ExcelIgnore
    private String id;

    //主体名称	统一社会信用代码	监管机构	监管机构统一社会信用代码	评价名称	信用得分	评价结果（等级）	评价日期	评价年度	评价有效期	发布时间	评价机关全称	评价机关统一社会信用代码
    @ApiModelProperty(value = "主体名称")
    @ExcelProperty(value = "主体名称")
    @Column(name = "ztmc")
    private String ztmc;

    @ApiModelProperty(value = "统一社会信用代码")
    @ExcelProperty(value = "统一社会信用代码")
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "监管机构")
    @ExcelProperty(value = "监管机构")
    @Column(name = "jgjg")
    private String jgjg;

    @ApiModelProperty(value = "监管机构统一社会信用代码")
    @ExcelProperty(value = "监管机构统一社会信用代码")
    @Column(name = "jgjgtyshxydm")
    private String jgjgtyshxydm;

    @ApiModelProperty(value = "评价名称")
    @ExcelProperty(value = "评价名称")
    @Column(name = "pjmc")
    private String pjmc;

    @ApiModelProperty(value = "信用得分")
    @ExcelProperty(value = "信用得分")
    @Column(name = "xydf")
    private String xydf;

    @ApiModelProperty(value = "评价结果（等级）")
    @ExcelProperty(value = "评价结果（等级）")
    @Column(name = "pjjg")
    private String pjjg;

    @ApiModelProperty(value = "评价日期")
    @ExcelProperty(value = "评价日期")
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd",timezone = "GMT+8")
    @Column(name = "pjrq")
    private String pjrq;

    @ApiModelProperty(value = "评价年度")
    @ExcelProperty(value = "评价年度")
    @Column(name = "pjnd")
    private String pjnd;

    @ApiModelProperty(value = "评价有效期")
    @ExcelProperty(value = "评价有效期")
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd",timezone = "GMT+8")
    @Column(name = "pjyxq")
    private String pjyxq;

    @ApiModelProperty(value = "发布时间")
    @ExcelProperty(value = "发布时间")
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd",timezone = "GMT+8")
    @Column(name = "fbsj")
    private String fbsj;

    @ApiModelProperty(value = "评价机关全称")
    @ExcelProperty(value = "评价机关全称")
    @Column(name = "pjjgqc")
    private String pjjgqc;

    @ApiModelProperty(value = "评价机关统一社会信用代码")
    @ExcelProperty(value = "评价机关统一社会信用代码")
    @Column(name = "pjjgtyshxydm")
    private String pjjgtyshxydm;

    // 状态
    @ApiModelProperty(value = "状态,待提交，已提交")
    @Column(name = "zt")
    @ExcelIgnore
    private String zt;

}
