package com.unis.base.server.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title CompanyRecordsDO
 * @ProjectName 企业备案记录实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "D_KDXXSJY_HIS")
public class SinkpointRecordsDO extends BaseEntity {

    @ApiModelProperty(value = "库点备案编号（yyyymmdd+0001）", notes ="库点备案编号（yyyymmdd+0001）", required = false)
    @Id
    @Column(name = "kdbabh")
    private String kdbabh;

    @ApiModelProperty(value = "库点代码", notes ="库点代码", required = false)
    @Column(name = "kddm")
    private String kddm;

    @ApiModelProperty(value = "库点名称", notes ="库点名称", required = false)
    @Column(name = "kdmc")
    private String kdmc;

    @ApiModelProperty(value = "库点介绍", notes ="库点介绍", required = false)
    @Column(name = "kdjc")
    private String kdjc;

    @ApiModelProperty(value = "库点性质", notes ="库点性质", required = false)
    @Column(name = "kdqyxz")
    private String kdqyxz;

    @ApiModelProperty(value = "所属企业代码", notes ="所属企业代码", required = false)
    @Column(name = "tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "企业名称", notes ="企业名称", required = false)
    @Column(name = "qymc")
    private String qymc;

    @ApiModelProperty(value = "粮库类别", notes ="粮库类别", required = false)
    @Column(name = "lklb")
    private String lklb;

    @ApiModelProperty(value = "建成日期", notes ="建成日期", required = false)
    @Column(name = "jcrq")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date jcrq;

    @ApiModelProperty(value = "库点设计仓容", notes ="库点设计仓容", required = false)
    @Column(name = "sjcr")
    private Double sjcr;

    @ApiModelProperty(value = "有效仓容", notes ="有效仓容", required = false)
    @Column(name = "kdyxcr")
    private Double kdyxcr;

    @ApiModelProperty(value = "行政区划名称", notes ="行政区划名称", required = false)
    @Column(name = "xzqhmc")
    private String xzqhmc;

    @ApiModelProperty(value = "行政区划代码", notes ="行政区划代码", required = false)
    @Column(name = "xzqhdm")
    private String xzqhdm;

    @ApiModelProperty(value = "仓房数量", notes ="仓房数量", required = false)
    @Column(name = "cfs")
    private Integer cfs;

    @ApiModelProperty(value = "油脂库区数", notes ="油脂库区数", required = false)
    @Column(name = "yzkqs")
    private Integer yzkqs;

    @ApiModelProperty(value = "油罐数量", notes ="油罐数量", required = false)
    @Column(name = "ygsl")
    private Integer ygsl;

    @ApiModelProperty(value = "有效罐容", notes ="有效罐容", required = false)
    @Column(name = "yxgr")
    private Double yxgr;

    @ApiModelProperty(value = "库点面积", notes ="库点面积", required = false)
    @Column(name = "kdmj")
    private Double kdmj;

    @ApiModelProperty(value = "库点电话", notes ="库点电话", required = false)
    @Column(name = "kddh")
    private String kddh;

    @ApiModelProperty(value = "库点地址", notes ="库点地址", required = false)
    @Column(name = "kddz")
    private String kddz;

    @ApiModelProperty(value = "库点传真", notes ="库点传真", required = false)
    @Column(name = "kdcz")
    private String kdcz;

    @ApiModelProperty(value = "库点邮编", notes ="库点邮编", required = false)
    @Column(name = "kdyb")
    private String kdyb;

    @ApiModelProperty(value = "库点经度", notes ="库点经度", required = false)
    @Column(name = "kdjd")
    private String kdjd;

    @ApiModelProperty(value = "库点维度", notes ="库点维度", required = false)
    @Column(name = "kdwd")
    private String kdwd;

    @ApiModelProperty(value = "紧邻公路类别（T/F）", notes ="紧邻公路类别（T/F）", required = false)
    @Column(name = "jlgllb")
    private String jlgllb;

    @ApiModelProperty(value = "紧邻公路距离", notes ="紧邻公路距离", required = false)
    @Column(name = "jlgljl")
    private Integer jlgljl;

    @ApiModelProperty(value = "是否符合污染源", notes ="是否符合污染源", required = false)
    @Column(name = "sffhwry")
    private String sffhwry;

    @ApiModelProperty(value = "有无消防水源", notes ="有无消防水源", required = false)
    @Column(name = "ywxfsy")
    private String ywxfsy;

    @ApiModelProperty(value = "有无消防设施", notes ="有无消防设施", required = false)
    @Column(name = "ywxfss")
    private String ywxfss;

    @ApiModelProperty(value = "有无检化验室", notes ="有无检化验室", required = false)
    @Column(name = "ywjhys")
    private String ywjhys;

    @ApiModelProperty(value = "汽车衡", notes ="汽车衡", required = false)
    @Column(name = "jccsb_qch")
    private Integer jccsbQch;

    @ApiModelProperty(value = "防洪标准年限", notes ="防洪标准年限", required = false)
    @Column(name = "fhbznx")
    private Integer fhbznx;

    @ApiModelProperty(value = "是否智能化升级改造，0未接入、1粮情库、2示范库", notes ="是否智能化升级改造，0未接入、1粮情库、2示范库", required = false)
    @Column(name = "sfznhsjgz")
    private String sfznhsjgz;

    @ApiModelProperty(value = "包含仓（罐）状态：1：仓号，2：罐号", notes ="包含仓（罐）状态：1：仓号，2：罐号", required = false)
    @Column(name = "bhcgzt")
    private Integer bhcgzt;

    @ApiModelProperty(value = "仓（罐）编号", notes ="仓（罐）编号", required = false)
    @Column(name = "cgbh")
    private String cgbh;

    @ApiModelProperty(value = "仓（罐）容量（T）", notes ="仓（罐）容量（T）", required = false)
    @Column(name = "cgrl")
    private BigDecimal cgrl;

    @ApiModelProperty(value = "铁路专用线（m）", notes ="铁路专用线（m）", required = false)
    @Column(name = "tlzyx")
    private Integer tlzyx;

    @ApiModelProperty(value = "有效长度（m）", notes ="有效长度（m）", required = false)
    @Column(name = "yxcd")
    private Integer yxcd;

    @ApiModelProperty(value = "码头泊位（个）", notes ="码头泊位（个）", required = false)
    @Column(name = "mtbw")
    private Integer mtbw;

    @ApiModelProperty(value = "总吨位（T）", notes ="总吨位（T）", required = false)
    @Column(name = "zdw")
    private BigDecimal zdw;

    @ApiModelProperty(value = "配套附属设施情况", notes ="配套附属设施情况", required = false)
    @Column(name = "ptfsssqk")
    private String ptfsssqk;

    @ApiModelProperty(value = "资产原值（万元）", notes ="资产原值（万元）", required = false)
    @Column(name = "zcyz")
    private BigDecimal zcyz;

    @ApiModelProperty(value = "资产评估现值（万元）", notes ="资产评估现值（万元）", required = false)
    @Column(name = "zcpgxz")
    private BigDecimal zcpgxz;

    @ApiModelProperty(value = "变更处理类别，1:报废，2:拆除，3:迁建，4:改扩建，5:原址重建，6:改变用途，7:其他",
            notes ="变更处理类别，1:报废，2:拆除，3:迁建，4:改扩建，5:原址重建，6:改变用途，7:其他", required = false)
    @Column(name = "bgcllb")
    private Integer bgcllb;

    @ApiModelProperty(value = "是否备案，1，待库区主任审批，2，待区粮办审批，3，已驳回，4，已备案，5，待提交，6，待库区主任通过盖章，" +
            "7，待库区主任驳回盖章，8，待区粮办通过盖章，9，待区粮办驳回盖章", notes ="是否备案，1，待库区主任审批，2，待区粮办审批，" +
            "3，已驳回，4，已备案，5，待提交，6，待库区主任通过盖章，7，待库区主任驳回盖章，8，待区粮办通过盖章，9，待区粮办驳回盖章",
            required = false)
    @Column(name = "sfba")
    private Integer sfba;

    @ApiModelProperty(value = "审批意见", notes ="审批意见", required = false)
    @Column(name = "spyj")
    private String spyj;

    @ApiModelProperty(value = "审核人员编码", notes ="审核人员编码", required = false)
    @Column(name = "shrybh")
    private String shrybh;

    @ApiModelProperty(value = "审核人员名称", notes ="审核人员名称", required = false)
    @Column(name = "shrymc")
    private String shrymc;

    @ApiModelProperty(value = "审核部门编码", notes ="审核部门编码", required = false)
    @Column(name = "shbmbh")
    private String shbmbh;

    @ApiModelProperty(value = "审核部门名称", notes ="审核部门名称", required = false)
    @Column(name = "shbmmc")
    private String shbmmc;

    @ApiModelProperty(value = "备案时间", notes ="备案时间", required = false)
    @Column(name = "basj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date basj;

    @ApiModelProperty(value = "流程ID", notes ="流程ID", required = false)
    @Column(name = "lc_id")
    private String lcId;

    @ApiModelProperty(value = "备案单位名称", notes ="备案单位名称", required = false)
    @Column(name = "badwmc")
    private String badwmc;

    @ApiModelProperty(value = "备案单位代码", notes ="备案单位代码", required = false)
    @Column(name = "badwdm")
    private String badwdm;

    @ApiModelProperty(value = "备案单位地址", notes ="备案单位地址", required = false)
    @Column(name = "badwdz")
    private String badwdz;

    @ApiModelProperty(value = "备案单位性质", notes ="备案单位性质", required = false)
    @Column(name = "badwxz")
    private String badwxz;

    @ApiModelProperty(value = "隶属关系", notes ="隶属关系", required = false)
    @Column(name = "lsgx")
    private String lsgx;

    @ApiModelProperty(value = "备案情况，0，否，1，是", notes ="备案情况，0，否，1，是", required = false)
    @Column(name = "baqk")
    private Integer baqk;

    @ApiModelProperty(value = "法人代表", notes ="法人代表", required = false)
    @Column(name = "frdb")
    private String frdb;

    @ApiModelProperty(value = "联系电话", notes ="联系电话", required = false)
    @Column(name = "lxdh")
    private String lxdh;

    @ApiModelProperty(value = "变更处置及赔偿补偿重置等情况说明", notes ="变更处置及赔偿补偿重置等情况说明", required = false)
    @Column(name = "bgczjpcbc")
    private String bgczjpcbc;

    @ApiModelProperty(value = "仓（罐）名称", notes ="仓（罐）名称", required = false)
    @Column(name = "cgmc")
    private String cgmc;
}
