package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyCrkjsxxDO
 * @ProjectName 出入库结算信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_CRKJSXX")
public class TyCrkjsxxDO extends BaseEntity {
	/**
	 * 结算ID JS20190802000001
	 */
	@Column(name = "jsid")
    private String jsid;

	/**
	 * 结算单号 190802000001
	 */
	@Column(name = "jsdh")
    private String jsdh;

	/**
	 * 结算时间
	 */
	@Column(name = "jssj")
    private Date jssj;

	/**
	 * 品种编码
	 */
	@Column(name = "pzbm")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@Column(name = "pzmc")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@Column(name = "lsdjbm")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
    private String lsdjmc;

	/**
	 * 客户代码
	 */
	@Column(name = "khdm")
    private String khdm;

	/**
	 * 客户名称
	 */
	@Column(name = "khmc")
    private String khmc;

	/**
	 * 客户所属企业代码
	 */
	@Column(name = "khssqydm")
    private String khssqydm;

	/**
	 * 客户所属企业名称
	 */
	@Column(name = "khssyqmc")
    private String khssyqmc;

	/**
	 * 客户联系电话
	 */
	@Column(name = "khlxdh")
    private String khlxdh;

	/**
	 * 客户身份证号
	 */
	@Column(name = "khsfzh")
    private String khsfzh;

	/**
	 * 客户银行账户
	 */
	@Column(name = "khyhzh")
    private String khyhzh;

	/**
	 * 客户开户银行
	 */
	@Column(name = "khkhyh")
    private String khkhyh;

	/**
	 * 货位编号
	 */
	@Column(name = "hwbm")
    private String hwbm;

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 运输车船号
	 */
	@Column(name = "yscch")
    private String yscch;

	/**
	 * 称重毛总（kg）
	 */
	@Column(name = "czmz")
    private BigDecimal czmz;

	/**
	 * 称重皮总（kg）
	 */
	@Column(name = "czpz")
    private BigDecimal czpz;

	/**
	 * 称重净重（kg）
	 */
	@Column(name = "czjz")
    private BigDecimal czjz;

	/**
	 * 扣重量（kg）
	 */
	@Column(name = "kzl")
    private BigDecimal kzl;

	/**
	 * 扣单价（元）
	 */
	@Column(name = "kdj")
    private BigDecimal kdj;

	/**
	 * 单价金额（元）
	 */
	@Column(name = "djje")
    private BigDecimal djje;

	/**
	 * 最终结算重量（kg）
	 */
	@Column(name = "zzjszl")
    private BigDecimal zzjszl;

	/**
	 * 最终结算单价（元）
	 */
	@Column(name = "zzjsdj")
    private BigDecimal zzjsdj;

	/**
	 * 最终结算金额（元）
	 */
	@Column(name = "zzjsje")
    private BigDecimal zzjsje;

	/**
	 * 出入库ID CR20190802000001
	 */
	@Column(name = "crkid")
    private String crkid;

	/**
	 * 出入库单号 190802000001
	 */
	@Column(name = "crkdh")
    private String crkdh;

}
