package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title TyCrkxxDO
 * @ProjectName 出入库信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_CRKXX")
public class TyCrkxxDO extends BaseEntity {
	/**
	 * 出入库ID CR20190802000001
	 */
	@Column(name = "crkid")
    private String crkid;

	/**
	 * 出入库单号 190802000001
	 */
	@Column(name = "crkdh")
    private String crkdh;

	/**
	 * 出入库类型 （01：出库；02：入库）
	 */
	@Column(name = "crklx")
    private String crklx;

	/**
	 * 品种编码
	 */
	@Column(name = "pzbm")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@Column(name = "pzmc")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@Column(name = "lsdjbm")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
    private String lsdjmc;

	/**
	 * 收获年度
	 */
	@Column(name = "shnd")
    private String shnd;

	/**
	 * 粮食国别（）
	 */
	@Column(name = "lsgb")
    private String lsgb;

	/**
	 * 粮食产地（）
	 */
	@Column(name = "lscd")
    private String lscd;

	/**
	 * 样品单编号
	 */
	@Column(name = "qydbh")
    private String qydbh;

	/**
	 * 样品数量单位（kg）
	 */
	@Column(name = "ypsldw")
    private BigDecimal ypsldw;

	/**
	 * 代表数量单位（kg）
	 */
	@Column(name = "dbsldw")
    private BigDecimal dbsldw;

	/**
	 * 签样地点
	 */
	@Column(name = "qydd")
    private String qydd;

	/**
	 * 签样人编码
	 */
	@Column(name = "qyrbm")
    private String qyrbm;

	/**
	 * 签样人名称
	 */
	@Column(name = "qyrmc")
    private String qyrmc;

	/**
	 * 检验时间
	 */
	@Column(name = "jyrq")
    private Date jyrq;

	/**
	 * 检验依据（01：国标；00：其他）
	 */
	@Column(name = "jyyj")
    private String jyyj;

	/**
	 * 检验结果
	 */
	@Column(name = "jyjg")
    private String jyjg;

	/**
	 * 检验备注
	 */
	@Column(name = "check_Remark")
    private String checkRemark;

	/**
	 * 称重毛总（kg）
	 */
	@Column(name = "czmz")
    private BigDecimal czmz;

	/**
	 * 毛重监磅员编码
	 */
	@Column(name = "mzjbybm")
    private String mzjbybm;

	/**
	 * 毛重监磅员名称
	 */
	@Column(name = "mzjbymc")
    private String mzjbymc;

	/**
	 * 毛重称重时间
	 */
	@Column(name = "mzczsj")
    private Date mzczsj;

	/**
	 * 称重皮总（kg）
	 */
	@Column(name = "czpz")
    private BigDecimal czpz;

	/**
	 * 皮重监磅员编码
	 */
	@Column(name = "pzjbybm")
    private String pzjbybm;

	/**
	 * 皮重监磅员名称
	 */
	@Column(name = "pzjbymc")
    private String pzjbymc;

	/**
	 * 皮重称重时间
	 */
	@Column(name = "pzczsj")
    private Date pzczsj;

	/**
	 * 称重净重（kg）
	 */
	@Column(name = "czjz")
    private BigDecimal czjz;

	/**
	 * 现场扣重量（kg）
	 */
	@Column(name = "xckzl")
    private BigDecimal xckzl;

	/**
	 * 烘干扣重量（kg）
	 */
	@Column(name = "hgkzl")
    private BigDecimal hgkzl;

	/**
	 * 最终结算重量（kg）
	 */
	@Column(name = "zzjszl")
    private BigDecimal zzjszl;

	/**
	 * 最终结算金额（元）
	 */
	@Column(name = "zzjsje")
    private BigDecimal zzjsje;

	/**
	 * 承运人代码
	 */
	@Column(name = "cyrdm")
    private String cyrdm;

	/**
	 * 承运人名称
	 */
	@Column(name = "cyrmc")
    private String cyrmc;

	/**
	 * 承运人电话
	 */
	@Column(name = "cyrdh")
    private String cyrdh;

	/**
	 * 承运人身份证号
	 */
	@Column(name = "cyrsfzh")
    private String cyrsfzh;

	/**
	 * 承运人地址
	 */
	@Column(name = "cyrdz")
    private String cyrdz;

	/**
	 * 客户代码
	 */
	@Column(name = "khdm")
    private String khdm;

	/**
	 * 客户名称
	 */
	@Column(name = "khmc")
    private String khmc;

	/**
	 * 客户所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "khssqydm")
    private String khssqydm;

	/**
	 * 客户所属企业名称
	 */
	@Column(name = "khssyqmc")
    private String khssyqmc;

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 运输方式
	 */
	@Column(name = "ysfs")
    private String ysfs;

	/**
	 * 运输车船号
	 */
	@Column(name = "yscch")
    private String yscch;

	/**
	 * 登记时间
	 */
	@Column(name = "crkdjsj")
    private Date crkdjsj;

	/**
	 * 出门登记时间
	 */
	@Column(name = "cmdjsj")
    private Date cmdjsj;

	/**
	 * 门岗值守人姓名
	 */
	@Column(name = "mgzsrxm")
    private String mgzsrxm;

	/**
	 * 所属通知编码 TZ20190802000001
	 */
	@Column(name = "sstzdid")
    private String sstzdid;

	/**
	 * 所属通知单号 190802000001
	 */
	@Column(name = "sstzdh")
    private String sstzdh;

	/**
	 * 所属计划id JH20190802000001
	 */
	@Column(name = "ssjhxxid")
    private String ssjhxxid;

	/**
	 * 所属计划号（计划文号）
	 */
	@Column(name = "ssjhh")
    private String ssjhh;

	/**
	 * 合同信息id HT20190802000001
	 */
	@Column(name = "sshtxxid")
    private String sshtxxid;

	/**
	 * 合同编号
	 */
	@Column(name = "sshtbm")
    private String sshtbm;

}
