package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 合同信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_HTXX")
public class TyHtxxDO extends BaseEntity {

	/**
	 * 合同信息id HT20190802000001
	 */
	@Column(name = "htxxid")
    private String htxxid;

	/**
	 * 合同编号（）
	 */
	@Column(name = "htbh")
    private String htbh;

	/**
	 * 合同名称（）
	 */
	@Column(name = "htmc")
    private String htmc;

	/**
	 * 甲方企业代码 （统一社会信用代码）
	 */
	@Column(name = "jfqydm")
    private String jfqydm;

	/**
	 * 甲方企业名称
	 */
	@Column(name = "jfqymc")
    private String jfqymc;

	/**
	 * 甲方库点编码
	 */
	@Column(name = "jfkdbm")
    private String jfkdbm;

	/**
	 * 甲方库点名称
	 */
	@Column(name = "jfkdmc")
    private String jfkdmc;

	/**
	 * 甲方开户行
	 */
	@Column(name = "jfkhh")
    private String jfkhh;

	/**
	 * 甲方账号
	 */
	@Column(name = "jfyhzh")
    private String jfyhzh;

	/**
	 * 甲方签约人
	 */
	@Column(name = "jfqyr")
    private String jfqyr;

	/**
	 * 甲方联系电话
	 */
	@Column(name = "jflxdh")
    private String jflxdh;

	/**
	 * 甲方签章状态
	 */
	@Column(name = "jfqzzt")
    private String jfqzzt;

	/**
	 * 乙方企业代码 （统一社会信用代码
	 */
	@Column(name = "yfqydm")
    private String yfqydm;

	/**
	 * 乙方企业名称
	 */
	@Column(name = "yfqymc")
    private String yfqymc;

	/**
	 * 乙方库点编码
	 */
	@Column(name = "yfkdbm")
    private String yfkdbm;

	/**
	 * 乙方库点名称
	 */
	@Column(name = "yfkdmc")
    private String yfkdmc;

	/**
	 * 乙方开户行
	 */
	@Column(name = "yfkhh")
    private String yfkhh;

	/**
	 * 乙方账号
	 */
	@Column(name = "yfyhzh")
    private String yfyhzh;

	/**
	 * 乙方签约人
	 */
	@Column(name = "yfqyr")
    private String yfqyr;

	/**
	 * 乙方联系电话
	 */
	@Column(name = "yflxdh")
    private String yflxdh;

	/**
	 * 乙方签章状态
	 */
	@Column(name = "yfqzzt")
    private String yfqzzt;

	/**
	 * 合同签署时间
	 */
	@Column(name = "htqssj")
    private Date htqssj;

	/**
	 * 合同签署地点
	 */
	@Column(name = "htqsdd")
    private String htqsdd;

	/**
	 * 合同总金额
	 */
	@Column(name = "htzje")
    private BigDecimal htzje;

	/**
	 * 合同总数量
	 */
	@Column(name = "htzsl")
    private BigDecimal htzsl;

	/**
	 * 合同总单价
	 */
	@Column(name = "htzdj")
    private BigDecimal htzdj;

	/**
	 * 合同保证金额
	 */
	@Column(name = "htbzje")
    private BigDecimal htbzje;

	/**
	 * 合同生效开始时间
	 */
	@Column(name = "htsxkssj")
    private Date htsxkssj;

	/**
	 * 合同生效截止时间
	 */
	@Column(name = "htsxjzsj")
    private Date htsxjzsj;

	/**
	 * 交货开始时间
	 */
	@Column(name = "jhkssj")
    private Date jhkssj;

	/**
	 * 交货结束时间
	 */
	@Column(name = "jhjssj")
    private Date jhjssj;

	/**
	 * 品种编码
	 */
	@Column(name = "lspzbm")
    private String lspzbm;

	/**
	 * 品种名称
	 */
	@Column(name = "lspzmc")
    private String lspzmc;

	/**
	 * 运输方式
	 */
	@Column(name = "ysfs")
    private String ysfs;

	/**
	 * 支付方式
	 */
	@Column(name = "zffs")
    private String zffs;

	/**
	 * 争议解决方式
	 */
	@Column(name = "zyjjfs")
    private String zyjjfs;

	/**
	 * 合同违约责任
	 */
	@Column(name = "htwyzr")
    private String htwyzr;

	/**
	 * 合同解除条件
	 */
	@Column(name = "htjctj")
    private String htjctj;

	/**
	 * 合同备注信息
	 */
	@Column(name = "htbzxx")
    private String htbzxx;

	/**
	 * 计划id
	 */
	@Column(name = "lspzid")
    private String lspzid;

	/**
	 * 计划号码
	 */
	@Column(name = "lspzhm")
    private String lspzhm;


	/**
	 * 审批状态
	 */
	@Column(name = "spzt")
    private String spzt;

	/**
	 * 执行状态
	 */
	@Column(name = "zxzt")
    private String zxzt;

	/**
	 * 粮食登记代码
	 */
	@Column(name = "lsdjbm")
	private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
	private String lsdjmc;

}
