package com.unis.base.server.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author zhaoyadong
 * @version 1.0
 * @Title TyJgjcxxbDO
 * @ProjectName 价格监测信息实体类
 * @Description
 * @date 2019/8/23
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "ty_jgjcxxb")
public class TyJgjcxxbDO extends BaseEntity {
    /**
     * 价格信息ID JG20190802000001
     */
    @Column(name = "jgxxid")
    private String jgxxid;
    /**
     * 监测点编码
     */
    @Column(name = "jcddm")
    private String jcddm;
    /**
     * 监测点名称
     */
    @Column(name = "jcdmc")
    private String jcdmc;
    /**
     * 监测点所属地区
     */
    @Column(name = "jcdssqy")
    private String jcdssqy;
    /**
     * 品种编码
     */
    @Column(name = "pzbm")
    private String pzbm;
    /**
     * 品种名称
     */
    @Column(name = "pzmc")
    private String pzmc;
    /**
     * 粮食标识编码（01：原粮；02：成品粮）
     */
    @Column(name = "lsbsbm")
    private String lsbsbm;
    /**
     * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
     */
    @Column(name = "lsdjbm")
    private String lsdjbm;
    /**
     * 粮食等级名称
     */
    @Column(name = "lsdjmc")
    private String lsdjmc;
    /**
     * 粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
     */
    @Column(name = "lsxzbm")
    private String lsxzbm;
    /**
     * 粮食性质名称
     */
    @Column(name = "lsxzmc")
    private String lsxzmc;
    /**
     * 收获年度
     */
    @Column(name = "shnd")
    private String shnd;
    /**
     * 粮食国别
     */
    @Column(name = "lsgb")
    private String lsgb;
    /**
     * 粮食产地
     */
    @Column(name = "lscd")
    private String lscd;
    /**
     * 品牌编码
     */
    @Column(name = "ppbm")
    private String ppbm;
    /**
     * 品牌名称
     */
    @Column(name = "ppmc")
    private String ppmc;
    /**
     * 规格型号
     */
    @Column(name = "ggxh")
    private String ggxh;
    /**
     * 价格类型编码 （01：收购价；02：入库价；03：出库价;04:进厂价；05：出厂价；06：批发价；07：零售价；08：超市价）
     */
    @Column(name = "jglxbm")
    private String jglxbm;
    /**
     * 价格类型名称
     */
    @Column(name = "jglxmc")
    private String jglxmc;
    /**
     * 实际价格
     */
    @Column(name = "sjjg")
    private BigDecimal sjjg;
    /**
     * 审核状态
     */
    @Column(name = "shzt")
    private String shzt;
    /**
     * 上报类型（01：日报；02：周报；03：旬报；04半月报；05：月报：06：季报）
     */
    @Column(name = "sblx")
    private String sblx;
    /**
     * 采集人编码
     */
    @Column(name = "cjrbm")
    private String cjrbm;
    /**
     * 采集人名称
     */
    @Column(name = "cjrmc")
    private String cjrmc;
    /**
     * 采集时间
     */
    @Column(name = "cjsj")
    private Date cjsj;
    /**
     * 上传人编码
     */
    @Column(name = "scrbm")
    private String scrbm;
    /**
     * 上传人名称
     */
    @Column(name = "scrmc")
    private String scrmc;
    /**
     * 上传时间
     */
    @Column(name = "scsj")
    private Date scsj;
    /**
     * 审核人编码
     */
    @Column(name = "shrbm")
    private String shrbm;
    /**
     * 审核人名称
     */
    @Column(name = "shrmc")
    private String shrmc;
    /**
     * 审核时间
     */
    @Column(name = "shsj")
    private Date shsj;
    /**
     * 发布人编码
     */
    @Column(name = "fbrbm")
    private String fbrbm;
    /**
     * 发布人名称
     */
    @Column(name = "fbrmc")
    private String fbrmc;
    /**
     * 发布时间
     */
    @Column(name = "fbsj")
    private Date fbsj;

    /**
     * 状态，1：正常，0：已作废
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 创建人
     */
    @Column(name = "creator")
    private String creator;

    /**
     * 创建人编码
     */
    @Column(name = "creatorCode")
    private String creatorCode;

    /**
     * 创建时间
     */
    @Column(name = "createDate")
    private Date createDate;

    /**
     * 更新人
     */
    @Column(name = "refresher")
    private String  refresher;

    /**
     * 更新人编码
     */
    @Column(name = "refresherCode")
    private String  refresherCode;

    /**
     * 更新时间
     */
    @Column(name = "refreshTime")
    private Date refreshTime;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 本期开始时间
     */
    @Column(name = "bqkssj")
    private Date bqkssj;

    /**
     * 本期结束时间
     */
    @Column(name = "bqjssj")
    private Date bqjssj;
}
