package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 *  出入库通知单
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_LHTZD")
public class TyLhtzdDO extends BaseEntity  {
	
	/**
	 * 通知编码 TZ20190802000001
	 */
	@Column(name = "tzdid")
    private String tzdid;

	/**
	 * 通知单号 190802000001	
	 */
	@Column(name = "tzdh")
    private String tzdh;

	/**
	 * 通知单类型 （01：出库；02：入库）
	 */
	@Column(name = "tzdlx")
    private String tzdlx;

	/**
	 * 品种编码 
	 */
	@Column(name = "pzbm")
    private String pzbm;

	/**
	 * 品种名称 
	 */
	@Column(name = "pzmc")
    private String pzmc;
	
	/**
	 * 粮食要求数量（吨）
	 */
	@Column(name = "lsyqsl")
    private BigDecimal lsyqsl;

	/**
	 * 粮食年期 生产年份
	 */
	@Column(name = "lsnq")
    private String lsnq;

	/**
	 * 粮食完成数量（吨）
	 */
	@Column(name = "lswcsl")
    private BigDecimal lswcsl;

	/**
	 * 粮食价格（元/kg）
	 */
	@Column(name = "lsjg")
    private BigDecimal lsjg;

	/**
	 * 通知计划开始时间
	 */
	@Column(name = "jhkssj")
    private Date jhkssj;
	
	/**
	 * 通知计划截止时间
	 */
	@Column(name = "jhjzsj")
    private Date jhjzsj;

	/**
	 * 客户代码
	 */
	@Column(name = "khdm")
    private String khdm;

	/**
	 * 客户名称
	 */
	@Column(name = "khmc")
    private String khmc;

	/**
	 * 客户所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "khssqydm")
    private String khssqydm;

	/**
	 * 客户所属企业名称
	 */
	@Column(name = "khssyqmc")
    private String khssyqmc;

	/**
	 * 仓房编号 
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称 
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 所属计划id JH20190802000001 
	 */
	@Column(name = "ssjhxxid")
    private String ssjhxxid;

	/**
	 * 所属计划号（计划文号）
	 */
	@Column(name = "ssjhh")
    private String ssjhh;

	/**
	 * 合同信息id HT20190802000001
	 */
	@Column(name = "sshtxxid")
    private String sshtxxid;

	/**
	 *合同编号（） 
	 */
	@Column(name = "sshtbm")
    private String sshtbm;


   
}