package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * 粮情信息
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_LQXX")
public class TyLqxxDO extends BaseEntity  {
	
	/**
	 * 粮情ID LQ20190802000001 
	 */
	@Column(name = "lqid")
    private String lqid;

	/**
	 * 监测时间 
	 */
	@Column(name = "jcsj")
    private Date jcsj;

	/**
	 *货位编号 
	 */
	@Column(name = "hwbm")
    private String hwbm;

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称	
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称  
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 仓房外温 
	 */
	@Column(name = "cfww")
    private BigDecimal cfww;

	/**
	 * 仓房外湿 
	 */
	@Column(name = "cfws")
    private BigDecimal cfws;

	/**
	 * 仓房内温
	 */
	@Column(name = "cfnw")
    private BigDecimal cfnw;

	/**
	 * 仓房内湿
	 */
	@Column(name = "cfns")
    private BigDecimal cfns;

	/**
	 * 最高温度
	 */
	@Column(name = "cfzgwd")
    private BigDecimal cfzgwd;

	/**
	 * 最低温度
	 */
	@Column(name = "cfzdwd")
    private BigDecimal cfzdwd;

	/**
	 * 平均温度
	 */
	@Column(name = "cfpjwd")
    private BigDecimal cfpjwd;

	/**
	 * 仓房温度信息 
	 */
	@Column(name = "cfwdxx")
    private String cfwdxx;

	/**
	 * 仓房湿度信息 
	 */
	@Column(name = "cfsdxx")
    private String cfsdxx;

	/**
	 * 仓房水分信息  
	 */
	@Column(name = "cfsfxx")
    private String cfsfxx;


}