package com.unis.base.server.entity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@SuppressWarnings("serial")
@Data
@Table(name = "TY_LSKCXX_HIS")
public class TyLskcxxHisDO extends BaseEntity{

    /**
     * 主键ID
     */
    @Column(name = "id")
    private String id;
    /**
     * 库存信息id KC20190802000001
     */
    @Column(name = "kcxxid")
    private String kcxxid;

    /**
     * 货位编号（仓房编码+01 两位序号）
     */
    @Column(name = "hwbm")
    private String hwbm;

    /**
     * 所属廒间编号（仓房编码+001 三位序号）
     */
    @Column(name = "ssajbh")
    private String ssajbh;

    /**
     * 所属廒间名称
     */
    @Column(name = "ssajmc")
    private String ssajmc;

    /**
     * 所属仓房编码（库点编码+001 三位序号）
     */
    @Column(name = "sscfbh")
    private String sscfbh;

    /**
     * 所属仓房名称
     */
    @Column(name = "sscfmc")
    private String sscfmc;

    /**
     * 所属库点编码
     */
    @Column(name = "sskddm")
    private String sskddm;

    /**
     * 所属库点名称
     */
    @Column(name = "sskdmc")
    private String sskdmc;

    /**
     * 所属企业代码 （统一社会信用代码）
     */
    @Column(name = "ssyddm")
    private String ssyddm;

    /**
     * 所属企业名称
     */
    @Column(name = "ssyqmc")
    private String ssyqmc;

    /**
     * 粮食品种编码
     */
    @Column(name = "lspzbm")
    private String lspzbm;

    /**
     * 粮食品种名称
     */
    @Column(name = "lspzmc")
    private String lspzmc;

    /**
     * 粮食年度
     */
    @Column(name = "lsnd")
    private String lsnd;

    /**
     * 存储期间
     */
    @Column(name = "ccqj")
    private String ccqj;

    /**
     * 年度
     */
    @Column(name = "pzbm")
    private String pzbm;

    /**
     * （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
     */
    @Column(name = "lsxzbm")
    private String lsxzbm;

    /**
     * 粮食性质名称
     */
    @Column(name = "lsxzmc")
    private String lsxzmc;

    /**
     * 存储方式编码
     */
    @Column(name = "lsccfsbm")
    private String lsccfsbm;

    /**
     * 存储方式名称
     */
    @Column(name = "lsccfsmc")
    private String lsccfsmc;

    /**
     * 入库时间
     */
    @Column(name = "rksj")
    private Date rksj;

    /**
     * 财政核定单价
     */
    @Column(name = "czhddj")
    private String czhddj;

    /**
     * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
     */
    @Column(name = "lsdjbm")
    private String lsdjbm;

    /**
     * 粮食等级名称
     */
    @Column(name = "lsdjmc")
    private String lsdjmc;

    /**
     * 收获年度
     */
    @Column(name = "shnd")
    private String shnd;

    /**
     * 粮食国别
     */
    @Column(name = "lsgb")
    private String lsgb;

    /**
     * 粮食产地
     */
    @Column(name = "lscd")
    private String lscd;

    /**
     * 保管员编码
     */
    @Column(name = "bgybm")
    private String bgybm;

    /**
     * 保管员名称
     */
    @Column(name = "bgymc")
    private String bgymc;

    /**
     * 粮权归属单位代码 （统一社会信用代码）
     */
    @Column(name = "lqgsdwbm")
    private String lqgsdwbm;

    /**
     * 粮权归属单位名称
     */
    @Column(name = "lqgsdwmc")
    private String lqgsdwmc;

    /**
     * 封仓时间
     */
    @Column(name = "fcsj")
    private Date fcsj;

    /**
     * 封仓数量
     */
    @Column(name = "fcsl")
    private BigDecimal fcsl;

    /**
     * 清仓时间
     */
    @Column(name = "qcsj")
    private Date qcsj;

}