package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

/**
 * 通风作业信息实体类
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_TFZYXX")
public class TyTfzyxxDO extends BaseEntity {
	/**
	 *是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
	 */
	@Column(name = "SFBA")
    private Integer sfba;
	/**
	 * 通风ZYID TF20190802000001 
	 */
	@Column(name = "tfzyid")
    private String tfzyid;

	/**
	 * 方案编号/作业单编号
	 */
	@Column(name = "fabh")
    private String fabh;

	/**
	 * 方案名称/作业单名称
	 */
	@Column(name = "famc")
    private String famc;

	/**
	 * 品种编码
	 */
	@Column(name = "pzbm")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@Column(name = "pzmc")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@Column(name = "lsdjbm")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
    private String lsdjmc;

	/**
	 * 粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@Column(name = "lsxzbm")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@Column(name = "lsxzmc")
    private String lsxzmc;

	/**
	 * 仓房编号
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称	
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码）
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称 
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 保管员编码
	 */
	@Column(name = "bgybm")
    private String bgybm;

	/**
	 * 保管员名称
	 */
	@Column(name = "bgymc")
    private String bgymc;

	/**
	 * 通风方式
	 */
	@Column(name = "tffs")
    private String tffs;

	/**
	 * 创建人
	 */
	@Column(name = "tfcjr")
    private String tfcjr;

	/**
	 * 作业状态
	 */
	@Column(name = "zyzt")
    private String zyzt;

	/**
	 * 作业结束时间
	 */
	@Column(name = "zyjssj")
    private Date zyjssj;

	/**
	 * 仓房类型
	 */
	@Column(name = "cflx")
    private String cflx;

	/**
	 * 仓房尺寸
	 */
	@Column(name = "cfcc")
    private String cfcc;

	/**
	 * 数量
	 */
	@Column(name = "cfsl")
    private String cfsl;

	/**
	 * 承贷单位
	 */
	@Column(name = "cddw")
    private String cddw;

	/**
	 * 保管单位
	 */
	@Column(name = "bgdw")
    private String bgdw;

	/**
	 * 实际装粮高度
	 */
	@Column(name = "sjzlgd")
    private String sjzlgd;

	/**
	 * 保管员
	 */
	@Column(name = "cfbgy")
    private String cfbgy;

	/**
	 * 风机类型及型号
	 */
	@Column(name = "fjlxjxh")
    private String fjlxjxh;

	/**
	 * 气流方向
	 */
	@Column(name = "qlfx")
    private String qlfx;

	/**
	 * 风网总阻力
	 */
	@Column(name = "fwzzl")
    private String fwzzl;

	/**
	 * 总风量
	 */
	@Column(name = "cfzfl")
    private String cfzfl;

	/**
	 * 风机功率
	 */
	@Column(name = "cffjgl")
    private String cffjgl;
	
	/**
	 * 单位通风量
	 */
	@Column(name = "dwtfl")
    private String dwtfl;

	/**
	 * 地槽或地上笼
	 */
	@Column(name = "dcordsl")
    private String dcordsl;

	/**
	 * 地槽或地上笼尺寸
	 */
	@Column(name = "dcordslcc")
    private String dcordslcc;

	/**
	 * 空气途径比
	 */
	@Column(name = "kqtjb")
    private String kqtjb;

	/**
	 *孔板开孔率
	 */
	@Column(name = "kbkkl")
    private String kbkkl;

	/**
	 * 开始通风时间
	 */
	@Column(name = "kstfsj")
    private Date kstfsj;

	/**
	 * 结束通风时间
	 */
	@Column(name = "jstfsj")
    private Date jstfsj;

	/**
	 * 停机时间
	 */
	@Column(name = "tftjsj")
    private String tftjsj;

	/**
	 * 累计通风时间
	 */
	@Column(name = "ljtfsj")
    private String ljtfsj;

	/**
	 * 通风时气温最高值
	 */
	@Column(name = "tfsqwzgz")
    private BigDecimal tfsqwzgz;

	/**
	 * 通风时气温最低值
	 */
	@Column(name = "tfsqwzdz")
    private BigDecimal tfsqwzdz;

	/**
	 * 通风时气温平均值
	 */
	@Column(name = "tfsqwpjz")
    private BigDecimal tfsqwpjz;

	/**
	 * 通风时气湿最高值
	 */
	@Column(name = "tfsqszgz")
    private BigDecimal tfsqszgz;

	/**
	 *  通风时气湿最低值
	 */
	@Column(name = "tfsqszdz")
    private BigDecimal tfsqszdz;
	
	/**
	 * 通风时气湿平均值
	 */
	@Column(name = "tfsqspjz")
    private BigDecimal tfsqspjz;

	/**
	 * 通风前最高粮温
	 */
	@Column(name = "tfqzdgw")
    private BigDecimal tfqzdgw;

	/**
	 * 通风前最低粮温
	 */
	@Column(name = "tfqzdlw")
    private BigDecimal tfqzdlw;

	/**
	 * 通风前平均粮温
	 */
	@Column(name = "tfqpjlw")
    private BigDecimal tfqpjlw;

	/**
	 * 通风前粮温最大梯度
	 */
	@Column(name = "tfqlwzdtd")
    private BigDecimal tfqlwzdtd;

	/**
	 * 通风后粮食温度最高值
	 */
	@Column(name = "tfhlwzgz")
    private BigDecimal tfhlwzgz;

	/**
	 * 通风后粮食温度最低值
	 */
	@Column(name = "tfhlswdzdz")
    private BigDecimal tfhlswdzdz;

	/**
	 * 通风后粮食温度平均值
	 */
	@Column(name = "tfhlswdpjz")
    private BigDecimal tfhlswdpjz;

	/**
	 * 通风后粮温最大梯度
	 */
	@Column(name = "tfhlwzdtd")
    private BigDecimal tfhlwzdtd;

	/**
	 * 通风前粮食水分最高值
	 */
	@Column(name = "tfqlssfzgz")
    private BigDecimal tfqlssfzgz;

	/**
	 * 通风前粮食水分最低值
	 */
	@Column(name = "tfqlssfzdz")
    private BigDecimal tfqlssfzdz;

	/**
	 * 通风前粮食水分平均值
	 */
	@Column(name = "tfqlssfpjz")
    private BigDecimal tfqlssfpjz;

	/**
	 * 通风前水分最大梯度
	 */
	@Column(name = "tfqsfzdtd")
    private BigDecimal tfqsfzdtd;

	/**
	 * 通风后粮食水分最高值
	 */
	@Column(name = "tfhlssfzgz")
    private BigDecimal tfhlssfzgz;

	/**
	 * 通风后粮食水分最低值
	 */
	@Column(name = "tfhlssfzdz")
    private BigDecimal tfhlssfzdz;

	/**
	 * 通风后粮食水分平均值
	 */
	@Column(name = "tfhlssfpjz")
    private BigDecimal tfhlssfpjz;

	/**
	 * 通风后粮食水分最大梯度
	 */
	@Column(name = "tfhlssfzdtd")
    private BigDecimal tfhlssfzdtd;

	/**
	 * 总耗电
	 */
	@Column(name = "zhd")
    private BigDecimal zhd;

	/**
	 * 单位能耗
	 */
	@Column(name = "dwnh")
    private BigDecimal dwnh;

	/**
	 * 操作人
	 */
	@Column(name = "czr")
    private String czr;

	/**
	 *  负责人 
	 */
	@Column(name = "fzr")
    private String fzr;

	/**
	 *效果分析
	 */
	@Column(name = "xgfx")
    private String xgfx;

	/**
	 * 行政区划 
	 */
	@Column(name = "xzqb")
    private String xzqb;

   
}