package com.unis.base.server.entity;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * 熏蒸作业信息实体类
 * @author duanyh
 *
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_XZZYXX")
public class TyXzzyxxDO extends BaseEntity {
	
	/**
	 * 熏蒸ZYID XZ20190802000001 
	 */
	@Column(name = "xzzyid")
    private String xzzyid;

	/**
	 * 方案编号
	 */
	@Column(name = "fabh")
    private String fabh;

	/**
	 * 方案名称
	 */
	@Column(name = "famc")
    private String famc;
	/**
	 * 总补药次数
	 */
	@Column(name = "zbycs")
    private Integer zbycs;
	/**
	 * 品种编码 
	 */
	@Column(name = "pzbm")
    private String pzbm;

	/**
	 * 品种名称
	 */
	@Column(name = "pzmc")
    private String pzmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@Column(name = "lsdjbm")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
    private String lsdjmc;

	/**
	 * 粮食性质编码 （100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@Column(name = "lsxzbm")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@Column(name = "lsxzmc")
    private String lsxzmc;

	/**
	 * 仓房编号 
	 */
	@Column(name = "cfbh")
    private String cfbh;

	/**
	 * 仓房名称
	 */
	@Column(name = "cfmc")
    private String cfmc;

	/**
	 * 所属库点编码
	 */
	@Column(name = "sskddm")
    private String sskddm;

	/**
	 * 所属库点名称
	 */
	@Column(name = "sskdmc")
    private String sskdmc;

	/**
	 * 所属企业代码 （统一社会信用代码
	 */
	@Column(name = "ssqydm")
    private String ssqydm;

	/**
	 * 所属企业名称 
	 */
	@Column(name = "ssyqmc")
    private String ssyqmc;

	/**
	 * 保管员编码
	 */
	@Column(name = "bgybm")
    private String bgybm;

	/**
	 * 保管员名称
	 */
	@Column(name = "bgymc")
    private String bgymc;

	/**
	 * 粮堆体积 
	 */
	@Column(name = "ldtj")
    private BigDecimal ldtj;

	/**
	 * 空间体积 
	 */
	@Column(name = "kjtj")
    private BigDecimal kjtj;

	/**
	 * 总体积
	 */
	@Column(name = "ztj")
    private BigDecimal ztj;

	/**
	 * 主要虫害
	 */
	@Column(name = "zych")
    private String zych;

	/**
	 * 害虫密度
	 */
	@Column(name = "hcmd")
    private String hcmd;

	/**
	 * 熏蒸方式
	 */
	@Column(name = "xzfs")
    private String xzfs;

	/**
	 * 药剂名称
	 */
	@Column(name = "yjmc")
    private String yjmc;

	/**
	 * 药剂纯度
	 */
	@Column(name = "yjcd")
    private String yjcd;

	/**
	 * 施药方法
	 */
	@Column(name = "syff")
    private String syff;

	/**
	 * 密闭方法
	 */
	@Column(name = "mbff")
    private String mbff;

	/**
	 * 设定浓度
	 */
	@Column(name = "sdnd")
    private String sdnd;

	/**
	 * 初次施药时间
	 */
	@Column(name = "ccsysj")
    private Date ccsysj;
	
	/**
	 * 初次单位剂量
	 */
	@Column(name = "ccdwjl")
    private String ccdwjl;

	/**
	 * 初次用药量
	 */
	@Column(name = "ccyyl")
    private String ccyyl;

	/**
	 * 环流时间
	 */
	@Column(name = "hlsj")
    private Date hlsj;

	/**
	 * 初次补药日期
	 */
	@Column(name = "ccbyrq")
    private String ccbyrq;

	/**
	 * 初次补药量
	 */
	@Column(name = "ccbyl")
    private String ccbyl;

	/**
	 * 最后补药日期
	 */
	@Column(name = "zhbyrq")
    private String zhbyrq;

	/**
	 * 最后补药量
	 */
	@Column(name = "zhbyl")
    private String zhbyl;

	/**
	 * 总补药量
	 */
	@Column(name = "zbyl")
    private String zbyl;

	/**
	 * 总用药量
	 */
	@Column(name = "zyyl")
    private String zyyl;

	/**
	 * 补药方法
	 */
	@Column(name = "byff")
    private String byff;

	/**
	 * 熏蒸人数
	 */
	@Column(name = "xzrs")
    private String xzrs;

	/**
	 * 现在指挥人
	 */
	@Column(name = "xzzhr")
    private String xzzhr;
	
	/**
	 * 施药人数
	 */
	@Column(name = "syrs")
    private String syrs;
	
	/**
	 * 熏蒸操作人
	 */
	@Column(name = "xzczr")
    private String xzczr;

	/**
	 * 防护人
	 */
	@Column(name = "fhr")
    private String fhr;

	/**
	 * 环流风机/阀门（0：否；1：是）
	 */
	@Column(name = "hlfj")
    private String hlfj;

	/**
	 * 施药设备
	 */
	@Column(name = "sysb")
    private String sysb;

	/**
	 * 仓房密闭性
	 */
	@Column(name = "cfmbx")
    private String cfmbx;

	/**
	 * 高考作业平台安全监测
	 */
	@Column(name = "gkzypt")
    private String gkzypt;

	/**
	 * 磷化氢检测仪
	 */
	@Column(name = "lhqjcy")
    private String lhqjcy;

	/**
	 * 磷化氢报警仪
	 */
	@Column(name = "lhqbjy")
    private String lhqbjy;

	/**
	 * 测氧仪
	 */
	@Column(name = "cyy")
    private String cyy;

	/**
	 * 空气呼吸器
	 */
	@Column(name = "kqhxq")
    private String kqhxq;

	/**
	 * 警戒线/警示牌
	 */
	@Column(name = "jjxjsp")
    private String jjxjsp;

	/**
	 * 灭火器
	 */
	@Column(name = "mhq")
    private String mhq;

	/**
	 * 急救箱
	 */
	@Column(name = "jjx")
    private String jjx;

	/**
	 * 散气开始时间
	 */
	@Column(name = "sqkssj")
    private Date sqkssj;

	/**
	 * 散气结束时间
	 */
	@Column(name = "sqjssj")
    private Date sqjssj;

	/**
	 * 散气方法
	 */
	@Column(name = "sqff")
    private String sqff;

	/**
	 * 散气结束时毒气浓度
	 */
	@Column(name = "sqjsdqnd")
    private String sqjsdqnd;

	/**
	 * 药剂残留率
	 */
	@Column(name = "yjcll")
    private String yjcll;

	/**
	 * 取样培养温度
	 */
	@Column(name = "qypywd")
    private String qypywd;

	/**
	 * 取样培养湿度
	 */
	@Column(name = "qypysd")
    private String qypysd;

	/**
	 * 取样培养30天后活虫数
	 */
	@Column(name = "qypyhcs")
    private String qypyhcs;

	/**
	 * 粮堆杀虫效果或杀虫率
	 */
	@Column(name = "ldscxg")
    private String ldscxg;

	/**
	 * 检查虫笼时间
	 */
	@Column(name = "jcclsj")
    private Date jcclsj;

	/**
	 * 虫笼害虫死亡率
	 */
	@Column(name = "clscswl")
    private String clscswl;

	/**
	 * 效果分析
	 */
	@Column(name = "xgfx")
    private String xgfx;

	/**
	 * 作业状态
	 */
	@Column(name = "zyzt")
    private String zyzt;

	/**
	 * 作业结束时间
	 */
	@Column(name = "zyjssj")
    private Date zyjssj;

	/**
	 * 行政区划
	 */
	@Column(name = "xzqh")
    private String xzqh;
    /**
     * @author 张琪
     * 是否备案，0，未备案，1，待提交，2待审核，3已驳回，4，已备案
     */
	@Column(name = "SFBA")
    private Integer sfba;

	//盖章
	@Column(name = "xzbagz")
	private String xzbagz;

}