package com.unis.base.server.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title TyYpxxbDO
 * @ProjectName 样品信息实体类
 * @Description
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_YPXXB")
public class TyYpxxbDO extends BaseEntity {

	/**
	 * 样品id    YP2019+00001
	 */
	@Column(name = "ypid")
	private String ypid;

	/**
	 * 19 + 00001 样品编号
	 */
	@Column(name = "ypbh")
	private String ypbh;

	/**
	 * 样品单编号
	 */
	@Column(name = "qydbh")
    private String qydbh;

	/**
	 * 规格型号
	 */
	@Column(name = "ggxh")
    private String ggxh;

	/**
	 * 生产日期/批次
	 */
	@Column(name = "scrqpc")
    private String scrqpc;

	/**
	 * 来样方式
	 */
	@Column(name = "lyfs")
    private String lyfs;

	/**
	 * 样品数量单位（kg）
	 */
	@Column(name = "ypsldw")
    private BigDecimal ypsldw;

	/**
	 * 代表数量单位（kg）
	 */
	@Column(name = "dbsldw")
    private BigDecimal dbsldw;

	/**
	 * 粮食样品编码
	 */
	@Column(name = "lsypbm")
    private String lsypbm;

	/**
	 * 粮食样品名称
	 */
	@Column(name = "lsypmc")
    private String lsypmc;

	/**
	 * 粮食等级编码（01：一等；02：二等；03：三等；04：四等；05：五等；06：等外）
	 */
	@Column(name = "lsdjbm")
    private String lsdjbm;

	/**
	 * 粮食等级名称
	 */
	@Column(name = "lsdjmc")
    private String lsdjmc;

	/**
	 * 粮食性质编码（100：储备粮；110：国家储备粮；111：专项储备粮；112：战略储备粮；120：地方储备粮；121：省级地方储备粮）
	 */
	@Column(name = "lsxzbm")
    private String lsxzbm;

	/**
	 * 粮食性质名称
	 */
	@Column(name = "lsxzmc")
    private String lsxzmc;

	/**
	 * 样品状态标识
	 */
	@Column(name = "ypztbs")
    private String ypztbs;

	/**
	 * 样品所属库点编码
	 */
	@Column(name = "ypsskddm")
    private String ypsskddm;

	/**
	 * 样品所属库点名称
	 */
	@Column(name = "ypsskdmc")
	private String ypsskdmc;

	/**
	 * 签样地点 （仓号/堆垛或油罐号码）
	 */
	@Column(name = "qydd")
	private String qydd;

	/**
	 * 签样人编码
	 */
	@Column(name = "qyrbm")
	private String qyrbm;

	/**
	 * 签样人名称
	 */
	@Column(name = "qyrmc")
	private String qyrmc;

	/**
	 * 粮食产地（）
	 */
	@Column(name = "lscd")
	private String lscd;

	/**
	 * 收获年度
	 */
	@Column(name = "shnd")
	private String shnd;

	/**
	 * 入库时间
	 */
	@Column(name = "rksj")
	private Date rksj;

	/**
	 * 包装方式
	 */
	@Column(name = "bzfs")
	private String bzfs;

	/**
	 * 检验类型
	 */
	@Column(name = "jylx")
	private String jylx;

	/**
	 * 委托单位编码
	 */
	@Column(name = "wtdwbm")
	private String wtdwbm;

	/**
	 * 委托单位名称
	 */
	@Column(name = "wtdwmc")
	private String wtdwmc;

	/**
	 * 检测时间
	 */
	@Column(name = "jcsj")
	private Date jcsj;

	/**
	 * 组织编号
	 */
	@Column(name = "org_code")
	private String orgCode;


	/**
	 * 仓房类型编号
	 */
	@Column(name="cflxbh")
	private String cflxbh;

	/**
	 * 仓房类型名称
	 */
	@Column(name="cflxmc")
	private String cflxmc;

	/**
	 * 扦样时间
	 */
	@Column(name="TYSJ")
	private Date tysj;


	/**
	 * 扦样机构
	 */
	@Column(name="TYJG")
	private String tyjg;

	/**
	 * 扦样日期
	 */
	@Column(name="TYRQ")
	private Date tyrq;

	/**
	 * 粮食生产、收获期间是否出现过异常气候影响  0、是  1、否
	 */
	@Column(name="SFCXGQHYX")
	private Integer sfcxgqhyx;

	/**
	 * 粮食生产、收获期间是否出现过严重病虫害 0、是  1、否
	 */
	@Column(name="SFCXGYZCH")
	private Integer sfcxgyzch;

	/**
	 * 说明
	 */
	@Column(name="SM")
	private String sm;

	/**
	 * 施药情况
	 */
	@Column(name="SYQK")
	private String syqk;

	/**
	 * 施药时间
	 */
	@Column(name="SYSJ")
	private Date sysj;

	/**
	 * 施药名称
	 */
	@Column(name="SYMC")
	private String symc;

	/**
	 * 农户签字
	 */
	@Column(name="NHQZ")
	private String nhqz;

	/**
	 * 农户联系方式
	 */
	@Column(name="NHLXFS")
	private String nhlxfs;

	/**
	 * 托样信息附件
	 */
	@Column(name="TYXXFJ")
	private String tyxxfj;



	/**
	 * 食品安全项目
	 */
	@Column(name = "SPAQXM")
	private String spaqxm;



	/**
	 * 最近施药时间
	 */
	@Column(name = "ZJSYSJ")
	private Date zjsysj;

	/**
	 * 施用药剂名称
	 */
	@Column(name = "SYYJMC")
	private String syyjmc;

	/**
	 * 储粮技术
	 */
	@Column(name = "CLJS")
	private String cljs;

	/**
	 * 虫害发生情况
	 */
	@Column(name = "CHFSQK")
	private String chfsqk;

	/**
	 * 历次施药名称
	 */
	@Column(name = "LCSYMC")
	private String lcsymc;

	/**
	 * 备注
	 */
	@Column(name = "BZ")
	private String bz;


	/**
	 * 扦样负责人签字
	 */
	@Column(name = "TYFZRQZ")
	private String tyfzrqz;

	/**
	 * 承储企业负责人
	 */
	@Column(name = "CCQYFZR")
	private String ccqyfzr;

	/**
	 * 承储企业联系电话
	 */
	@Column(name = "CCQYLXDH")
	private String ccqylxdh;


	/**
	 * 气候说明
	 */
	@Column(name = "QHSM")
	private String qhsm;



	/**
	 * 抽检单位
	 */
	@Column(name = "CYDW")
	private String cydw;

	/**
	 * 抽样日期
	 */
	@Column(name = "CYRQ")
	private Date cyrq;


	/**
	 * 生产厂家
	 */
	@Column(name = "SCCJ")
	private String sccj;

	/**
	 * 商标
	 */
	@Column(name = "SB")
	private String sb;

	/**
	 * 执行标准
	 */
	@Column(name = "ZXBZ")
	private String zxbz;

	/**
	 * 保质期
	 */
	@Column(name = "BZQ")
	private String bzq;

	/**
	 * 抽样方
	 */
	@Column(name = "CYF")
	private String cyf;






	public TyYpxxbDO(){

	}






	public TyYpxxbDO(String ypid, String ypbh, String qydbh, String ggxh, String scrqpc, String lyfs, BigDecimal ypsldw,
			BigDecimal dbsldw, String lsypbm, String lsypmc, String lsdjbm, String lsdjmc, String lsxzbm, String lsxzmc,
			String ypztbs, String ypsskddm, String ypsskdmc, String qydd, String qyrbm, String qyrmc, String lscd,
			String shnd, Date rksj, String bzfs, String jylx, String wtdwbm, String wtdwmc, Date jcsj, String orgCode,
			String cflxbh, String cflxmc, Date tysj, String tyjg, Date tyrq, Integer sfcxgqhyx, Integer sfcxgyzch,
			String sm, String syqk, Date sysj, String symc, String nhqz, String nhlxfs, String tyxxfj, String spaqxm,
			Date zjsysj, String syyjmc, String cljs, String chfsqk, String lcsymc, String bz, String tyfzrqz,
			String ccqyfzr, String ccqylxdh, String qhsm, String cydw, Date cyrq, String sccj, String sb, String zxbz,
			String bzq, String cyf) {
		super();
		this.ypid = ypid;
		this.ypbh = ypbh;
		this.qydbh = qydbh;
		this.ggxh = ggxh;
		this.scrqpc = scrqpc;
		this.lyfs = lyfs;
		this.ypsldw = ypsldw;
		this.dbsldw = dbsldw;
		this.lsypbm = lsypbm;
		this.lsypmc = lsypmc;
		this.lsdjbm = lsdjbm;
		this.lsdjmc = lsdjmc;
		this.lsxzbm = lsxzbm;
		this.lsxzmc = lsxzmc;
		this.ypztbs = ypztbs;
		this.ypsskddm = ypsskddm;
		this.ypsskdmc = ypsskdmc;
		this.qydd = qydd;
		this.qyrbm = qyrbm;
		this.qyrmc = qyrmc;
		this.lscd = lscd;
		this.shnd = shnd;
		this.rksj = rksj;
		this.bzfs = bzfs;
		this.jylx = jylx;
		this.wtdwbm = wtdwbm;
		this.wtdwmc = wtdwmc;
		this.jcsj = jcsj;
		this.orgCode = orgCode;
		this.cflxbh = cflxbh;
		this.cflxmc = cflxmc;
		this.tysj = tysj;
		this.tyjg = tyjg;
		this.tyrq = tyrq;
		this.sfcxgqhyx = sfcxgqhyx;
		this.sfcxgyzch = sfcxgyzch;
		this.sm = sm;
		this.syqk = syqk;
		this.sysj = sysj;
		this.symc = symc;
		this.nhqz = nhqz;
		this.nhlxfs = nhlxfs;
		this.tyxxfj = tyxxfj;
		this.spaqxm = spaqxm;
		this.zjsysj = zjsysj;
		this.syyjmc = syyjmc;
		this.cljs = cljs;
		this.chfsqk = chfsqk;
		this.lcsymc = lcsymc;
		this.bz = bz;
		this.tyfzrqz = tyfzrqz;
		this.ccqyfzr = ccqyfzr;
		this.ccqylxdh = ccqylxdh;
		this.qhsm = qhsm;
		this.cydw = cydw;
		this.cyrq = cyrq;
		this.sccj = sccj;
		this.sb = sb;
		this.zxbz = zxbz;
		this.bzq = bzq;
		this.cyf = cyf;
	}







}
