package com.unis.base.server.entity;

import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Table;

import lombok.Getter;
import lombok.Setter;

import com.unis.base.server.example.TyZjxxmxbKey;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author zhengbodang
 * @version 1.0
 * @Title DCfxxsjyDO
 * @ProjectName 质检信息明细实体类
 * @Description
 * @date 2019/07/22 17点26分
 */

@SuppressWarnings("serial")
@Getter
@Setter
@Table(name = "TY_ZJXXMXB")
public class TyZjxxmxbDO extends BaseEntity {

	/**
	 * 顺序号
	 */
	@Column(name = "sxh")
	private Integer sxh;

	/**
	 * 质检信息id ZJ20190802000001
	 */
	@Column(name = "zjxxid")
	private String zjxxid;

	/**
	 * 检验单号
	 */
	@Column(name = "jydh")
    private String jydh;

	/**
	 *
	 * 检测标准id
	 */
	@Column(name = "jybzbh")
    private String jybzbh;

	/**
	 * 检验项目
	 */
	@Column(name = "jyxm")
    private String jyxm;

	/**
	 * 检验结论
	 */
	@Column(name = "jyjl")
	private String jyjl;

	/**
	 * 质检报告附件
	 */
	@Column(name = "zjbgfj")
	private String zjbgfj;

	/**
	 * 标准要求/判断规则
	 */
	@Column(name = "bzyqpdgz")
    private String bzyqpdgz;

	/**
	 * 检测结果
	 */
	@Column(name = "jyjg")
    private String jyjg;

	/**
	 * 单项判断
	 */
	@Column(name = "dxpd")
    private String dxpd;

	/**
	 * 检测人编码
	 */
	@Column(name = "jcrbm")
    private String jcrbm;

	/**
	 * 检测人名称
	 */
	@Column(name = "jcrmc")
    private String jcrmc;

	/**
	 * 增扣量比例
	 */
	@Column(name = "zklbl")
    private BigDecimal zklbl;

	/**
	 * 增扣数量（kg）
	 */
	@Column(name = "zksl")
    private BigDecimal zksl;

	/**
	 * 增扣金额（元）
	 */
	@Column(name = "zkje")
    private BigDecimal zkje;


	/**
	 * 食品安全项目
	 *//*
	@Column(name = "SPAQXM")
	private String spaqxm;

	*//**
	 * 施药情况
	 *//*
	@Column(name = "SYQK")
	private String syqk;

	*//**
	 * 最近施药时间
	 *//*
	@Column(name = "ZJSYSJ")
	private Date zjsysj;

	*//**
	 * 施用药剂名称
	 *//*
	@Column(name = "SYYJMC")
	private String syyjmc;

	*//**
	 * 储粮技术
	 *//*
	@Column(name = "CLJS")
	private String cljs;

	*//**
	 * 虫害发生情况
	 *//*
	@Column(name = "CHFSQK")
	private String chfsqk;

	*//**
	 * 历次施药名称
	 *//*
	@Column(name = "LCSYMC")
	private String lcsymc;

	*//**
	 * 备注
	 *//*
	@Column(name = "BZ")
	private String bz;

	*//**
	 * 扦样机构
	 *//*
	@Column(name = "TYJG")
	private String tyjg;

	*//**
	 * 扦样负责人签字
	 *//*
	@Column(name = "TYFZRQZ")
	private String tyfzrqz;

	*//**
	 * 承储企业负责人
	 *//*
	@Column(name = "CCQYFZR")
	private String ccqyfzr;

	*//**
	 * 承储企业联系电话
	 *//*
	@Column(name = "CCQYLXDH")
	private String ccqylxdh;

	*//**
	 * 扦样信息附件
	 */
	@Column(name = "TYXXFJ")

	private String tyxxfj;

	/**
	 * 是否异常     0、无异常   1、有异常
	 */
	@Column(name = "SFYC")
	private Integer sfyc;



}
