package com.unis.base.server.service;

import com.unis.base.common.vo.CompanyQualificationInfoVO;
import com.unis.base.common.vo.CompanyQualificationQueryVO;

import java.util.List;

/**
 * @Author zoujieli
 * @Date 2019/9/6 21:15
 * Version 1.0
 */
public interface CompanyQualificationService {

    /**
     * 获取企业资格信息列表
     * @author zoujieli
     * @param companyQualQueryVO
     */
     List<CompanyQualificationInfoVO> getCompanyQualificationList(CompanyQualificationQueryVO companyQualQueryVO);

    /**
     * 分页获取企业资格信息列表
     * @author zoujieli
     * @param companyQualQueryVO
     * @param pageNum
     * @param pageSize
     */
    List<CompanyQualificationInfoVO> getCompanyQualificationPage(CompanyQualificationQueryVO companyQualQueryVO, Integer pageNum, Integer pageSize);

    /**
     * 获取企业资格信息详情
     * @author zoujieli
     * @param qyId
     * @param zglxDm
     * @return
     */
    CompanyQualificationInfoVO getCompanyQualificationInfo(Integer qyId, String zglxDm);
}
