package com.unis.base.server.service;

import com.unis.base.common.vo.CompanyRecordsQueryVO;
import com.unis.base.common.vo.CompanyRecordsVO;

import java.util.List;


/**
 * @author WangZL
 * @version 1.0
 * @Title: CompanyRecordsService
 * @ProjectName baseservice
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface CompanyRecordsService {

	/**
	 * 根据参数获取设备列表
	 * @param companyRecordsQueryVO
	 * @return
	 */
	List<CompanyRecordsVO> getCompanyRecordsList(CompanyRecordsQueryVO companyRecordsQueryVO);

	/**
	 * @param companyRecordsQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return 分页获取列表
	 */
	List<CompanyRecordsVO> getCompanyRecordsPage(CompanyRecordsQueryVO companyRecordsQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 获取企业记录详情
	 * @param qybabh
	 * @return
	 */
	CompanyRecordsVO getCompanyRecordsInfoById(String qybabh);

	/**
	 * 添加企业记录信息
	 * @param companyRecordsVO
	 * @return
	 */
	String insert(CompanyRecordsVO companyRecordsVO);

	/**
	 * 更新企业记录信息
	 * @param companyRecordsVO
	 * @return
	 */
	int update(CompanyRecordsVO companyRecordsVO);

}
