package com.unis.base.server.service;

import com.unis.base.common.vo.EquipmentRecordsQueryVO;
import com.unis.base.common.vo.EquipmentRecordsVO;

import java.util.List;


/**
 * @author WangZL
 * @version 1.0
 * @Title: EquipmentRecordsService
 * @ProjectName baseservice
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface EquipmentRecordsService {

	/**
	 * 根据参数获取设备列表
	 * @param equipmentRecordsQueryVO
	 * @return
	 */
	List<EquipmentRecordsVO> getEquipmentRecordsList(EquipmentRecordsQueryVO equipmentRecordsQueryVO);

	/**
	 * @param equipmentRecordsQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return 分页获取列表
	 */
	List<EquipmentRecordsVO> getEquipmentRecordsPage(EquipmentRecordsQueryVO equipmentRecordsQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 根据设备编号获取设备记录
	 * @param sbbajlId
	 * @return
	 */
	EquipmentRecordsVO getEquipmentRecordsInfoById(Integer sbbajlId);

	/**
	 * 添加设备记录信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int insert(EquipmentRecordsVO equipmentRecordsVO);
}
