package com.unis.base.server.service;

import com.unis.base.common.vo.MoneyMonitorVO;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;


/**
 * 药剂监测
 * @author zoujieli
 */
public interface MoneyMonitorService {

    /**
     * 价格监测-分页查询
     * @author zoujieli
     * @param pageNum
     * @param pageSize
     * @return
     */
    Map<String, Object> getMoneyMonitorList(Integer pageNum, Integer pageSize);

    /**
     * 价格监测-查询详情
     * @author zoujieli
     * @param jcdid
     * @return
     */
    MoneyMonitorVO getMoneyMonitorDetail(String jcdid);

    /**
     * 价格监测-编辑修改
     * @author zoujieli
     * @param moneyMonitorVO
     */
    void updateMoneyMonitor(MoneyMonitorVO moneyMonitorVO);

    /**
     * 价格监测-删除
     * @author zoujieli
     * @param jcdid
     */
    void deleteMoneyMonitor(String jcdid);

    /**
     * 价格监测-新增
     * @author zoujieli
     * @param moneyMonitorVO
     */
    void insertMoneyMonitor(MoneyMonitorVO moneyMonitorVO);
}
