package com.unis.base.server.service;

import com.unis.base.common.vo.PriceMonitorQueryVo;
import com.unis.base.common.vo.PriceMonitorVO;

import java.util.List;

/**
 * @author zhaoyadong
 * @version 1.0
 * @Title: PriceMonitorSerivce
 * @ProjectName baseservice
 * @Description:
 * @date 2019/8/24 13:13
 */
public interface PriceMonitorSerivce {

    /**
     * 根据参数获取价格监测列表
     *
     * @param priceMonitorQueryVo
     * @return
     */
    List<PriceMonitorVO> getPriceMonitorList(PriceMonitorQueryVo priceMonitorQueryVo);


    /**
     * @param priceMonitorQueryVo
     * @param pageNum
     * @param pageSize
     * @return 分页获取列表
     */
    List<PriceMonitorVO> getPriceMonitorPage(PriceMonitorQueryVo priceMonitorQueryVo, Integer pageNum, Integer pageSize);

    /*
     * 根据仓房编号获取价格监测信息
     * @param JgjcxxbId 价格监测编号
     * @return
     */
    PriceMonitorVO getPriceMonitorById(String JgjcxxbId);


    /**
     * 更新价格监测信息
     *
     * @param tyJgjcxxbVO
     * @return
     */
    int update(PriceMonitorVO tyJgjcxxbVO);

    /**
     * 删除价格监测信息
     *
     * @param jgjcid
     * @return
     */
    int delete(String jgjcid);

    /**
     * 添加价格监测信息
     *
     * @param tyJgjcxxbVO
     * @return thisOiltankVO
     */
    Integer insert(PriceMonitorVO tyJgjcxxbVO);

    /**
     * 根据年份查询该年分的月报
     * @param priceMonitorQueryVo
     * @return PriceMonitorQueryVo
     */

    List<PriceMonitorQueryVo> getLevelMonthlyReport(PriceMonitorQueryVo priceMonitorQueryVo);
}
