/*
 * QybgsqService.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 *  created by lipenghe with LAPTOP-IJQ2SDFV
 */
package com.unis.base.server.service;

import com.unis.base.common.vo.QybgsqVO;
import com.unis.base.server.entity.QybgsqDO;
import com.unis.common.utils.ResponseWrapper;

import java.util.List;


/**
 * TY_QYBGSQ-企业变更申请表
 * @author lipenghe at 
 */
public interface QybgsqService {
    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 选择性保存,包含新增和修改
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    public ResponseWrapper saveEntitySelectiveResult(QybgsqVO qybgsqVO);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 插入全部字段
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntityResult(QybgsqVO qybgsqVO);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 选择性插入字段
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper insertEntitySelectiveResult(QybgsqVO qybgsqVO);

   /**
    * <TY_QYBGSQ-企业变更申请表>批量插入全部字段
    * @param qybgsqVOList    <企业变更申请表>对象列表
    * @author lipenghe with LAPTOP-IJQ2SDFV
    */
    public ResponseWrapper insertBatchEntityListResult(List<QybgsqVO> qybgsqVOList);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 更改状态
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateStatusByEntityResult(QybgsqVO qybgsqVO, String limit);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体某些属性更新全部字段
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntityResult(QybgsqVO qybgsqVO, String limit);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体不为空的属性,选择性更新字段
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(QybgsqVO qybgsqVO, String limit);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体不为空的属性,选择性更新字段
     * @param entity    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper updateByEntitySelectiveResult(QybgsqDO entity, String limit);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * [真删除]根据实体的某些属性进行单条或者批量删除
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper deleteByEntityResult(QybgsqVO qybgsqVO, String limit);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体(唯一标示)查询一条数据
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(QybgsqVO qybgsqVO);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体(唯一标示)查询一条数据
     * @param entity    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByIdResult(QybgsqDO entity);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体的某些属性查询分页数据,带限制条件
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectPageByEntityResult(int pageNo, int pageSize
            , QybgsqVO qybgsqVO, String order);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体的某些属性查询列表
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(QybgsqVO qybgsqVO);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 根据实体的某些属性查询列表
     * @param entity    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectByEntityResult(QybgsqDO entity);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 查询初始化数据
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    ResponseWrapper selectInitDataResult(QybgsqVO qybgsqVO);

    /**
     * <TY_QYBGSQ-企业变更申请表>
     * 返回新的只有唯一标示的对象
     * @param qybgsqVO    <企业变更申请表>对象
     * @author lipenghe with LAPTOP-IJQ2SDFV
     */
    QybgsqVO getIdInstance(QybgsqVO qybgsqVO);

}