package com.unis.base.server.service;

import com.unis.base.common.vo.SinkpointRecordsQueryVO;
import com.unis.base.common.vo.SinkpointRecordsVO;

import java.util.List;


/**
 * @author WangZL
 * @version 1.0
 * @Title: SinkpointRecordsService
 * @ProjectName baseservice
 * @Description:
 * @date 2019/7/22 17:47
 */

public interface SinkpointRecordsService {

	/**
	 * 根据参数获取库点列表
	 * @param sinkpointRecordsQueryVO
	 * @return
	 */
	List<SinkpointRecordsVO> getSinkpointRecordsList(SinkpointRecordsQueryVO sinkpointRecordsQueryVO);

	/**
	 * @param sinkpointRecordsQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return 分页获取列表
	 */
	List<SinkpointRecordsVO> getSinkpointRecordsPage(SinkpointRecordsQueryVO sinkpointRecordsQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 获取库点记录详情
	 * @param kdbabh
	 * @return
	 */
	SinkpointRecordsVO getSinkpointRecordsInfoById(String kdbabh);

	/**
	 * 添加库点记录信息
	 * @param sinkpointRecordsVO
	 * @return
	 */
	String insert(SinkpointRecordsVO sinkpointRecordsVO);

	/**
	 * 更新库点记录信息
	 * @param sinkpointRecordsVO
	 * @return
	 */
	int update(SinkpointRecordsVO sinkpointRecordsVO);

}
