package com.unis.base.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.unis.base.common.vo.CompanyQualificationInfoVO;
import com.unis.base.common.vo.CompanyQualificationQueryVO;
import com.unis.base.server.domain.CompanyQualificationDomain;
import com.unis.base.server.service.CompanyQualificationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author zoujieli
 * @Date 2019/9/6 21:15
 * Version 1.0
 */
@Service
public class CompanyQualificationServiceImpl implements CompanyQualificationService {

    @Autowired
    private CompanyQualificationDomain companyQualDomain;

    @Override
    public List<CompanyQualificationInfoVO> getCompanyQualificationList(CompanyQualificationQueryVO companyQualQueryVO) {
        return companyQualDomain.getCompanyQualification(companyQualQueryVO);
    }

    @Override
    public List<CompanyQualificationInfoVO> getCompanyQualificationPage(CompanyQualificationQueryVO companyQualQueryVO, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum,pageSize);
        return companyQualDomain.getCompanyQualification(companyQualQueryVO);
    }

    @Override
    public CompanyQualificationInfoVO getCompanyQualificationInfo(Integer qyId, String zglxDm) {
        return companyQualDomain.getCompanyQualificationInfo(qyId,zglxDm);
    }
}
