package com.unis.base.server.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.DRyxxsjyVO;
import com.unis.base.common.vo.EnterpriseQualificationInformationHisVO;
import com.unis.base.common.vo.EnterpriseQualificationInformationHisqueryVO;
import com.unis.base.common.vo.QyzgQyzgxxVO;
import com.unis.base.server.domain.DRyxxsjyDomain;
import com.unis.base.server.domain.EnterpriseQualificationInformationHisDomain;
import com.unis.base.server.domain.DKdxxsjyDomain;
import com.unis.base.server.entity.DRyxxsjyDO;
import com.unis.base.server.entity.DKdxxsjyDO;
import com.unis.base.server.service.DRyxxsjyService;
import com.unis.base.server.service.EnterpriseQualificationInformationHisService;

/**
 * 企业资格历史
 * @author liuweilong
 *
 */
@Service
public class EnterpriseQualificationInformationHisServiceImpl implements EnterpriseQualificationInformationHisService {
	
	@Resource
	private EnterpriseQualificationInformationHisDomain qyzgQyzgxxHisDomain;
	
	/**
	 * 分页获取企业历史信息列表
	 * @param dRyxxsjyVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	@Override
	public PageInfo<EnterpriseQualificationInformationHisVO> getPage(EnterpriseQualificationInformationHisqueryVO qyzgQyzgxxHisqueryVO,Integer pageNum, Integer pageSize) {
		PageInfo<EnterpriseQualificationInformationHisVO> getpageList = qyzgQyzgxxHisDomain.getpageList(qyzgQyzgxxHisqueryVO,pageNum,pageSize);
		return getpageList;
	}

	

	/**
	 * 添加企业历史信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	@Override
	public int insert(EnterpriseQualificationInformationHisVO qyzgQyzgxxHisVO) {
		int qyzgQyzgxx = qyzgQyzgxxHisDomain.insert(qyzgQyzgxxHisVO);
		return qyzgQyzgxx;
	}



	/**
	 * 查看企业资格历史
	 * @param id
	 * @return
	 */
	@Override
	public EnterpriseQualificationInformationHisVO selectByPerimkey(String id) {
		EnterpriseQualificationInformationHisVO selectByPerimKey = qyzgQyzgxxHisDomain.selectByPerimKey(id);
		return selectByPerimKey;
	}

}
