package com.unis.base.server.service.impl;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.PersonnelRecordsHisVO;
import com.unis.base.common.vo.PersonnelRecordsHisqueryVO;
import com.unis.base.common.vo.DRyxxsjyVO;
import com.unis.base.server.domain.DRyxxsjyDomain;
import com.unis.base.server.domain.PersonnelRecordsHisDomain;
import com.unis.base.server.domain.DKdxxsjyDomain;
import com.unis.base.server.entity.DRyxxsjyDO;
import com.unis.base.server.entity.DKdxxsjyDO;
import com.unis.base.server.service.PersonnelRecordsHisService;
import com.unis.base.server.service.DRyxxsjyService;

/**
 * 人员信息历史
 * @author liuweilong
 *
 */
@Service
public class PersonnelRecordsHisServiceImpl implements PersonnelRecordsHisService {

	@Autowired
	private PersonnelRecordsHisDomain dRyxxsjyHisDomain;

	
	
	/**
	 * 获取人员信息分页列表
	 * @param tzSlqyVO
	 * @return
	 */
	@Override
	public PageInfo<PersonnelRecordsHisVO> getDRyxxsjyPage(PersonnelRecordsHisqueryVO dRyxxsjyHisqueryVO,Integer pageNum,Integer pageSize) {
		PageInfo<PersonnelRecordsHisVO> pageInfo = dRyxxsjyHisDomain.getpageList(dRyxxsjyHisqueryVO,pageNum, pageSize);
		return pageInfo;
	}

	

	/**
	 * 新增人员历史信息
	 * @return
	 */
	@Override
	public int insert(PersonnelRecordsHisVO dRyxxsjyHisVO) {
		return dRyxxsjyHisDomain.insert(dRyxxsjyHisVO);
	}



	/**
	 * 查看人员历史
	 * @param id
	 * @return
	 */
	@Override
	public PersonnelRecordsHisVO selectByPerimkey(String rybajlId) {
		PersonnelRecordsHisVO selectByPerimKey = dRyxxsjyHisDomain.selectByPerimKey(rybajlId);
		return selectByPerimKey;
	}
	

	
	

	

	
}
