package com.unis.base.server.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyTfzyxxHisQueryVO;
import com.unis.base.common.vo.TyTfzyxxHisVO;
import com.unis.base.server.domain.TyTfzyxxHisDomain;
import com.unis.base.server.service.TyTfzyxxHisService;

/**
 * @author 张琪
 * @date 2019年9月16日 下午3:04:40
 * @description 通风信息记录
 */
@Service("tyTfzyxxHisService")
public class TyTfzyxxHisServiceImp implements TyTfzyxxHisService{
	@Autowired
	private TyTfzyxxHisDomain tyTfzyxxHisDomain;
	/**
	 * 分页查询条件
	 */
	@Override
	public PageInfo<TyTfzyxxHisVO> getTfzyxxHisList(TyTfzyxxHisQueryVO tyTfzyxxHisQueryVO, Integer pageNum,
			Integer pageSize) {
		return tyTfzyxxHisDomain.getTfzyxxHisListByQuery(tyTfzyxxHisQueryVO, pageNum, pageSize);
	}

	/**
	 *  根据主键ID获取通风作业历史信息
	 * @param lsId
	 * @return
	 */
	@Override
	public TyTfzyxxHisVO getAerationHisInfoByLsId(String lsId) {
		return tyTfzyxxHisDomain.getAerationHisInfoByLsId(lsId);
	}

	/**
	 * TyTfzyxxHisVO
	 * 新增通风作业历史记录
	 */
	@Override
	public int insert(TyTfzyxxHisVO tyTfzyxxHisVO) {
		return tyTfzyxxHisDomain.insert(tyTfzyxxHisVO);
	}

}
